<?php
/**
 * Popup window to search the LDAP 
 * 
 * PHP version 5
 * 
 * @category Ldap
 * @package  Common_Scripts
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
*/

$Fname = isset($_REQUEST['Fname']) ? $_REQUEST['Fname'] : '';
$Ffirstname = isset($_REQUEST['Ffirstname']) ? $_REQUEST['Ffirstname'] : '';
$Flogin = isset($_REQUEST['Flogin']) ? $_REQUEST['Flogin'] : '';
$localTargetFile=$targetFile.'&Fname='.$Fname.'&Ffirstname='.$Ffirstname.'&Flogin='.$Flogin;

       if (isset($_REQUEST['Fname']))
       {
         if (strlen($_REQUEST['Fname'])<3 && strlen($_REQUEST['Flogin'])<3)
		     {
   		     $affiche_tab=false;?>
           <div class="MessageBox WarningMessageBox"><?php echo $msg_not_enough_char;?></div><?php    
         }
		     else
		     {
		       $affiche_tab=true;
		      }
	     }
	     else
	     {
		     $affiche_tab=false;
	     }?>		  
       
       <div class="searchForm" > 	   
     	   <form class="pure-form pure-form-aligned" action="<?php echo $localTargetFile?>&action=search_ldap_uid" method="post" enctype="multipart/form-data" name="form_ldap_search_uid" id="form_ldap_search_uid" onkeypress="javascript:if(event.keyCode == 13){document.form_ldap_search_uid.submit();}">
             <input type="hidden" name="form_nom" value="form_search_arca"/>
             <?php appUtils::insertTokenInForm();?>
	     <input type="hidden" name="page_number" value="1"/>
	     <fieldset class="fieldset">
         	<legend class="legend"><?php echo $text_ldap_search;?></legend>
                <div class="label soft_grey bordertop borderbottom" style="padding:3px;margin-left:15px;"><?php echo $text_search_by_username;?></div><div class="clearleft"></div><br />
		<div>
				
                <label class="label required_field50"  ><?php echo $text_login;?> <img src="<?php echo $pathImages.'app/red_star.png';?>" alt=""/></label>
		        <input name="Flogin" type="text" class="std_form_field" size="50" <?php if (isset($_REQUEST['Flogin'])) { echo 'value="'.$_REQUEST['Flogin'].'"'; }?> ><div class="clearleft"></div>				
		</div><br />
          <div style="margin-left:15px;"><?php
   		   displayButton($button_submit,'','javascript:document.form_ldap_search_uid.submit()','tsc_awb_medium tsc_awb_green tsc_flat');	
		   displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
		  </div>                 
		</fieldset>
		</form>
		
		<br /><br />
     	   <form class="pure-form pure-form-aligned" action="<?php echo $localTargetFile?>&action=search_ldap" method="post" enctype="multipart/form-data" name="form_ldap_search" id="form_ldap_search" onkeypress="javascript:if(event.keyCode == 13){document.form_ldap_search.submit();}">
		     <input type="hidden" name="form_nom" value="form_search_arca"/>
			 <input type="hidden" name="page_number" value="1"/>
	          <fieldset class="fieldset">				
                <span class="label soft_grey bordertop borderbottom" style="padding:3px;margin-left:15px;"><?php echo $text_search_by_name;?></span>
                <div class="clearleft"></div>							
				<br />
				<div>
                <label class="label required_field50"  ><?php echo $text_name;?> <img src="<?php echo $pathImages.'app/red_star.png';?>" alt=""/></label>
		        <input name="Fname" type="text" class="std_form_field" size="50" <?php if (isset($_REQUEST['Fname'])) { echo 'value="'.$_REQUEST['Fname'].'"'; }?> ><div class="clearleft"></div>
                <label class="label length50"  ><?php echo $text_firstname;?></label>
				<input name="Ffirstname" type="text" class="std_form_field" size="50" <?php if (isset($_REQUEST['Ffirstname'])) { echo 'value="'.$_REQUEST['Ffirstname'].'"'; }?> ><div class="clearleft"></div>	
				</div>
		
<br />
          <div style="margin-left:15px;"><?php
   		   displayButton($button_submit,'','javascript:document.form_ldap_search.submit()','tsc_awb_medium tsc_awb_green tsc_flat');	
		   displayButton($button_cancel,'',$targetFile,'tsc_awb_medium tsc_awb_orange tsc_flat');	?>
		  </div> 
		  </fieldset>
		  
       </form>
	   <div class="clearleft"></div>	
	   <script>document.form_ldap_search.Fname.focus();</script>
	   </div><?php
	   
    if ($affiche_tab)
    {
	  // connect to ldap
          // get LDAP settings from DB  
          $request=new sqlRequest("SELECT parameter_tag_id,parameter_value 
                                   FROM framework_parameters 
                                   WHERE parameter_tag_id LIKE 'LDP%'",$cnx->num);
          $ldapData=$request->getArrayFieldsOneField();
          // build the constants
          define("LDAP_SERVER",$ldapData['LDPSRV']);
          define("LDAP_PORT",$ldapData['LDPPRT']);
          define("LDAP_BASE_DN",$ldapData['LDPBDN']);
          define("LDAP_UID_FIELD",$ldapData['LDPUID']);
          define("LDAP_NAME_FIELDS_NAME",$ldapData['LDPNAM']);
          define("LDAP_NAME_FIELDS_FIRSTNAME",$ldapData['LDPFNM']);
          define("LDAP_NAME_FIELDS_FULLNAME",$ldapData['LDPFUN']);
          define("LDAP_ATTRIBUTES",$ldapData['LDPATT']);
          define("LDAP_ALL_ATTRIBUTES",$ldapData['LDPAAT']);
          define("LDAP_BIND_DN",$ldapData['LDPBID']);
          define("LDAP_BIND_PASS",$ldapData['LDPBIP']);
          define("LDAP_USER_OBJECTCLASS",$ldapData['LDPOBJ']);             
          // create connection
	  $ldapConnection=new mtLdap();
          // get number of hits
	  if ($_REQUEST['action']=='search_ldap')
	  {
	    $nbTotal=$ldapConnection->searchNameCountHits($_REQUEST['Fname'],$_REQUEST['Ffirstname']);
	  }	
	  else
	  {
	    $nbTotal=$ldapConnection->uidValid($_REQUEST['Flogin']);
	  }
		 
	  if ($nbTotal==0)
      {?>
         <div class="MessageBox WarningMessageBox"><?php echo $msg_no_result;?></div>	  <?php
      }	  
	  else if ($nbTotal<100)
	  {
		// set paginator
        $pageNumbering=new changePage('page_search_ldap',$nbTotal,$localTargetFile,$pathImages,getParameter('PGNUBR',$cnx->num));		 		
        $pageNumbering->displayNavigator($text_no_item);?>
        <table class="zebraTable" >
          <tr> 
            <th><?php echo $text_login;?></th>
            <th><?php echo $text_name;?></th>			
            <th><?php echo $text_email;?></th>						
          </tr>	  <?php

	    if ($_REQUEST['action']=='search_ldap')
	    {		  
              $ResultsArray=$ldapConnection->searchName($_REQUEST['Fname'],$_REQUEST['Ffirstname'],$nbTotal,$_SESSION['page_search_ldap'],$pageNumbering->max_items_by_page);  
	    }  
	    else
            {
	      $userFound=$ldapConnection->getData($_REQUEST['Flogin']);  
	      $ResultsArray[0][LDAP_UID_FIELD]=$_REQUEST['Flogin'];
	      $ResultsArray[0]['name']=$userFound->name;
	      $ResultsArray[0]['mail']=$userFound->mail;
	    }
        for ($i=0;$i<count($ResultsArray);$i++)
        {?>
          <tr>
	        <td><a href="<?php echo $targetFile;?>&action=add_user_from_ldap&username=<?php echo $ResultsArray[$i][LDAP_UID_FIELD];?>&token=<?php echo $_SESSION['token'];?>" class="small_link"><?php echo $ResultsArray[$i][LDAP_UID_FIELD];?></a></td>
	        <td><?php echo $ResultsArray[$i]['name'];?></td>	
	        <td><?php echo $ResultsArray[$i]['mail'];?></td>		      
          </tr><?php 
		}?>
     	</table><?php  
	  }
      else
      {?>
         <div class="MessageBox WarningMessageBox"><?php echo $msg_too_much_results;?></div>	  <?php
      }	  
    }?>
