<?php
/**
 * Actions for actions (linked to issues) management  in a dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
 
if (!isset($otherFieldsInsert))
{
  $otherFieldsInsert='';
  $otherFieldsInsertValues='';
}
 
if (isset($_REQUEST['action']))
{
  switch ($_REQUEST['action'])
  {
    case 'add_action':
      if(ini_get('magic_quotes_gpc'))
      {
        // If magic_quotes setting is on, strip the leading slashes that are automatically added to the string:
        $_POST['note-task_load']=stripslashes(str_replace(',','.',$_POST['note-task_load']));
        $_POST['note-body']=stripslashes($_POST['note-body']);
      }

      // Escaping the input data:

      $action_load = (float)$_POST['note-task_load'];
      $body = formatStringForDB($_POST['note-body']);
      $color = $cnx->escape_string($_POST['color']);
      $zindex = (int)$_POST['zindex'];

      // Get max action_number for the project
      $request= new sqlRequest("SELECT MAX(action_number) AS max FROM kados_actions WHERE issue_id_fk=".$_REQUEST['object_id'],$cnx->num);
      $request->getObject();
      $actionNumber=(int)$request->objet->max+1;	  
	  
      // Get issue_number 
      $request->sqlGet("SELECT issue_number FROM kados_issues WHERE issue_id=".$_REQUEST['object_id']); 
      $request->getObject();
      $actionIssueNumber=$request->objet->issue_number;
 	  
      // Check if link has an allowed protocol
      if (preg_match('/^('.getParameter('APROTO',$cnx->num).'):\/\/[^ "]+$/',$_POST['note_link']) || $_POST['note_link']=='')
      {
        // then set var for the SQL request  
        $recordFieldLink=',action_link';
        $recordFieldLinkValue=",'".$_POST['note_link']."'";
      }
      else
      {
        // display warning message  ?>
        <div class="MessageBox WarningMessageBox"><?php echo $msg_protocol_not_allowed.' : '.getParameter('APROTO',$cnx->num);?></div><?php   
        // empty var to keep the current value link
        $recordFieldLink='';
        $recordFieldLinkValue='';
      }      
      
      /* Inserting a new record in the $tableData DB: */
      $request= new sqlRequest("INSERT INTO ".$tableData." (action_number,action_issue_number,text,action_load,color,".$xPosField.",".$yPosField.",".$zPosField.",status".$otherFieldsInsert.",
	                           action_done,action_raf,action_creation_date,action_creator,action_last_update_date,action_last_updater".$recordFieldLink.")
				VALUES (".$actionNumber.",".$actionIssueNumber.",'".$body."',".$action_load.",'".$color."',".$xInitDefaultPosition.",".$yInitDefaultPosition.",".$zindex.",'TODO'".$otherFieldsInsertValues.",
				   0,".$action_load.",'".date('Y-m-d H:i:s')."','".$_SESSION['login']."','".date('Y-m-d H:i:s')."','".$_SESSION['login']."'".$recordFieldLinkValue.")",$cnx->num);	 
							 
      // If action parent is at AWAY status, reset ISSUE status to TODO
      $request->sqlGet("UPDATE kados_issues SET status='PROG' WHERE issue_id=".$_REQUEST['object_id']); 
	  
    break;
	
    case 'update_action':
      if(ini_get('magic_quotes_gpc'))
      {
	     // If magic_quotes setting is on, strip the leading slashes that are automatically added to the string:
	     $_POST['note-task_load']=stripslashes(str_replace(',','.',$_POST['note-task_load']));
	     $_POST['note-body']=stripslashes($_POST['note-body']);
      }

      // Escaping the input data
      $action_load = (float)$_POST['note-task_load'];
      $body = formatStringForDB($_POST['note-body']);
      $color = $cnx->escape_string($_POST['color']);
      $load_spent = (float)str_replace(',','.',$_POST['note-load_spent']);
      $load2finish = (float)str_replace(',','.',$_POST['note-load2finish']);

      // Check if link has an allowed protocol
      if (preg_match('/^('.getParameter('APROTO',$cnx->num).'):\/\/[^ "]+$/',$_POST['note_link']) || $_POST['note_link']=='')
      {
        // then set var for the SQL request  
        $updateFieldLink="action_link='".$_POST['note_link']."',";
      }
      else
      {
        // display warning message  ?>
        <div class="MessageBox WarningMessageBox"><?php echo $msg_protocol_not_allowed.' : '.getParameter('APROTO',$cnx->num);?></div><?php   
        // empty var to keep the current value link
        $updateFieldLink='';
      }    
	  
      // request to update action fields
      $request= new sqlRequest("UPDATE ".$tableData." 
                                SET text='".$body."',action_load=".$action_load.",color='".$color."',".$updateFieldLink."
                                    action_done=".$load_spent.",action_raf=".$load2finish.",action_last_update_date='".date('Y-m-d H:i:s')."',
                                    action_last_updater='".$_SESSION['login']."' 
				WHERE ".$itemIdName."=".intval($_REQUEST['item_id']),$cnx->num);

    break; 	
  }
}