<?php
/**
 * Form (popin) to update a feature to a project in a dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
define("PATHBASE",'../');
$pathClasses=PATHBASE.'libraries/classes/';
$pathImages=PATHBASE.'images/';
$pathCommons=PATHBASE.'common_scripts/';  
$targetFile='project_cockpit.php?menu_lev2=cockpit';

require_once PATHBASE.'popin_includes_presession.php';

if (isset($_SESSION['login']))
{

require_once PATHBASE.'popin_includes.php';
require_once $pathCommons.'date_hour.php';

// Get feature data & count US in the feature
$request=new sqlRequest("SELECT * FROM kados_features WHERE feature_id=".$_REQUEST['feature_id'],$cnx->num);
$featureData=$request->getObject();
?>
<h3 class="popupTitle"><?php echo $legend_changing_f.' '.lcfirst($text_feature);?></h3>

<div> <!-- Holds the form -->
<form class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>" method="post" name="form_feature" enctype="multipart/form-data">
<input type="hidden" name="action" value="update_feature" />
<input type="hidden" name="feature2update" id="feature2update" value="<?php echo $_REQUEST['feature_id'];?>" />
 <fieldset class="fieldset">
   <label class="label required_field100"><?php echo $text_feature_short_label;?></label>
   <input class="std_form_field" name="form_item_feature_short_label" id="form_item_feature_short_label" type="text" size="5" maxlength="5" value="<?php echo $featureData->feature_short_label;?>" /><div class="clearleft"></div>
   <label class="label required_field100"><?php echo $text_feature;?></label>
   <input class="std_form_field" name="form_item_feature_name" id="form_item_feature_name" type="text" size="15"  maxlength="15" value="<?php echo $featureData->feature_name;?>" /><div class="clearleft"></div>
   <label class="label length100"><?php echo $text_description;?></label>
   <textarea name="form_item_feature_description" class="std_form_field" cols="30" rows="4"><?php echo $featureData->feature_description;?></textarea><div class="clearleft"></div>
  
    <br />     <?php 
 displayButton($button_submit,'','','feature-submit tsc_awb_medium tsc_awb_green tsc_flat');	?>

</fieldset>
</form>
</div><?php
}
else
{
  require_once $pathCommons.'functions.php';  ?>
  <script>
    window.location.replace('<?php echo getServerURL();?>/../index.php?warning_message=SESSION_END');
  </script>   <?php
}
