<?php
/**
 *
 * Comments Management
 *
 * @category Scripts
 * @package  Postits:Comments
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
class comment {
  var $cnxComment;   
  var $orderBy='postit_comment_date DESC';
  var $where;
  var $limit='';
  
    function comment($cnx_num)
    {
      // init classe
      // connect to DB  
      $this->cnxComment=$cnx_num;
    }
    
    function addPostitComment($postitType,$postitId,$commentText,$wavedUsers,$user)
    {   
      // add a comment
      // get type, postit ID, the field, old and new value and the user doing the change
      $request=new sqlRequest("INSERT INTO kados_postit_comments
                                (postit_comment_date, 
	                         postit_comment_postit_type, 
	                         postit_comment_postit_id_fk, 
	                         postit_comment_text, 
	                         postit_comment_user_login_fk,
                                 postit_comment_waved_users) 
	                      VALUES
	                       ('".date('Y-m-d H:i:s')."','".strtoupper($postitType)."',
                                ".$postitId.",'".addslashes($commentText)."',
                                '".$user."','".addslashes($wavedUsers)."')",$this->cnxComment);
    }  
    
    function setOrderBy($orderBy)
    {
      // allow class user to add an order by part to the clause  
      $this->orderBy=$orderBy;  
    }

    function setWhere($where)
    {
      // allow class user to add a where part to the clause    
      $this->where=$where;  
    }    

    function setLimit($start,$nb)
    {
      // allow class user to add a limit part to the clause    
      $this->limit=' LIMIT '.$start.','.$nb;  
    }    
    
    function getPostitComments($postitId,$postitType)
    {
      // get comments for a specific postit
      // from type and ID  
      $request=new sqlRequest("SELECT * 
                               FROM kados_postit_comments
                               WHERE postit_comment_postit_id_fk=".$postitId." 
                                 AND postit_comment_postit_type='".strtoupper($postitType)."' 
                               ".$this->where." 
	                       ORDER BY ".$this->orderBy." 
                               ".$this->limit,$this->cnxComment);
      return $request->getArrayFields(); 
    }
    
    function getPostitCommentsCount($postitId,$postitType)
    {
      // get number of comments for a postit  
      // from type and postit ID  
      $request=new sqlRequest("SELECT COUNT(*) as nbItem
                               FROM kados_postit_comments
                               WHERE postit_comment_postit_id_fk=".$postitId." 
                                 AND postit_comment_postit_type='".strtoupper($postitType)."' 
                               ".$this->where,$this->cnxComment);
      $request->getObject(); 
      return $request->objet->nbItem;
    }    
    
    function getPostitHasNewComment($postitId,$postitType,$refDate,$user)
    {
      // init answer array
      $result=array(0,0);  
      // get number of comments new for an user more recent than the connection time
      // from type and postit ID  
      $request=new sqlRequest("SELECT COUNT(*) as nbItem
                               FROM kados_postit_comments
                               WHERE postit_comment_postit_id_fk=".$postitId." 
                                 AND postit_comment_postit_type='".strtoupper($postitType)."' 
                                 AND postit_comment_user_login_fk!='".$user."' 
                                 AND postit_comment_date>'".$refDate."'",$this->cnxComment);
      $request->getObject(); 
      $result[0]=$request->objet->nbItem;         
      // get number of comment with a wave for the current user and more recent than the connection time
      $request->sqlGet("SELECT COUNT(*) as nbItem
                        FROM kados_postit_comments
                        WHERE LOCATE('@[".$user."]',postit_comment_waved_users) 
                          AND postit_comment_postit_id_fk=".$postitId." 
                          AND postit_comment_postit_type='".strtoupper($postitType)."' 
                          AND postit_comment_user_login_fk!='".$user."' 
                          AND postit_comment_date>'".$refDate."'");     
      $request->getObject(); 
      $result[1]=$request->objet->nbItem;        
      return $result;
    }
}
?>