<?php

/**
 * ODT Export for one US
 *
 * @category Exports
 * @package  exportOdtUs
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */


$table = new Table('tableUS_'.$countUS);
$table->createColumns(3);
//create a TableStyle

$table->setStyle($tableStyle);

//set the width of the columns
$width=intval(strlen($currentUS['object_color_meaning'])/2);
$columnStyle1 = $table->getColumnStyle(0);
$columnStyle1->setWidth('5cm');
$columnStyle2 = $table->getColumnStyle(1);
$columnStyle2->setWidth('6cm');
$columnStyle3 = $table->getColumnStyle(2);
$columnStyle3->setWidth('6cm');

$rows = array(array($currentUS['object_color_meaning'],'US'.$currentUS['us_number'],$usStatusTable[$currentUS['detailed_status']]));
$table->addRows($rows);
$cellStyle1 = $table->getCellStyle(0,0); 
$cellStyle1->setBgColor('#'.$currentUS['color_value']);

$tableContent=new Table('tableUSContent_'.$countUS);
$tableContent->createColumns(1);
$rows = array(array(str_replace("\n","<text:line-break/>",$currentUS['text'])));
$tableContent->addRows($rows);

// Display tasks if any
if (isset($listTasks[$currentUS['us_id']]))
{
  // Add table for tasks
  $tableTasks =  new Table('tableTasksUS_'.$countUS);
  $tableTasks->createColumns(4);
  $rows=array();
  $listTasksUs=$listTasks[$currentUS['us_id']];          
  for ($k=0;$k<count($listTasksUs);$k++)
  {
    $tmp[0]=$listTasksUs[$k]['object_color_meaning'];
    $tmp[1]='T'.$currentUS['us_number'].'.'.$listTasksUs[$k]['task_number'];
    $tmp[2]=str_replace("\n","<text:line-break/>",$listTasksUs[$k]['text']);
    $tmp[3]=$listTasksUs[$k]['column_name'];
    $rows[$k]=$tmp;
  }
  $tableTasks->addRows($rows);
  for ($k=0;$k<count($listTasksUs);$k++)
  {  
    $cellStyle1 = $tableTasks->getCellStyle(0,$k); 
    $cellStyle1->setBgColor('#'.$listTasksUs[$k]['color_value']);
  }  
}  
$p = new Paragraph();
$p->addText('');
?>
