<?php
/**
 * messages and texts used by all scripts  
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Claudio Lobo <claudioslobo@yahoo.com.br>
 * @license  GPL v3, MIT
 * */     

// Global Messages   
$msg_confirm_delete_object=utf8_encode('Quer mesmo excluir esse item?');
$msg_object_deleted=utf8_encode("O item foi excludo");
$msg_object_detached=utf8_encode("O item foi desanexado");
$msg_object_created=utf8_encode("O item foi criado");
$msg_all_objects_created=utf8_encode('Todos os itens foram criados');
$msg_object_updated=utf8_encode("O item foi atualizado");
$msg_select_profile=utf8_encode('Selecione um perfil para acessar funes de gerenciamento.');
$msg_unknown_user=utf8_encode('Usurio desconhecido');
$msg_wrong_password=utf8_encode('Senha incorreta');
$msg_object_exists=utf8_encode('Este item j existe!');
$msg_status_changed=utf8_encode('O status foi atualizado.');
$msg_object_added=utf8_encode("O item foi adicionado");
$msg_confirm_detach_object=utf8_encode('Voc realmente quer desanexar este item?');
$msg_managing_profile=utf8_encode('Voc est atualizando as caractersticas do perfil');
$msg_choose_value=utf8_encode('Escolha um valor');
$msg_file_missing=utf8_encode("Esse arquivo no existe mais no servidor");
$msg_file_too_big=utf8_encode('O arquivo  muito grande');
$msg_credentials_ko=utf8_encode('Login ou senha incorretos');
$msg_language_available=utf8_encode('Idioma disponvel');
$msg_language_data_missing=utf8_encode('Alguns dados do idioma esto faltando');
$msg_no_result=utf8_encode('Nenhum resultado encontrado');
$msg_too_much_results=utf8_encode('Excesso de resultados. Por favor, refine sua pesquisa');
$msg_not_enough_char=utf8_encode('Nmero de caracteres insuficiente (mnimo de 3)');
$msg_user_already_exists=utf8_encode('Este usurio j existe');
$msg_managing_parameters_switch=utf8_encode('Mude os parmetros on/off clicando na seta, em cada rea de parmetro.');
$msg_managing_parameters=utf8_encode("Defina os parmetros, clicando no cone atualizar no final de cada linha.");
$msg_user_format_ko=utf8_encode("Nome de usurio invlido (letras minsculas, nmeros e _ (sublinhado) apenas)");
$msg_session_ended=utf8_encode('Sesso expirou. Por favor, conecte novamente.');
$msg_wrong_current_password=utf8_encode('A senha no est correta. Por favor, tente novamente.');
$msg_user_not_confirmed=utf8_encode('Este usurio no est confirmado. Voc dever confirm-lo utilizando o link disponvel no mail que voc recebeu, ou pergunte ao seu administrador.');
$msg_user_inactive=utf8_encode('Este usurio est inativo. Contacte o seu administrador.');
$msg_confirm_reset_pass=utf8_encode('Voc quer realmente reinicializar a sua senha ?');
$msg_password_updated=utf8_encode('A senha foi atualizada');
$msg_password_not_locally_managed=utf8_encode('A senha  administrada por um sistema externo.');
$msg_password_reset=utf8_encode('A senha foi reinicializada.');
$msg_user_updated=utf8_encode('A conta de usurio foi atualizada.');
$msg_mail_validation_sent=utf8_encode('O e-mail de confirmao do novo endereo foi enviado.');
$msg_reset_email_sent=utf8_encode('O e-mail de reinicializao da sua senha foi enviado.');
$msg_unknown_email=utf8_encode('Endereo invlido. Por favor, tente novamente ou contate o administrador.');
$msg_user_already_confirmed=utf8_encode('O usurio j est confirmado.');
$msg_no_email_to_confirm=utf8_encode('Nenhum endereo de mail a confirmar.');
$msg_feature_not_available=utf8_encode('Esta funo no est disponvel.');
$msg_unknown_request=utf8_encode('Pedido desconhecido.');
$msg_password_incorrect=utf8_encode('A senha est errada. Por favor, tente novamente.');
$msg_mail_sent=utf8_encode("E-mail enviado");     
$msg_user_not_registred=utf8_encode("LDAP: o usurio no est registrado na base local. Por favor, contacte seu administrador.");                
$msg_ldap_on_but_not_available=utf8_encode("LDAP: a conexo est ativa, mas o mdulo LDAP no est disponvel em seu servidor web. Contacte seu administrador.");                
$msg_user_ldap_without_ldap=utf8_encode("LDAP: Voc  um usurio, mas a configurao LDAP no est ativa. Contacte seu administrador.");                
$msg_password_rules=utf8_encode('El Password debe respetar las reglas siguentes:  <br />- Al menos una minscula<br />- Al menos una mayscula<br />- Al menos un nmero<br />- Entre 8 y 20 caracteres<br />- Al menos un carcter especial !?*$+_@%#');

// Global Texts
$text_profile=utf8_encode('Perfil');
$text_duration=utf8_encode('Durao (em meses)');
$text_template_status=utf8_encode('Estado do modelo');
$text_year=utf8_encode('ano');
$text_month=utf8_encode('ms');
$text_number=utf8_encode('n');
$text_login=utf8_encode('Login');
$text_password=utf8_encode('Senha');
$text_user=utf8_encode('Usuario');
$text_logout=utf8_encode('Sair');
$text_firstname=utf8_encode('Primeiro nome');
$text_name=utf8_encode('Nome');
$text_email=utf8_encode('E-mail');
$text_status=utf8_encode('Status');
$text_short_name=utf8_encode('Apelido');
$text_address=utf8_encode('Endereo');
$text_address_comment=utf8_encode("Complemento");
$text_address_city=utf8_encode('Cidade');
$text_address_country=utf8_encode('Pas');
$text_address_zip_code=utf8_encode('CEP');
$text_address_state=utf8_encode('UF');
$text_filter_inactive=utf8_encode('Inativo');
$text_description=utf8_encode('Descrio');
$text_amount=utf8_encode('Quantia');
$text_reference=utf8_encode('Referncia');
$text_of=utf8_encode('de');
$text_of_the=utf8_encode('de');
$text_date_from=utf8_encode('De');
$text_date_to=utf8_encode('Para');
$text_total=utf8_encode('Total');
$text_no_data=utf8_encode('Sem dados');
$text_total_cost=utf8_encode('Custo total');
$text_hours=utf8_encode('Horas');
$text_creator=utf8_encode('Criador');
$text_creation_date=utf8_encode('Data de criao');
$text_parameter=utf8_encode('Parmetro');
$text_tag=utf8_encode('Tag');
$text_value=utf8_encode('Valor');
$text_max_value=utf8_encode('Valor mximo');
$text_informations=utf8_encode('Informaes Gerais');
$text_misc=utf8_encode('Diversos');
$text_comments=utf8_encode('Comentrios');
$text_comment=utf8_encode('Comentrio');
$text_object_id=utf8_encode('N');
$text_actions=utf8_encode('Aes');
$text_start_date=utf8_encode('Data de incio');
$text_days=utf8_encode('dias');
$text_features=utf8_encode('Caractersticas');
$text_created_by=utf8_encode('Criado por');
$text_resource=utf8_encode('Recurso');
$text_no_item=utf8_encode('Nenhum item');
$text_for=utf8_encode('para');
$text_the_m=utf8_encode('o');
$text_the_f=utf8_encode('a');
$text_one_m=utf8_encode('um');
$text_one_f=utf8_encode('uma');
$text_change_status=utf8_encode('Trocar situao');
$text_workflow=utf8_encode('Workflow');
$text_management=utf8_encode('Gerenciamento');
$text_group=utf8_encode('Grupo');
$text_ratio=utf8_encode('Razo');
$text_std_profile=utf8_encode('Perfil padro');
$text_value_is_too_high_for=utf8_encode('O valor  muito grande para');
$text_limit_is=utf8_encode('O limite ');
$text_yes=utf8_encode('Sim');
$text_no=utf8_encode('No');
$text_to=utf8_encode('para');
$text_cost=utf8_encode('Custo');
$text_week=utf8_encode('semana');
$text_tip=utf8_encode('Dica');
$text_alert_if_zero=utf8_encode('Alertar se valor  nulo');
$text_date=utf8_encode('Data');
$text_menu=utf8_encode('Itens de menu');
$text_transitions=utf8_encode('Transies');
$text_and=utf8_encode('e');
$text_todo2finish=utf8_encode('A fazer para terminar');
$text_order=utf8_encode('Ordem');
$text_owner=utf8_encode('Dono');
$text_none=utf8_encode('Nenhum');
$text_role=utf8_encode('Papel desempenhado');
$text_stakeholder=utf8_encode('Colaborador');
$text_global=utf8_encode('Global');
$text_local=utf8_encode('Local');
$text_type=utf8_encode('Tipo');
$text_progress=utf8_encode('Progresso');
$text_on=utf8_encode('on');
$text_update_date=utf8_encode('Atualizado em');
$text_file=utf8_encode('Arquivo');
$text_document=utf8_encode('Documento');
$text_maxsize=utf8_encode('Tamanho mximo');
$text_objects_using_this_profile=utf8_encode('Itens que usam este perfil');
$text_connection_mode=utf8_encode('Origem');
$text_language=utf8_encode('Idioma');
$text_situation=utf8_encode('Situao');
$text_not_enough_char=utf8_encode('Caracteres no  suficiente (pelo menos 3)');
$text_ldap_search=utf8_encode('Pesquisa LDAP');
$text_search_by_name=utf8_encode('Por nome');
$text_search_by_username=utf8_encode('Por nome de usurio');
$text_readonly_role=utf8_encode('Somente Leitura');
$text_nobody=utf8_encode('Ningum');
$text_theme=utf8_encode('Tema');
$text_project_block_raf=utf8_encode('Impede escrever o tempo restante nas tarefas na ltima coluna');
$text_tag_used=utf8_encode('Tag disponvel para o projeto');
$text_tag_not_used=utf8_encode('Tag indisponvel para o projeto');
$text_password_check=utf8_encode('Verificao de senha');
$text_change_password=utf8_encode('Para alterar sua senha, preencha ambos os campos. A senha  limitada a 15 caracteres.');
$text_current_password=utf8_encode('Senha atual');
$text_new_password=utf8_encode('Nova senha');
$text_user_confirmed=utf8_encode('Usurio confirmado');
$text_key_not_valid=utf8_encode('A chave no  vlida');
$text_key_no_more_valid=utf8_encode('A chave no est mais vlida');
$text_forgotten_password=utf8_encode('Esqueceu sua senha?');
$text_back_home=utf8_encode('Voltar  pgina inicial');
$text_relationships=utf8_encode("Relaciones entre las US");
$text_news=utf8_encode("Noticias");
$text_link=utf8_encode("Link");

// Global Buttons
$button_cancel=utf8_encode('Cancelar');
$button_submit=utf8_encode('Enviar');
$button_search=utf8_encode('Pesquisar');
$button_new_profile=utf8_encode('Criar um perfil');
$button_update_values=utf8_encode('Atualizar valores');
$button_new_user=utf8_encode('Criar um usurio');
$button_filter=utf8_encode('Filtrar');
$button_back_to_list=utf8_encode('Voltar  lista');
$button_lock=utf8_encode('Bloquear');
$button_save=utf8_encode('Salvar');
$button_unlock=utf8_encode('Desbloquear');
$button_update_value=utf8_encode('Salvar o valor');
$button_new_user_ldap=utf8_encode("Novo usurio no diretrio LDAP");
$button_new_news=utf8_encode("Aadir noticias");

// Global Actions
$action_modify=utf8_encode('Modificar');
$action_delete=utf8_encode('Excluir');
$action_manage=utf8_encode('Administrar');
$action_fill_in=utf8_encode('Preencher');
$action_start=utf8_encode('Iniciar');
$action_view=utf8_encode('Ver');
$action_view_progress=utf8_encode("Ver o progresso");
$action_change_status=utf8_encode('Mudar status');
$action_detach=utf8_encode('Desanexar');
$action_fill=utf8_encode('Preencher');
$action_set_as_default=utf8_encode('Definir como valor padro');
$action_view_dashboard=utf8_encode('Ver o dashboard');
$action_disable=utf8_encode('Desativar');
$action_activate=utf8_encode('Ativar');
$action_move_up=utf8_encode('Mover para cima');
$action_move_down=utf8_encode('Mover para baixo');

// Legends
$legend_logon=utf8_encode('Conexo');
$legend_changing_f=utf8_encode("Modificao de uma");
$legend_creation_f=utf8_encode("Criao de uma");
$legend_display_f=utf8_encode("Visualizao de uma");
$legend_adding_f=utf8_encode("Adicionar uma");
$legend_changing_m=utf8_encode("Modificao de um");
$legend_creation_m=utf8_encode("Criao de um");
$legend_display_m=utf8_encode("Visualizao de um");
$legend_adding_m=utf8_encode("Adicionar um");
$legend_change_password=utf8_encode('Para alterar a senha, preencha os dois campos. A senha  limitada a 15 caracteres.');
$legend_update_email=utf8_encode('Para validar a atualizao do seu e-mail, digite sua senha.');
$legend_reset_password=utf8_encode('Para reinicializar a sua senha, digite o seu login e o seu endereo de e-mail.');

// Days
$list_days_week[]=utf8_encode('Segunda');
$list_days_week[]=utf8_encode('Tera');
$list_days_week[]=utf8_encode('Quarta');
$list_days_week[]=utf8_encode('Quinta');
$list_days_week[]=utf8_encode('Sexta');
$list_days_week[]=utf8_encode('Sbado');
$list_days_week[]=utf8_encode('Domingo');

// Months
$list_months[]=utf8_encode('Janeiro');
$list_months[]=utf8_encode('Fevereiro');
$list_months[]=utf8_encode('Maro');
$list_months[]=utf8_encode('Abril');
$list_months[]=utf8_encode('Maio');
$list_months[]=utf8_encode('Junho');
$list_months[]=utf8_encode('Julho');
$list_months[]=utf8_encode('Agosto');
$list_months[]=utf8_encode('Setembro');
$list_months[]=utf8_encode('Outubro');
$list_months[]=utf8_encode('Novembro');
$list_months[]=utf8_encode('Dezembro');

// Arrays
$array_yes_no[1]=$text_yes;
$array_yes_no[0]=$text_no;
?>