<?php
/**
 * messages and texts used by all scripts in German
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Goesta <goesta@smekal.at>
 * @license  GPL v3, MIT
 * */    
 
$appName='KADOS';
$appSubTitle='KAnban Dashboard for Online Scrum';

// Messages
$msg_no_project_selected=utf8_encode('Es ist kein Projekt ausgewhlt. Bitte whlen Sie ein Projekt aus der Projektliste.');
$msg_us_business_values=utf8_encode('Werteliste fr die US aktualisieren.');
$msg_us_business_values_display=utf8_encode('Werteliste fr US-Attribute.');
$msg_stakeholders_display=utf8_encode('Projekt-Stakeholder.');
$msg_stakeholders_display_list=utf8_encode('Whlen sie einen Benutzer aus der Liste. Die Liste enthlt nur aktive Benutzer.');
$msg_stakeholders_display_autocomplete=utf8_encode('Beginnen sie den Namen zu tippen, passende Benutzer werden angezeigt. Es sind nur aktive Benutzer verfgbar. Whlen sie einen aus.');
$msg_us_colors_display=utf8_encode('Im Projekt verwendete Farben.');
$msg_releases_sprints_display=utf8_encode('Releases und Sprints fr das Projekt.');
$msg_confirm_delete_us=utf8_encode('Mchten Sie diese User-Story wirklich lschen? (Die US und alle verknpften Aufgaben werden endgltig gelscht)');
$msg_confirm_send_object_to_trash=utf8_encode('Mchten Sie dieses Objekt in den Mistkbel verschieben? (Der Vorgang kann ber den Mistkbel rckgngig gemacht werden)');
$msg_confirm_activate_us=utf8_encode('Mchten Sie diese User-Story wirklich wiederherstellen?');
$msg_confirm_delete_task=utf8_encode('Mchten Sie diese Aufgabe wirklich lschen? (Das Objekt kann nicht wiederhergestellt werden)');
$msg_confirm_activate_task=utf8_encode('Mchten Sie diese Aufgabe wirklich wiederherstellen?');
$msg_confirm_activate_issue=utf8_encode('Mchten Sie diesen Vorfall wirklich wiederherstellen?');
$msg_confirm_delete_issue=utf8_encode('Mchten Sie dieses Vorfall wirklich lschen? (Das Objekt und alle verknpften Objekte werden endgltig gelscht)');
$msg_confirm_delete_action=utf8_encode('Mchten Sie diese Aktion wirklich lschen? (Das Objekt kann nicht wiederhergestellt werden)');
$msg_confirm_activate_action=utf8_encode('Mchten Sie diese Aktion wirklich wiederherstellen?');
$msg_columns_select=utf8_encode('Whlen Sie die Spalten fr das Kanban-Board. Aktivierte Spalten stehen rechts, ein projektspezifischer Name kann vergeben werden.');
$msg_us_has_been_deleted=utf8_encode('Diese User-Story wurde gelscht.');
$msg_us_is_in_trash=utf8_encode('Diese User-Story befindet sich im Mistkbel.');
$msg_sprint_dates_mixed_other_sprints=utf8_encode('Dieser Sprint berlappt mit einem anderen. Bitte ndern Sie Anfangs- oder Enddatum.');
$msg_due_date_must_be_greater_than_sprint_end_date=utf8_encode('Das Datum der Release muss nach dem Ende des letzten Sprints liegen.');
$msg_start_date_is_no_working_day=utf8_encode('Das Startdatum ist kein Werktag.');
$msg_end_date_is_no_working_day=utf8_encode('Das Enddatum ist kein Werktag.');
$msg_steps_to_add_sprints_design_columns_and_settings_access=utf8_encode('Um Sprints anzulegen mssen Sie Aufgabenspalten zum Projekt hinzufgen.');
$msg_steps_to_add_sprints_design_columns_and_settings_no_access=utf8_encode('Um Sprints anzulegen muss der Projektadmin Aufgabenspalten zum Projekt hinzufgen.');
$msg_steps_add_stakeholders_to_project_access=utf8_encode('Fgen Sie dem Projekt Stakeholder hinzu.');
$msg_steps_add_stakeholders_to_project_no_access=utf8_encode('Bitten Sie den Scrum-Master Stakeholder zum Projekt hunizuzufgen.');
$msg_steps_add_release_access=utf8_encode('Legen Sie zumindest eine Release fr das Projekt an.');
$msg_steps_add_release_no_access=utf8_encode('Bitten Sie den Scrum-Master zumindest eine Release fr das Projekt anzulegen.');
$msg_workshop_mode_is_on=utf8_encode('Der Workshopmodus ist aktiv. Sie gelangen zum Standardmodus zurck indem Sie auf den entsprechenden Knopf klicken.');
$msg_us_roadmap_explainations=utf8_encode('Das ist die User-Story-Historie pro Sprint. Die Tabelle wird jedes Mal aktualisiert, wenn Sie auf den Knopf unten klicken. Jeder Status ist der aktuelle fr den jeweiligen Sprint. Zu Beginn und am Ende jedes Sprints sollte der Status einmal aufgezeichnet werden.');
$msg_small_reports=utf8_encode('kurze Berichte');
$msg_no_release_selected=utf8_encode('Checkliste kann nicht angezeigt werden: es ist kein Release gewhlt, oder es gibt keine Releases in diesem Projekt.');
$msg_steps_to_add_tasks_design_columns_and_settings_access=utf8_encode('Um Aufgaben anzulegen mssen Sie Aufgabenspalten zum Projekt hinzufgen.');
$msg_steps_to_add_tasks_design_columns_and_settings_no_access=utf8_encode('Um Aufgaben anzulegen muss der Projektadmin Aufgabenspalten zum Projekt hinzufgen.');
$msg_rss_is_not_available=utf8_encode('RSS ist nicht verfgbar. Wenden Sie sich an den Site-Administrator.');
$msg_us_has_been_moved=utf8_encode('Diese User-Story ist nicht mehr in diesem Release.');
$msg_us_is_in_backlog=utf8_encode('Diese User-Story ist im Release Backlog');
$msg_features_management=utf8_encode('Feature bersicht. Features hinzufgen oder bearbeiten.');
$msg_use_this_url_as_shortcut_for_project=utf8_encode("Diesen URL verwenden um nach dem Login direkt zum Kanban zu gelangen");
$msg_use_this_url_as_shortcut_for_release=utf8_encode("Diesen URL verwenden um nach dem Login direkt zum Release zu gelangen");
$msg_use_this_url_as_shortcut_for_sprint=utf8_encode("Diesen URL verwenden um nach dem Login direkt zum Sprint zu gelangen");
$msg_use_this_url_as_shortcut_for_cockpit=utf8_encode("Diesen URL verwenden um nach dem Login direkt zur bersicht zu gelangen");
$msg_format_not_allowed=utf8_encode("Mindestens eine Datei hat einen unzulssigen Dateityp. Erlaubt sind:");
$msg_size_too_big=utf8_encode("Datei berschreitet die maximale Gre (MB)");        
$msg_directory_not_created=utf8_encode("Das Verzeichnis wurde noch nicht erstellt. Kontaktieren Sie den Administrator. Verzeichnis");        
$msg_file_has_been_deleted=utf8_encode("Die folgende Datei wurde gelscht");    
$msg_profiles_switch=utf8_encode("Fr Stakeholder verfgbare Profile auswhlen. Es muss mindestens ein Profil in jedem Projekt geben.");        
$msg_project_has_no_sprint=utf8_encode('Roadmap kann nicht angezeigt werden, das Projekt hat keinen Sprint.');
$msg_miniboard_display=utf8_encode('Erstelle und sortiere die US auf diesem Miniboard.');
$msg_rss_key_is_incorrect=utf8_encode('Der RSS Token ist ungltig.');
$msg_parameter_is_incorrect=utf8_encode('Der Wert fr den Parameter trifft auf kein Objekt zu.');
$msg_no_reports_for_release=utf8_encode('Es gibt keinen Report auf dieser Ebene. Bitte Release oder Sprint whlen.');
$msg_protocol_not_allowed=utf8_encode("Die Verbindung erfolgt nicht ber ein erlaubtes Protokoll. Folgende Protokolle sind mglich:");
$msg_early_dashboard_level3=utf8_encode('Das ist ein "Vorlufiges Dashboard". Hier knnen Aufgaben erstellt werden, deren US noch keinem Sprint zugeordnet ist. Um zur Roadmap zurckzukehren klicken Sie den weiter unten.');
$msg_early_dashboard_level2=utf8_encode('Das ist ein "Vorlufiges Dashboard". Hier knnen Aufgaben erstellt werden, deren US noch keinem Sprint zugeordnet ist. Um zur Roadmap zurckzukehren klicken Sie den weiter unten.');
$msg_errors_uploading_files=utf8_encode('Diese Dateien knnen nicht als Anlage hochgeladen werden (ungltiger Dateityp)'); 
$msg_fill_in_a_comment=utf8_encode('Bitte einen Kommentar eingeben'); 
$msg_scatter_us=utf8_encode("Dieses US Streudiagramm zeigt alle US im Backlog nach wirtschaftlichem Nutzen / Komplexitt. Beachte dass die US Positionen fr eine bessere Anzeige zufllig variiert wurden.");
$msg_fill_in_a_relationship=utf8_encode("Bitte eine Userstory fr die Verknpfung auswhlen");
$msg_fill_in_an_user=utf8_encode("Bitte einen Benutzer (Namen oder Login) eingeben");
$msg_fill_in_a_name=utf8_encode("Bitte einen Projektnamen eingeben");
$msg_confirm_delete_project=utf8_encode("Mchten Sie dieses Projekt wirklich lschen?");
$msg_profiles_displayed=utf8_encode("Das sind die Profile und ihre Sichtbarkeit in Ihrem Projekt.");
$msg_upload_csv=utf8_encode("Die CSV Datei muss Beistriche als Trenner und die Spalten in folgender Reihenfolge haben: <li>US Test</li><li>Wirtschaftlicher nutzen</li><li>Komplexitt</li><li>Externer Link</li>");
$msg_upload_csv_done=utf8_encode("US Import ist abgeschlossen");
$msg_import_us_not_allowed=utf8_encode("Sie sind nicht berechtigt, US in dieses Projekt zu importieren,");

// Texts
$text_product_owner=utf8_encode('Product Owner');
$text_release=utf8_encode('Release');
$text_sprint=utf8_encode('Sprint');
$text_sprint_backlog=utf8_encode('Sprint-Backlog');
$text_project=utf8_encode('Projekt');
$text_end_date=utf8_encode('Enddatum');
$text_due_date=utf8_encode('Flligkeit');
$text_scrum_master=utf8_encode('Scrum-Master');
$text_user_story=utf8_encode('User-Story');
$text_business_value=utf8_encode('wirtschaftlicher Nutzen');
$text_color=utf8_encode('Farbe');
$text_task=utf8_encode('Aufgabe');
$text_us=utf8_encode('US');
$text_task_load=utf8_encode('geschtzter Aufwand');
$text_created_on_m=utf8_encode('erstellt am ');
$text_created_on_f=utf8_encode('erstellt am ');
$text_last_updated_on_m=utf8_encode('aktualisiert am ');
$text_last_updated_on_f=utf8_encode('aktualisiert am ');
$text_by=utf8_encode('von');
$text_load_spent=utf8_encode('bisheriger Aufwand');
$text_load2finish=utf8_encode('Aufwand bis zum Abschluss');
$text_complexity=utf8_encode('Komplexitt');
$text_my_level_on_project=utf8_encode('meine Rolle im Projekt');
$text_my_projects=utf8_encode('meine Projekte');
$text_scope=utf8_encode('Umfang');
$text_connection=utf8_encode('Verbindung');
$text_database_type=utf8_encode('Datenbanktyp');
$text_host=utf8_encode('Host');
$text_port=utf8_encode('Port');
$text_dbname=utf8_encode('Datenbank');
$text_project_table=utf8_encode('Projects table');
$text_release_table=utf8_encode('Releases table');
$text_project_id_field=utf8_encode("Field for project id");
$text_project_name_field=utf8_encode("Field for project name");
$text_release_id_field=utf8_encode("Field for release id");
$text_release_name_field=utf8_encode("Field for release name");
$text_link_to_project_in_release_table=utf8_encode("Option #1: the link with project is in the releases table");
$text_release_to_project_field=utf8_encode("Field for link between release and project");
$text_link_to_project_in_other_table=utf8_encode("Option #2: the link between aproject and its releases is in another table");
$text_projet_release_table=utf8_encode('Links between project and releases table');
$text_foreign_key_project_field=utf8_encode('Field project link');
$text_foreign_key_release_field=utf8_encode('Field release link');
$text_connection_test=utf8_encode('Connection test');
$text_requests_tests=utf8_encode('Requests tests');
$text_db_connect_ok=utf8_encode('Connection OK');
$text_db_connect_ko=utf8_encode('Connection KO');
$text_database_access_ko=utf8_encode('Wrong database name');
$text_request_ok_no_project=utf8_encode('Request on projects is OK, but table is empty.');
$text_requests_tests_ok=utf8_encode('Requests tests OK');
$text_request_project_ko=utf8_encode('Projects request KO');
$text_request_release_ko=utf8_encode('Releases request KO');
$text_project_filter_clause=utf8_encode('Filter on projects (SQL)');
$text_release_filter_clause=utf8_encode('Filter on releases (SQL)');
$text_background_value=utf8_encode('Hintergrundfarbe (hex)');
$text_border_value=utf8_encode('Rahmenfarbe (hex)');
$text_meaning=utf8_encode('Bedeutung im Projekt');
$text_us_colors_select=utf8_encode('Farben fr User-Stories');
$text_tasks_colors_select=utf8_encode('Farben fr Aufgaben');
$text_default=utf8_encode('Standardfarbe');
$text_values_for_bv=utf8_encode('Werte fr den wirtschaftlichen Nutzen');
$text_values_for_complexity=utf8_encode('Werte fr Komplexitt');
$text_link=utf8_encode('Link');
$text_assigned_to_f=utf8_encode('verantwortlich ');
$text_us_in_product_backlog=utf8_encode('US im Product Backlog');
$text_us_total=utf8_encode('Alle User-Stories');
$text_business_value_total=utf8_encode('Summe des wirtschaftlichen Nutzens');
$text_complexity_total=utf8_encode('Summe der Komplexitt');
$text_US=utf8_encode('US');
$text_tasks=utf8_encode('Aufgaben');
$text_BV=utf8_encode('Nutzen');
$text_Cpx=utf8_encode('Komplexitt');
$text_colors_us=utf8_encode('Farben fr US');
$text_colors_tasks=utf8_encode('Farben fr Aufgaben');
$text_default_color=utf8_encode('Standardfarbe');
$text_is_greater_than=utf8_encode('muss grer sein als');
$text_is_lesser_than=utf8_encode('muss kleiner sein als');
$text_real_versus_load2finish=utf8_encode('tatschlicher Fortschritt im Vergleich zu offenen To-Dos');
$text_real_versus_initial=utf8_encode('tatschlicher Fortschritt im Vergleich zur Planung');
$text_bv_planned_delivery=utf8_encode('geplanter wirtschaftlicher Nutzen');
$text_bv_total=utf8_encode('gesamter wirtschaftlicher Nutzen');
$text_bv_delivered=utf8_encode('erbrachter wirtschaftlicher Nutzen');
$text_us_filter=utf8_encode('US-Filter');
$text_task_filter=utf8_encode('Aufgabenfilter');
$text_issue_filter=utf8_encode('Vorfallfilter');
$text_deck_is_empty=utf8_encode('der Stapel ist leer');
$text_project_name=utf8_encode('Projektname');
$text_trash_is_empty=utf8_encode('der Mistkbel ist leer');
$text_column=utf8_encode('Spalte');
$text_available_columns=utf8_encode('verfgbare Spalten');
$text_selected_columns=utf8_encode('ausgewhlte Spalten');
$text_us_template_text=utf8_encode('Als ..., wnsche ich mir ... damit ...');
$text_impact=utf8_encode('Auswirkung');
$text_impact_2eval=utf8_encode('zu bewerten');
$text_impact_low=utf8_encode('geringe Auswirkung');
$text_impact_medium=utf8_encode('mittlere Auswirkung');
$text_impact_high=utf8_encode('hohe Auswirkung');
$text_impact_meaning_2eval=utf8_encode('nicht bewertete Vorflle hier ablegen');
$text_impact_meaning_low=utf8_encode('Vorflle, die das Projekt nicht verzgert, aber Projektziele gefhrdet haben');
$text_impact_meaning_medium=utf8_encode('Vorflle, die das Projekt nicht verzgert, aber Projektzusagen gefhrdet haben');
$text_impact_meaning_high=utf8_encode('Hindernisse fr den Projektfortschritt');
$text_risk=utf8_encode('Risiko');
$text_problem=utf8_encode('Problem');
$text_action=utf8_encode('Manahme');
$text_issues=utf8_encode('Vorflle');
$text_probability=utf8_encode('Wahrscheinlichkeit');
$text_risk_will_become_problem=utf8_encode('Eine Wahrscheinlichkeit von 100% wandelt en Risiko in ein Problem um. Bitte besttigen, oder abbrechen.');
$text_probability_is_percentage=utf8_encode('Eine Wahrscheinlichkeit wird in Prozent (1%-99%) angegeben.');
$text_linked_user_story=utf8_encode('betroffene User-Story');
$text_issues_template=utf8_encode('Vorlage fr Vorflle');
$text_us_is_linked_with=utf8_encode('Diese User-Story ist verbunden mit');
$text_content=utf8_encode('Inhalt');
$text_risk_is_linked_with=utf8_encode('Dieser Vorfall ist verbunden mit');
$text_problem_is_linked_with=utf8_encode('Dieses Problem ist verbunden mit');
$text_values_for_working_days=utf8_encode('Werktage');
$text_non_working_specific_days=utf8_encode('Liste arbeitsfreier Tage (Ferien, Feiertage, etc...)');
$text_issues_history_title=utf8_encode('Abgeschlossene Vorflle. Objekte knnen wieder aktiviert werden indem der Status gendert wird.');
$text_history_is_empty=utf8_encode('Historie ist leer.');
$text_external_project=utf8_encode('Dieses Projekt ist mit einem externen Objekt verknpft.<br>Einige Aktionen betreffen nur dieses Projekt.'); 
$text_release_due_date_field=utf8_encode("Flligkeit");
$text_release_due_date_request=utf8_encode("Flligkeitsanfrage");
$text_click_here=utf8_encode('hier klicken');
$text_task_load_short=utf8_encode('Auslastung');
$text_activity=utf8_encode('Aktivitt');
$text_activity_status_todo=utf8_encode('Aufgabe');
$text_activity_status_inprogress=utf8_encode('in Bearbeitung');
$text_activity_status_done=utf8_encode('erledigt');
$text_lock_by_template=utf8_encode('Diese Aktivitt stammt von der Checklisten-Vorlage');
$text_use_checklist=utf8_encode('Checkliste verwenden?');
$text_action_todo=utf8_encode('Aufgabe');
$text_action_in_progress=utf8_encode('in Bearbeitung');
$text_action_done=utf8_encode('erledigt');
$text_allow_sprint_overlapping=utf8_encode('Sprints knnen sich berschneiden');
$text_assigned_to_nobody_click=utf8_encode('Dieses Objekt ist niemandem zugeordnet. Klicken Sie hier um es zu bernehmen.');
$text_assigned_to_nobody=utf8_encode('Dieses Objekt ist niemandem zugeordnet.');
$text_my_bookmarks=utf8_encode('meine Projektlinks');
$text_others_projects=utf8_encode('weitere Projekte');
$text_project_levels=utf8_encode('Stufen');
$text_3levels=utf8_encode('3 Stufen SCRUM  : Projekt/Release/Sprint');
$text_2levels=utf8_encode('2 Stufen : Projekt/Release');
$text_1level=utf8_encode('1 Stufe : Projekt');
$text_template=utf8_encode('Vorlage');
$text_sprint_content=utf8_encode('Sprint-Inhalt');
$text_release_content=utf8_encode('Release-Inhalt');
$text_project_is_private=utf8_encode('Projekt als privat markieren.');
$text_this_project_is_private=utf8_encode('Dieses Projekt ist privat.');
$text_this_project_is_public=utf8_encode('Dieses Projekt ist ffentlich.');
$text_feature=utf8_encode('Feature');
$text_no_feature=utf8_encode('Kein Feature');
$text_feature_short_label=utf8_encode('Feature-Code');
$text_count=utf8_encode('Anzahl');
$text_us_with_no_feature=utf8_encode('User-Stories ohne Feature');
$text_status_initial=utf8_encode('zu Projektbeginn');
$text_status_in_progress=utf8_encode('in Bearbeitung');
$text_initial_load=utf8_encode('Auslastung am Anfang');
$text_percentage_done=utf8_encode('Prozent erledigt');
$text_us_colors_select_for_export=utf8_encode("US-Arten zum Export whlen");
$text_us_status_select_for_export=utf8_encode("US_Status zum Export whlen");
$text_tasks_colors_select_for_export=utf8_encode("Aufgaben-Arten zum Export whlen");
$text_cp_planned_delivery=utf8_encode('Ausgelieferte geplante komplexitt');
$text_cp_total=utf8_encode('Gesamte Komplexitt');
$text_cp_delivered=utf8_encode('Ausgelieferte Komplexitt');
$text_use_for_project=utf8_encode('Fr das Projekt verwenden?');
$text_project_admin=utf8_encode('Projekt Admin'); 
$text_shortcut_to_cockpit=utf8_encode('Direkte Verknpfung zur bersicht');
$text_shortcut_to_kanban=utf8_encode('Direkte Verknpfung zum Kanban');
$text_tasks_status_select_for_export=utf8_encode("Aufgaben-Status zum Export whlen");
$text_us_count_delivered=utf8_encode('Ausgelieferte US');
$text_us_count_ready2check=utf8_encode('US zur Prfung');
$text_us_count_planned=utf8_encode('Letztes geplantes Ziel');
$text_us_count_all=utf8_encode('alle US');
$text_us_count_todo=utf8_encode('offene US');
$text_us_count_run=utf8_encode('US in Bearbeitung');
$text_project_use_tags=utf8_encode('Projekt verwendet Tags');
$text_is_color_mandatory=utf8_encode('Vorgeschriebene Farbe?');
$text_color_use=utf8_encode('Verwendung fr Farbe');
$text_allow_attachements=utf8_encode('Anhnge zur Karte erlauben');        
$text_source_user_story=utf8_encode('Ursprungs US');        
$text_tasks_list=utf8_encode('Aufgabenliste');        
$text_copy=utf8_encode('Kopieren');        
$text_move=utf8_encode('Verschieben');        
$text_search_scope=utf8_encode('Bereich fr die Suche US');   
$text_us_status_filter=utf8_encode('Abgeschlossene US ausblenden');        
$text_feature_filter=utf8_encode('Filterfunktionen');
$text_stakeholder_filter=utf8_encode('Nach Personen filtern');
$text_use_hierarchy=utf8_encode('US nach Release/Sprint aufteilen (abhngig vom exportierten Bereich)');
$text_subjects_list=utf8_encode('Themenliste');
$text_postit_type=utf8_encode('Art der Karte');
$text_field=utf8_encode('Feld');
$text_old_value=utf8_encode('Voriger Wert');
$text_new_value=utf8_encode('Neuer Wert');
$text_author=utf8_encode('Gendert von');
$text_text=utf8_encode('Text');
$text_search_us=utf8_encode('im US Text suchen');
$text_search_task=utf8_encode('im Task Text suchen');
$text_tag_added=utf8_encode('Tag erstellt');
$text_tag_removed=utf8_encode('Tag entfernt');
$text_attachment_added=utf8_encode('Attachment erstellt');
$text_attachment_removed=utf8_encode('Attachment entfernt');
$text_tag_group=utf8_encode('Tag-Gruppe');
$text_said=utf8_encode('sagte');
$text_trash_in=utf8_encode('in den Mist');
$text_trash_out=utf8_encode('aus dem Mist');
$text_linked_postit=utf8_encode('Verknpfte Karte (leer bedeutet alle)');
$text_update_your_preferences=utf8_encode('Benutzereinstellungen');
$text_filter_on_for_us_done=utf8_encode('Filter fr erledigte US aktivieren');
$text_deleted_object=utf8_encode('Gelschtes Objekt');
$text_tag_filter_plus=utf8_encode('Filter Tag +');
$text_tag_filter_minus=utf8_encode('Filter Tag -');
$text_history=utf8_encode('Vorgeschichte');
$text_us_in_backlog=utf8_encode("US im Backlog");
$text_us_in_release=utf8_encode("US in kommenden Releases");
$text_us_done=utf8_encode("erledigte US");
$text_attachments=utf8_encode("Anhnge");
$text_deck=utf8_encode("Stapel");
$text_no_relationships=utf8_encode("Keine Beziehung");
$text_add_relationship=utf8_encode("Beziehung hinzugefgt");
$text_remove_relationship=utf8_encode("Beziehung gelscht");
$text_search_project_by_name=utf8_encode("Projekt nach Name suchen");
$text_recent_comments=utf8_encode("Jngste Kommentare");
$text_no_project=utf8_encode("Kein Projekt");
$text_at_least_one_char=utf8_encode("Um die Suche zu beginnen, mindestens ein Zeichen eingeben");
$text_display_project_infos=utf8_encode("Projektkarte anzeigen");
$text_written_by=utf8_encode("Erstellt von");
$text_goto_kanban=utf8_encode("Abkrzung zum Kanban");
$text_choose_tag=utf8_encode("Tags auswhlen ?");

// Buttons
$button_add_task=utf8_encode('Aufgabe erstellen');
$button_add_user_story=utf8_encode('User-Story erstellen');
$button_cancel_delete=utf8_encode('Lschen abbrechen');
$button_reorder=utf8_encode('kompakte Anzeige');
$button_new_project=utf8_encode('neues Projekt erstellen');
$button_add_release=utf8_encode('Release erstellen');
$button_create_release=utf8_encode('Release erstellen');
$button_add_sprint=utf8_encode('Sprint erstellen');
$button_reorder_flat=utf8_encode('erweiterte Anzeige');
$button_change_project=utf8_encode('Projekt wechseln');
$button_new_stakeholder=utf8_encode('Stakeholder hinzufgen');
$button_new_connection=utf8_encode('Verbindung erstellen');
$button_new_ext_project=utf8_encode('externes Projekt verbinden');
$button_new_color=utf8_encode('Farbe hinzufgen');
$button_hide_priority=utf8_encode('Prioritten verbergen');
$button_show_priority=utf8_encode('Prioritten anzeigen');
$button_record_us_situation=utf8_encode('Bestandsaufnahme erstellen');
$button_new_column=utf8_encode('Spalte hinzufgen');
$button_add_action=utf8_encode('Aktion hinzufgen');
$button_add_risk=utf8_encode('Risiko erfassen');
$button_add_problem=utf8_encode('Problem erfassen');
$button_reorder_priority=utf8_encode('Prioritten anzeigen');
$button_switch_to_std=utf8_encode('zur Standardansicht wechseln');
$button_switch_to_workshop=utf8_encode('zur Workshopansicht wechseln');
$button_add_activity=utf8_encode('Aktivitt hinzufgen');
$button_push_into_deck=utf8_encode('US ohne Task in den Stapel verschieben');
$button_empty_deck=utf8_encode('Alle US aus dem Stapel entfernen');
$button_show_graph_numbers=utf8_encode('Zahlen im Graph zeigen');
$button_hide_graph_numbers=utf8_encode('Zahlen im Graph verbergen');
$button_add_feature=utf8_encode('Feature hinzufgen');
$button_export=utf8_encode('Export');
$button_new_tag=utf8_encode('Tag hinzufgen');
$button_add_color_use=utf8_encode('Verwendung fr Farbe hinzufgen');
$button_sort_by_number=utf8_encode('Sortiert nach Nummer');
$button_tasks_actions=utf8_encode('Kopieren oder verschieben');
$button_fill_in_deck=utf8_encode('Den Stapel fllen');
$button_back_to_roadmap=utf8_encode('Zurck zur Roadmap');
$button_new_tag_group=utf8_encode('Tag-Gruppe hinzufgen');
$button_export_word=utf8_encode('Export in Word');
$button_export_odt=utf8_encode('Export in ODT');
$button_export_csv=utf8_encode('Export in CSV');
$button_choose_attachments=utf8_encode('Anhnge whlen');
$button_put_to_trash=utf8_encode('In den Mistkbel');
$button_sorting=utf8_encode('Sortierung');
$button_sort_by_number_desc=utf8_encode('Absteigend sortieren');
$button_cancel_zoom=utf8_encode("Zoom abbrechen");
$button_open_deck=utf8_encode("Stapel ffnen");
$button_sort_by_complexity=utf8_encode("Aufsteigende Komplexitt");
$button_sort_by_business_value=utf8_encode("Aufsteigender wirtschaftlicher Nutzen");
$button_sort_by_complexity_desc=utf8_encode("Absteigende Komplexitt");
$button_sort_by_business_value_desc=utf8_encode("Absteigender wirtschaftlicher Nutzen");
$button_search_project=utf8_encode("Projekt suchen");
$button_choose_file=utf8_encode("CSV Datei auswhlen");

// Actions
$action_manage_colors=utf8_encode('Farben verwalten');
$action_set_as_visible=utf8_encode('am Kanban-Board zeigen');
$action_set_as_hidden=utf8_encode('am Kanban-Board verbergen');
$action_up=utf8_encode('nach oben');
$action_down=utf8_encode('nach unten');
$action_refresh_release=utf8_encode('Release aktualisieren');
$action_goto_current_release=utf8_encode('Zur aktuelle Release');
$action_goto_current_sprint=utf8_encode('Zum aktuellen Sprint');
$action_bookmark_project=utf8_encode('Link zum Projekt erstellen');
$action_unbookmark_project=utf8_encode('Link zum Projekt entfernen');
$action_change_admin=utf8_encode('ndern Projektadministrator');
$action_reset_pass=utf8_encode('Passwort zurcksetzen');
$action_delete_project=utf8_encode("Projekt entfernen");

// US status
$usStatusTable['TODO']=utf8_encode('keine Aufgabe');
$usStatusTable['RUN']=utf8_encode('Aufgaben in Bearbeitung');
$usStatusTable['DEV']=utf8_encode('Alle Aufgaben abgeschlossen');
$usStatusTable['DONE']=utf8_encode('erledigt');

// Tables
$tagTypeDisplay['ALL_MAND']=utf8_encode('Global vorgeschriebener Tag');
$tagTypeDisplay['ALL_FREE']=utf8_encode('Global verfgbarer Tag');
$tagTypeDisplay['USR_FREE']=utf8_encode('Tag fr dieses Projekt');

// Legends
$legend_move_or_copy_tasks=utf8_encode("Aufgabe von US zu US verschieben oder kopieren");

// Labels
$lbl_sort_by_name=utf8_encode('Nach Namen sortieren');
$lbl_sort_by_firstname=utf8_encode('Nach Vornamen sortieren');
?>