<?php
/**
 * messages and texts used by all scripts in English
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */     

$appName='KADOS';
$appSubTitle='KAnban Dashboard for Online Scrum';

// Messages
$msg_no_project_selected=utf8_encode('No project selected. Please choose one.');
$msg_us_business_values=utf8_encode('Update values lists for US attributes.');
$msg_us_business_values_display=utf8_encode('Values lists for US attributes.');
$msg_stakeholders_display=utf8_encode('Stakeholders of the project.');
$msg_stakeholders_display_list=utf8_encode('Just choose an user in the listbox and submit it. Only active users created in the application are in the listbox.');
$msg_stakeholders_display_autocomplete=utf8_encode('Just type some character of a name and a list of possible users will be shown. Only active users created in the application are available. Choose one in the list and submit your choice.');
$msg_us_colors_display=utf8_encode('Colors for the items of the project.');
$msg_releases_sprints_display=utf8_encode('Releases and sprints for the project.');
$msg_confirm_delete_us=utf8_encode('Do you really want to delete this user story? (The item will be totally removed, and linked tasks too)');
$msg_confirm_send_object_to_trash=utf8_encode('Do you really want to send this object to trash? (This action can be cancelled from the trash)');
$msg_confirm_activate_us=utf8_encode('Do you really want to restore this user story?');
$msg_confirm_delete_task=utf8_encode('Do you really want to delete this task? (The item will be totally removed)');
$msg_confirm_activate_task=utf8_encode('Do you really want to restore this task?');
$msg_confirm_activate_issue=utf8_encode('Do you really want to restore this issue ?');
$msg_confirm_delete_issue=utf8_encode('Do you really want to delete this issue? (The item will be totally removed, and linked actions too)');
$msg_confirm_delete_action=utf8_encode('Do you really want to delete this action? (The item will be totally removed)');
$msg_confirm_activate_action=utf8_encode('Do you really want to restore this action?');
$msg_columns_select=utf8_encode('Select columns for your tasks kanban. Switch columns from left to right, then order them and give a meaning at each column.');
$msg_us_has_been_deleted=utf8_encode('This user story has been deleted.');
$msg_us_is_in_trash=utf8_encode('This user story is in the trash.');
$msg_sprint_dates_mixed_other_sprints=utf8_encode('Ce sprint se superpose ? un autre sprint. Veuillez modifier les dates de d?but ou de fin.');
$msg_due_date_must_be_greater_than_sprint_end_date=utf8_encode('Release due date must be greater than sprints end dates.');
$msg_start_date_is_no_working_day=utf8_encode('Start date is a non-working day');
$msg_end_date_is_no_working_day=utf8_encode('End date is a non-working day');
$msg_steps_to_add_sprints_design_columns_and_settings_access=utf8_encode('To add sprints, you must add tasks columns to the project.');
$msg_steps_to_add_sprints_design_columns_and_settings_no_access=utf8_encode('To add sprints, you must ask project admin to add tasks columns to the project.');
$msg_steps_add_stakeholders_to_project_access=utf8_encode('Add stakeholders to the project.');
$msg_steps_add_stakeholders_to_project_no_access=utf8_encode("Ask the Scrum Master to add stakeholders to the project.");
$msg_steps_add_release_access=utf8_encode('Add at least a release to the project.');
$msg_steps_add_release_no_access=utf8_encode("Ask the Scrum Master to add a release to the project.");
$msg_workshop_mode_is_on=utf8_encode("The WORKSHOP mode is on. To switch back to standard mode, click on the appropriate button in the button line below.");
$msg_us_roadmap_explainations=utf8_encode("Here is the US status history sprint by sprint. These table is completed at each click on the button below. Each status is the most recent record on each sprint. At one status record should done at the beginning and at the end of each sprint.");
$msg_small_reports=utf8_encode('Small reports.');
$msg_no_release_selected=utf8_encode("Unable to dsiplay the checklist : no release is selected or there is no release on this project.");
$msg_steps_to_add_tasks_design_columns_and_settings_access=utf8_encode('To create tasks, you must add columns to your project.');
$msg_steps_to_add_tasks_design_columns_and_settings_no_access=utf8_encode('To create tasks, you must ask project admin to add columns to your project.');
$msg_rss_is_not_available=utf8_encode('RSS is not available. Ask administrator for more information.');
$msg_us_has_been_moved=utf8_encode('This US is not in this release anymore.');
$msg_us_is_in_backlog=utf8_encode('This US is in the Release Backlog');
$msg_features_management=utf8_encode('Features summary. Add or update features.');
$msg_use_this_url_as_shortcut_for_project=utf8_encode("Use this URL to immediatly access this project Kanban after login");
$msg_use_this_url_as_shortcut_for_release=utf8_encode("Use this URL to immediatly access this release Kanban after login");
$msg_use_this_url_as_shortcut_for_sprint=utf8_encode("Use this URL to immediatly access this sprint Kanban after login");
$msg_use_this_url_as_shortcut_for_cockpit=utf8_encode("Use this URL to immediatly access this project cokpit after login");
$msg_format_not_allowed=utf8_encode("At least one file has a forbidden type. Here are the allowed types");
$msg_size_too_big=utf8_encode("Some file size exceeds max size (MB)");        
$msg_directory_not_created=utf8_encode("The directory has not been created. Contact the administrator. Directory");        
$msg_file_has_been_deleted=utf8_encode("The following file has been deleted");   
$msg_profiles_switch=utf8_encode("Select profiles available for your project stakeholders. There is always at least one profile on the project.");        
$msg_project_has_no_sprint=utf8_encode("Impossible to display a roadmap, the project has no sprint.");        
$msg_miniboard_display=utf8_encode("Create and organize your US ons this mini board.");        
$msg_rss_key_is_incorrect=utf8_encode("The RSS token is not correct.");                
$msg_parameter_is_incorrect=utf8_encode("The value for parameter does not match an object.");                
$msg_no_reports_for_release=utf8_encode("There is no report at the project level. Choose a release or a sprint.");                
$msg_protocol_not_allowed=utf8_encode("The link uses a non-allowed protocol. Here are the allowed protocols");
$msg_early_dashboard_level3=utf8_encode('You are on an "Early Dashboard". It allows to create tasks without having the related US allocated to a sprint. To go back to the roadmap, use the button below.');
$msg_early_dashboard_level2=utf8_encode('You are on an "Early Dashboard". It allows to create tasks without having the related US allocated to a release. To go back to the roadmap, use the button below');
$msg_errors_uploading_files=utf8_encode("These files can not be uploaded as attachments (their format is incorrect)"); 
$msg_fill_in_a_comment=utf8_encode("Please, fill in a comment"); 
$msg_scatter_us=utf8_encode("THis US scatter plot allows to display all US in the backlog on a Business Value / Complexity graph. Be aware that US positions have been jittered to allow a better display."); 
$msg_fill_in_a_relationship=utf8_encode("Please, select an User Story to link"); 
$msg_fill_in_an_user=utf8_encode("Please type an user (name or login)"); 
$msg_fill_in_a_name=utf8_encode("Please type a project name"); 
$msg_confirm_delete_project=utf8_encode("Do you really want to delete this project?"); 
$msg_profiles_displayed=utf8_encode("Here are the profiles and their visibility on your project."); 
$msg_upload_csv=utf8_encode("The CDV file must have comma as a separator and the following columns in that order: <li>US text</li><li>Business value</li><li>Complexity</li><li>External link</li>"); 
$msg_upload_csv_done=utf8_encode("US import is done."); 
$msg_import_us_not_allowed=utf8_encode("You are not allowed to import US in this project."); 

// Texts
$text_product_owner=utf8_encode('Product Owner');
$text_release=utf8_encode('Release');
$text_sprint=utf8_encode('Sprint');
$text_sprint_backlog=utf8_encode('Sprint backlog');
$text_project=utf8_encode('Project');
$text_end_date=utf8_encode('End date');
$text_due_date=utf8_encode('Due date');
$text_scrum_master=utf8_encode('Scrum master');
$text_user_story=utf8_encode('User Story');
$text_business_value=utf8_encode('Business value');
$text_color=utf8_encode('Color');
$text_task=utf8_encode('Task');
$text_us=utf8_encode('US');
$text_task_load=utf8_encode('Initial load');
$text_created_on_m=utf8_encode('Created on ');
$text_created_on_f=utf8_encode('Created on ');
$text_last_updated_on_m=utf8_encode('Updated on ');
$text_last_updated_on_f=utf8_encode('Updated on ');
$text_by=utf8_encode('by');
$text_load_spent=utf8_encode('Spent');
$text_load2finish=utf8_encode('To finish');
$text_complexity=utf8_encode('Complexity');
$text_my_level_on_project=utf8_encode('My access level on the project');
$text_my_projects=utf8_encode('My projects');
$text_scope=utf8_encode('Scope');
$text_connection=utf8_encode('Connection');
$text_database_type=utf8_encode('Database type');
$text_host=utf8_encode('Host');
$text_port=utf8_encode('Port');
$text_dbname=utf8_encode('Database');
$text_project_table=utf8_encode('Projects table');
$text_release_table=utf8_encode('Releases table');
$text_project_id_field=utf8_encode("Field for project id");
$text_project_name_field=utf8_encode("Field for project name");
$text_release_id_field=utf8_encode("Field for release id");
$text_release_name_field=utf8_encode("Field for release name");
$text_link_to_project_in_release_table=utf8_encode("Option #1: the link with project is in the releases table");
$text_release_to_project_field=utf8_encode("Field for link between release and project");
$text_link_to_project_in_other_table=utf8_encode("Option #2: the link between aproject and its releases is in another table");
$text_projet_release_table=utf8_encode('Links between project and releases table');
$text_foreign_key_project_field=utf8_encode('Field project link');
$text_foreign_key_release_field=utf8_encode('Field release link');
$text_connection_test=utf8_encode('Connection test');
$text_requests_tests=utf8_encode('Requests tests');
$text_db_connect_ok=utf8_encode('Connection OK');
$text_db_connect_ko=utf8_encode('Connection KO');
$text_database_access_ko=utf8_encode('Wrong database name');
$text_request_ok_no_project=utf8_encode('Request on projects is OK, but table is empty.');
$text_requests_tests_ok=utf8_encode('Requests tests OK');
$text_request_project_ko=utf8_encode('Projects request KO');
$text_request_release_ko=utf8_encode('Releases request KO');
$text_project_filter_clause=utf8_encode('Filter on projects (SQL)');
$text_release_filter_clause=utf8_encode('Filter on releases (SQL)');
$text_background_value=utf8_encode('Background color code (hexa)');
$text_border_value=utf8_encode('Border color code (hexa)');
$text_meaning=utf8_encode('Project meaning');
$text_us_colors_select=utf8_encode('User Stories colors selection');
$text_tasks_colors_select=utf8_encode('Tasks colors selection');
$text_default=utf8_encode('Default color');
$text_values_for_bv=utf8_encode('Values for Business Value');
$text_values_for_complexity=utf8_encode('Values fro Complexity');
$text_link=utf8_encode('Link');
$text_assigned_to_f=utf8_encode('Assigned to');
$text_us_in_product_backlog=utf8_encode('US waiting in the Product Backlog');
$text_us_total=utf8_encode('All project User Stories');
$text_business_value_total=utf8_encode('Business Values sum');
$text_complexity_total=utf8_encode('Complexity sum');
$text_US=utf8_encode('US');
$text_tasks=utf8_encode('Tasks');
$text_BV=utf8_encode('BV');
$text_Cpx=utf8_encode('Cpx');
$text_colors_us=utf8_encode('Colors for US');
$text_colors_tasks=utf8_encode('Colors for tasks');
$text_default_color=utf8_encode('Default color');
$text_is_greater_than=utf8_encode('must be greater than');
$text_is_lesser_than=utf8_encode('must be lesser than');
$text_real_versus_load2finish=utf8_encode('Real progress versus To do to finish');
$text_real_versus_initial=utf8_encode('Real progress versus initial forecast');
$text_bv_planned_delivery=utf8_encode('Business value planned delivery');
$text_bv_total=utf8_encode('Total Business value');
$text_bv_delivered=utf8_encode('Delivered Business value');
$text_us_filter=utf8_encode('US filter');
$text_task_filter=utf8_encode('Tasks filter');
$text_issue_filter=utf8_encode('Issues filter');
$text_deck_is_empty=utf8_encode('Deck is empty');
$text_project_name=utf8_encode('Project name');
$text_trash_is_empty=utf8_encode('Trash is empty');
$text_column=utf8_encode('Column');
$text_available_columns=utf8_encode('Available columns');
$text_selected_columns=utf8_encode('Selected columns');
$text_us_template_text=utf8_encode('As ..., I want to ... in order to ...');
$text_impact=utf8_encode('Impact');
$text_impact_2eval=utf8_encode('To assess');
$text_impact_low=utf8_encode('Low impact');
$text_impact_medium=utf8_encode('Medium impact');
$text_impact_high=utf8_encode('High impact');
$text_impact_meaning_2eval=utf8_encode("Put here the issues that are not assessed");
$text_impact_meaning_low=utf8_encode("Issues that did not block the project, but that did endangered targets of project");
$text_impact_meaning_medium=utf8_encode("Issues that did not block the project, but that did endangered commitments of project");
$text_impact_meaning_high=utf8_encode("Obstacles that block project progress");
$text_risk=utf8_encode('Risk');
$text_problem=utf8_encode('Problem');
$text_action=utf8_encode('Action');
$text_issues=utf8_encode('Issues');
$text_probability=utf8_encode('Probability');
$text_risk_will_become_problem=utf8_encode("A probability of 100% transform a risk into a problem. Confirm to change the risk into a problem or ca,cel to modify probability.");
$text_probability_is_percentage=utf8_encode("A risk probability is a percentage set between 1% and 99%.");
$text_linked_user_story=utf8_encode('Linked user story');
$text_issues_template=utf8_encode('Issues template');
$text_us_is_linked_with=utf8_encode('This user story is linked with the');
$text_content=utf8_encode('Content');
$text_risk_is_linked_with=utf8_encode("This risk is linked with");
$text_problem_is_linked_with=utf8_encode("This problem is linked with");
$text_values_for_working_days=utf8_encode('Working days');
$text_non_working_specific_days=utf8_encode('List of specific non working days (holidays, collective vacations, religious days, etc...)');
$text_issues_history_title=utf8_encode("Issues history lists solved problems and risks. Issue can be sent back to assessment and progress item by clicking on its status (if allowed).");
$text_history_is_empty=utf8_encode("History is empty");
$text_external_project=utf8_encode("This project is linked to an external object.<br />Some actions are specific for this project situation.");
$text_release_due_date_field=utf8_encode("Due date field");
$text_release_due_date_request=utf8_encode("Due date request");
$text_click_here=utf8_encode('Click here');
$text_task_load_short=utf8_encode('Load');
$text_activity=utf8_encode('Activity');
$text_activity_status_todo=utf8_encode('To do');
$text_activity_status_inprogress=utf8_encode('In progress');
$text_activity_status_done=utf8_encode('Done');
$text_lock_by_template=utf8_encode('This activity comes from the checklist template');
$text_use_checklist=utf8_encode('Use checklist ?');
$text_action_todo=utf8_encode('Todo');
$text_action_in_progress=utf8_encode('In progress');
$text_action_done=utf8_encode('Done');
$text_allow_sprint_overlapping=utf8_encode('The sprints can overlap');
$text_assigned_to_nobody_click=utf8_encode("This item is allocated to nobody. To allocate it to you, just click.");
$text_assigned_to_nobody=utf8_encode("This item is allocated to nobody.");
$text_my_bookmarks=utf8_encode('My projects bookmarks');
$text_others_projects=utf8_encode('Other projects');
$text_project_levels=utf8_encode('Levels');
$text_3levels=utf8_encode('3 levels SCRUM  : Project/Release/Sprint');
$text_2levels=utf8_encode('2 levels : Project/Release');
$text_1level=utf8_encode('1 level : Project');
$text_template=utf8_encode('Template');
$text_sprint_content=utf8_encode('Sprint content');
$text_release_content=utf8_encode('Release content');
$text_project_is_private=utf8_encode('Set project as private');
$text_this_project_is_private=utf8_encode('This project is private');
$text_this_project_is_public=utf8_encode('This project is public');
$text_feature=utf8_encode('Feature');
$text_no_feature=utf8_encode('No feature');
$text_feature_short_label=utf8_encode('Feature code');
$text_count=utf8_encode('Count');
$text_us_with_no_feature=utf8_encode('User Stories without feature');
$text_status_initial=utf8_encode('Load to start');
$text_status_in_progress=utf8_encode('Load in progress');
$text_initial_load=utf8_encode('Initial load');
$text_percentage_done=utf8_encode('Percentage done');
$text_us_colors_select_for_export=utf8_encode("Select US types to export");
$text_us_status_select_for_export=utf8_encode("Select US status to export");
$text_tasks_colors_select_for_export=utf8_encode("Select task types to export");
$text_cp_planned_delivery=utf8_encode('Sprint goal');
$text_cp_total=utf8_encode('Total Complexity');
$text_cp_delivered=utf8_encode('Velocity');
$text_use_for_project=utf8_encode('Use for the project?');
$text_project_admin=utf8_encode('Project admin'); 
$text_shortcut_to_cockpit=utf8_encode('Shortcut for direct login to cockpit');
$text_shortcut_to_kanban=utf8_encode('Shortcut for direct login to kanban');
$text_tasks_status_select_for_export=utf8_encode("Select task status to export");
$text_us_count_delivered=utf8_encode('Delivered US');
$text_us_count_ready2check=utf8_encode('US to check');
$text_us_count_planned=utf8_encode('Last planned target');
$text_us_count_all=utf8_encode('All US');
$text_us_count_todo=utf8_encode('US without task');
$text_us_count_run=utf8_encode('US in progress');
$text_project_use_tags=utf8_encode('Project uses tags');
$text_is_color_mandatory=utf8_encode('Mandatory color?');
$text_color_use=utf8_encode('Color use');
$text_allow_attachements=utf8_encode('Allow attachments on post-it');        
$text_source_user_story=utf8_encode('Source User Story');        
$text_tasks_list=utf8_encode('Tasks list');        
$text_copy=utf8_encode('Copy');        
$text_move=utf8_encode('Move');        
$text_search_scope=utf8_encode('Scope for searching US');   
$text_us_status_filter=utf8_encode('Hide US done');              
$text_feature_filter=utf8_encode('Feature filter');
$text_stakeholder_filter=utf8_encode('Task leader filter');
$text_use_hierarchy=utf8_encode('Split US by Release/Sprint (depending on the export scope, Word export only)');
$text_subjects_list=utf8_encode('List of subjects');
$text_postit_type=utf8_encode('Postit type');
$text_field=utf8_encode('Field');
$text_old_value=utf8_encode('Previous value');
$text_new_value=utf8_encode('New value');
$text_author=utf8_encode('Updated by');
$text_text=utf8_encode('Text');
$text_search_us=utf8_encode('Search US text');
$text_search_task=utf8_encode('Search task text');
$text_tag_added=utf8_encode('Tag added');
$text_tag_removed=utf8_encode('Tag removed');
$text_attachment_added=utf8_encode('Attachment added');
$text_attachment_removed=utf8_encode('Attachment removed');
$text_tag_group=utf8_encode('Tags group');
$text_said=utf8_encode('said');
$text_trash_in=utf8_encode('Trash in');
$text_trash_out=utf8_encode('Trash out');
$text_linked_postit=utf8_encode('Allocated Postits (None means All)');
$text_update_your_preferences=utf8_encode('User preferences');
$text_filter_on_for_us_done=utf8_encode('Activate on login the filter on US done');
$text_deleted_object=utf8_encode('Deleted object');
$text_tag_filter_plus=utf8_encode('Filter tag +');
$text_tag_filter_minus=utf8_encode('Filter tag -');
$text_history=utf8_encode('History');
$text_us_in_backlog=utf8_encode('US in backlog');  
$text_us_in_release=utf8_encode('US in future release');  
$text_us_done=utf8_encode('US done');  
$text_attachments=utf8_encode('Attachments');  
$text_deck=utf8_encode('Deck');  
$text_no_relationships=utf8_encode('No relationship'); 
$text_add_relationship=utf8_encode('Relationship added');  
$text_remove_relationship=utf8_encode('Relationship deleted');  
$text_search_project_by_name=utf8_encode("Search project by name");  
$text_recent_comments=utf8_encode('Recent comments');  
$text_no_project=utf8_encode('No project');  
$text_at_least_one_char=utf8_encode('To start search, type at least one char'); 
$text_display_project_infos=utf8_encode('Display project card');  
$text_written_by=utf8_encode('Written by');  
$text_goto_kanban=utf8_encode('Shortcut to Kanban');  
$text_choose_tag=utf8_encode('Choose tags...');   

// Buttons
$button_add_task=utf8_encode('Add a task');
$button_add_user_story=utf8_encode('Add an User Story');
$button_cancel_delete=utf8_encode('Cancel delete');
$button_reorder=utf8_encode('Compact display');
$button_new_project=utf8_encode('Create a project');
$button_add_release=utf8_encode('Add a release');
$button_create_release=utf8_encode('Create a release');
$button_add_sprint=utf8_encode('Create a sprint');
$button_reorder_flat=utf8_encode('Expanded display');
$button_change_project=utf8_encode('Change project');
$button_new_stakeholder=utf8_encode('Add a stakeholder');
$button_new_connection=utf8_encode('Add a connection');
$button_new_ext_project=utf8_encode('Add an external project');
$button_new_color=utf8_encode('Add a color');
$button_hide_priority=utf8_encode('Hide priority');
$button_show_priority=utf8_encode('Show priority');
$button_record_us_situation=utf8_encode('Record a baseline');
$button_new_column=utf8_encode('Add a column');
$button_add_action=utf8_encode('Add an action');
$button_add_risk=utf8_encode('Add a risk');
$button_add_problem=utf8_encode('Add a problem');
$button_switch_to_std=utf8_encode('Switch to standard mode');
$button_switch_to_workshop=utf8_encode('Switch to workshop mode');
$button_add_activity=utf8_encode('Add an activity');
$button_push_into_deck=utf8_encode('Push in deck the US on which I have no task');
$button_fill_in_deck=utf8_encode('Fill in the deck');
$button_empty_deck=utf8_encode('Empty deck of all US');
$button_show_graph_numbers=utf8_encode('Show graph numbers');
$button_hide_graph_numbers=utf8_encode('Hide graph numbers');
$button_add_feature=utf8_encode('Add a feature');
$button_export=utf8_encode('Export');
$button_new_tag=utf8_encode('Add a tag');
$button_add_color_use=utf8_encode('Add a color use');
$button_reorder_priority=utf8_encode('Priority');
$button_sort_by_number=utf8_encode('Increasing Number');
$button_tasks_actions=utf8_encode('Copy or move');
$button_back_to_roadmap=utf8_encode('Back to roadmap');
$button_new_tag_group=utf8_encode('Add a tag group');
$button_export_word=utf8_encode('Word export');
$button_export_odt=utf8_encode('ODT export');
$button_export_csv=utf8_encode('CSV export');
$button_choose_attachments=utf8_encode('Chooose attachments');
$button_put_to_trash=utf8_encode('Put to trash');
$button_sorting=utf8_encode('Sorting');
$button_sort_by_number_desc=utf8_encode('Decreasing number');
$button_cancel_zoom=utf8_encode('Cancel zoom');
$button_open_deck=utf8_encode('Open deck');  
$button_sort_by_complexity=utf8_encode('Increasing complexity');
$button_sort_by_business_value=utf8_encode('Increasing business value');
$button_sort_by_complexity_desc=utf8_encode('Decreasing complexity');
$button_sort_by_business_value_desc=utf8_encode('Decreasing business value');
$button_search_project=utf8_encode('Search for a project');
$button_choose_file=utf8_encode('Choose a CSV file');

// Actions
$action_manage_colors=utf8_encode('Manage colors');
$action_set_as_visible=utf8_encode('Show in the kanban');
$action_set_as_hidden=utf8_encode('Hide in the kanban');
$action_up=utf8_encode('Move up');
$action_down=utf8_encode('Move down');
$action_refresh_release=utf8_encode('Refresh release');
$action_goto_current_release=utf8_encode('Go to current release');
$action_goto_current_sprint=utf8_encode('Go to current sprint');
$action_bookmark_project=utf8_encode('Set project as bookmark');
$action_unbookmark_project=utf8_encode('Unset project as bookmark');
$action_change_admin=utf8_encode('Change project admin');
$action_reset_pass=utf8_encode("Reinit password");
$action_delete_project=utf8_encode("Remove the project");

// US status
$usStatusTable['TODO']=utf8_encode('No task');
$usStatusTable['RUN']=utf8_encode('Tasks running');
$usStatusTable['DEV']=utf8_encode('All tasks done');
$usStatusTable['DONE']=utf8_encode('US done');

// Tables
$tagTypeDisplay['ALL_MAND']=utf8_encode('Global mandatory tag');
$tagTypeDisplay['ALL_FREE']=utf8_encode('Global optional tag');
$tagTypeDisplay['USR_FREE']=utf8_encode('Project local tag');

// Legends
$legend_move_or_copy_tasks=utf8_encode("Copy/move task from one US to US");

// Labels
$lbl_sort_by_name=utf8_encode('Sort by name');
$lbl_sort_by_firstname=utf8_encode('Sort by firstname');
?>