<?php
/**
 * popup to display history of a postit
 *
 * PHP version 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
define("PATHBASE",'./');
$pathClasses=PATHBASE.'libraries/classes/';
$pathCommons=PATHBASE.'common_scripts/';  
$pathAppClasses=PATHBASE.'classes/';
$pathImages=PATHBASE.'images/';

$targetFile='';

require_once PATHBASE.'popin_includes_presession.php';

if (isset($_SESSION['login']))
{
  require_once PATHBASE.'popin_includes.php';
  require_once $pathClasses.'class_sortColumn.php';
  require_once $pathCommons.'date_hour.php';
  require_once $pathAppClasses.'project.php';
  require_once $pathAppClasses.'history.php';
  require_once PATHBASE.'libraries/diff/finediff.php';
 
  // create History object
  $postitHistory=new history($cnx->num);
  $postitHistory->loadStatusLabels($usStatusTable);
  // display history?>

<html>
   <table class="zebraTable">
       <tr>
         <th><?php echo $text_field; ?></th> 
         <th><?php echo $text_date;?></th>
         <th><?php echo $text_old_value; ?></th>
         <th><?php echo $text_new_value; ?></th>		 
         <th><?php echo $text_author;?></th>
       </tr><?php

  // set orderby     
  //$postitHistory->setOrderBy($sortColumn->returnSqlOrderBy());
  // get history
  $historyItemsList=$postitHistory->getPostitHistory($_GET['i'],strtoupper($_GET['t']));       
  for ($i=0;$i<count($historyItemsList);$i++)
  {
    $item=$postitHistory->formatHistoryField($historyItemsList[$i],$text_deleted_object);  ?>
         <tr>
           <td><?php $fieldName=$item['field']; echo $$fieldName;?></td>
           <td><?php echo $item['date'];?></td>
           <td><?php echo $item['oldValue'];?></td>
           <td><?php echo $item['newValue'];?></td>
           <td><?php echo $item['author'];?></td>           
         </tr><?php
  }?>
     </table>  <?php

}
?>
</html>