INSERT INTO framework_parameters_values_lists (parameter_tag_id_fk, parameter_value_label, parameter_value) VALUES('THEME','default2015','default2015');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPSRV', 'ldap.testathon.net', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPPRT', '389', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPBDN', 'OU=users,DC=testathon,DC=net', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPUID', 'uid', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPNAM', 'sn', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPFNM', 'givenname', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPFUN', '', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPATT', 'cn,mail,sn,givenName', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPAAT', 'cn,mail,sn,givenName', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPBID', '', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPBIP', '', '1', 'STRING');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('LDPOBJ', 'inetOrgPerson', '1', 'STRING');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPSRV', 'fr', 'LDAP : adresse du serveur'), ('LDPSRV', 'en', 'LDAP : server host'),('LDPSRV', 'de', 'LDAP : server host'),('LDPSRV', 'br', 'LDAP : Endereço do servidor'),('LDPSRV', 'es', 'LDAP : dirección del servidor');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPPRT', 'fr', 'LDAP : port du serveur'), ('LDPPRT', 'en', 'LDAP : server port'),('LDPPRT', 'de', 'LDAP : server port'),('LDPPRT', 'br', 'LDAP : Porta do servidor'),('LDPPRT', 'es', 'LDAP : puerto del servidor');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPBDN', 'fr', 'LDAP : base DN du serveur'), ('LDPBDN', 'en', 'LDAP : base DN'),('LDPBDN', 'de', 'LDAP: DN Basis'),('LDPBDN', 'br', 'LDAP : DN base do servidor'),('LDPBDN', 'es', 'LDAP : base DN del servidor');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPUID', 'fr', 'LDAP : champ identifiant des utilisateurs'), ('LDPUID', 'en', 'LDAP : ID field for users'),('LDPUID', 'de', 'LDAP: ID-Feld für die Benutzer'),('LDPUID', 'br', 'LDAP : Campo identificador dos usuários'),('LDPUID', 'es', 'LDAP : Nro identificador de los usuarios');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPNAM', 'fr', 'LDAP : champ pour le nom des utilisateurs'), ('LDPNAM', 'en', 'LDAP : field for users name'),('LDPNAM', 'de', 'LDAP: Feld für die Benutzer Namen'),('LDPNAM', 'br', 'LDAP : campo para nome dos usuários'),('LDPNAM', 'es', 'LDAP : campo para el apellido de los usuarios');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPFNM', 'fr', 'LDAP : champ pour le prénom des utilisateurs'), ('LDPFNM', 'en', 'LDAP : field for users firstname'),('LDPFNM', 'de', 'LDAP: Feld für die Nutzer Vorname'),('LDPFNM', 'br', 'LDAP : campo para primeiro nome dos usuários'),('LDPFNM', 'es', 'LDAP : campo para el nombre del usuario');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPFUN', 'fr', 'LDAP : champ pour le nom complet des utilisateurs'), ('LDPFUN', 'en', 'LDAP : field for users fullname'),('LDPFUN', 'de', 'LDAP: Feld für die Benutzer vollständigen Namen'),('LDPFUN', 'br', 'LDAP : campo para nome completo dos usuários'),('LDPFUN', 'es', 'LDAP : campo para el nombre y apellidos de los usuarios');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPATT', 'fr', 'LDAP : attributs'), ('LDPATT', 'en', 'LDAP : attributes'),('LDPATT', 'de', 'LDAP: Attribute'),('LDPATT', 'br', 'LDAP : atributos'),('LDPATT', 'es', 'LDAP : atributos');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPAAT', 'fr', 'LDAP : tous les attributs'), ('LDPAAT', 'en', 'LDAP : all attributes'),('LDPAAT', 'de', 'LDAP: alle Attribute'),('LDPAAT', 'br', 'LDAP : todos os atributos'),('LDPAAT', 'es', 'LDAP : todos los atributos');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPBID', 'fr', 'LDAP : DN de connexion (Bind)'), ('LDPBID', 'en', 'LDAP : Bind DN'),('LDPBID', 'de', 'LDAP : Bind DN'),('LDPBID', 'br', 'LDAP : DN de conexão (Bind)'),('LDPBID', 'es', 'LDAP : DN de conexión (Bind)');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPBIP', 'fr', 'LDAP : mot de passe de connexion (Bind)'), ('LDPBIP', 'en', 'LDAP : Bind password'),('LDPBIP', 'de', 'LDAP: Bind Passwort'),('LDPBIP', 'br', 'LDAP : Senha de conexão (Bind)'),('LDPBIP', 'es', 'LDAP : Password de conexión');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('LDPOBJ', 'fr', 'LDAP : classe utilisateur'), ('LDPOBJ', 'en', 'LDAP : Object Class for user'),('LDPOBJ', 'de', 'LDAP: Objektklasse für Benutzer'),('LDPOBJ', 'br', 'LDAP : Objeto Classe de usuário'),('LDPOBJ', 'es', 'LDAP : Clase de usuario');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('AUTLOG', '1', '1', 'SWITCH');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('AUTLOG', 'fr', 'Les utilisateurs LDAP valides peuvent se connecter directement'), ('AUTLOG', 'en', 'LDAP valid users can login directly'),('AUTLOG', 'de', 'Gültig LDAP-Benutzer direkt einloggen können'),('AUTLOG', 'br', 'Usuários válidos LDAP podem realizar login diretamente'),('AUTLOG', 'es', 'Los usuarios LDAP se pueden conectar directamente');
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('SIZMAX', '10', '1', 'INT');
INSERT INTO framework_parameters_translations (parameter_tag_id_fk, parameter_translation_language, parameter_translation_value) VALUES ('SIZMAX', 'fr', 'Taille maxi des pièces jointes'), ('SIZMAX', 'en', 'Max size for attachement'),('SIZMAX', 'de', 'Max Größe für Anlagen'),('SIZMAX', 'br', 'Tamanho máximo para anexos'),('SIZMAX', 'es', 'Tamaño máximo de los archivos adjuntos');
CREATE TABLE kados_tags_groups (tag_group_id int(10) unsigned NOT NULL AUTO_INCREMENT,tag_group_name varchar(50) COLLATE utf8_bin DEFAULT NULL, tag_group_postit_type enum('US','TASK') COLLATE utf8_bin NOT NULL DEFAULT 'US',  tag_group_scope enum('ALL','PRJ') COLLATE utf8_bin DEFAULT NULL,  tag_group_project_id_fk int(10) unsigned DEFAULT '0',  PRIMARY KEY (tag_group_id)) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
ALTER TABLE kados_tags ADD COLUMN tag_group_id_fk INT UNSIGNED  DEFAULT 0  NULL;
INSERT INTO framework_menus (menu_tag, menu_file, menu_father, menu_order, menu_default) VALUES('app_tags_groups','app_admin/template_tags_groups.php?','app_admin','9','0');
INSERT INTO framework_menus_translations (menu_tag_fk, menu_translation_language, menu_translation_value) VALUES	('app_tags_groups', 'fr', 'Groupes de tags'),('app_tags_groups', 'en', 'Tags groups'),('app_tags_groups', 'de', 'Tag Gruppen'),('app_tags_groups', 'br', 'Grupos de etiquetas'),('app_tags_groups', 'es', 'Grupos de tags');
INSERT INTO framework_profiles_constitution_menus (profile_id_fk, menu_tag_fk) VALUES	(1,'app_tags_groups');
INSERT INTO framework_menus (menu_tag, menu_file, menu_father, menu_order, menu_default)  VALUES('prj_tags_groups','project_tags_groups.php?','settings','7','0');
INSERT INTO framework_menus_translations (menu_tag_fk, menu_translation_language, menu_translation_value) VALUES	('prj_tags_groups', 'fr', 'Groupes de tags'),('prj_tags_groups', 'en', 'Tags groups'),('prj_tags_groups', 'de', 'Tag Gruppen'),('prj_tags_groups', 'br', 'Grupos de etiquetas'),('prj_tags_groups', 'es', 'Grupos de tags');
INSERT INTO framework_profiles_constitution_menus (profile_id_fk, menu_tag_fk) VALUES	(1,'prj_tags_groups'),(2,'prj_tags_groups');
CREATE TABLE kados_postit_comments (  postit_comment_id int(11) NOT NULL AUTO_INCREMENT,  postit_comment_date datetime NOT NULL,  postit_comment_postit_type enum('US','TASK') COLLATE utf8_bin NOT NULL,  postit_comment_postit_id_fk int(11) NOT NULL,  postit_comment_text text COLLATE utf8_bin NOT NULL,  postit_comment_user_login_fk varchar(15) COLLATE utf8_bin NOT NULL,  postit_comment_waved_users text COLLATE utf8_bin NOT NULL,  PRIMARY KEY (postit_comment_id),  KEY postit_comment_id (postit_comment_id)) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
ALTER TABLE framework_users    ADD COLUMN user_last_login_date DATETIME NULL AFTER user_mail_to_confirm_key,  ADD COLUMN user_previous_last_login_date DATETIME NULL AFTER user_last_login_date;
CREATE TABLE kados_tags_allocations (  color_use_id_fk int(11) NOT NULL,  tag_id_fk int(11) NOT NULL,  PRIMARY KEY (color_use_id_fk,tag_id_fk)) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
ALTER TABLE framework_menus CHANGE menu_file menu_file VARCHAR(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL;
ALTER TABLE framework_users ADD user_pref_filter_on_for_us_done INT(1) NOT NULL ;
DELETE FROM  framework_parameters WHERE parameter_tag_id='USRST';
INSERT INTO framework_parameters (parameter_tag_id, parameter_value, parameter_display, parameter_type) VALUES ('DBVERS', '9', '0', 'INT');
COMMIT;	