<?php
/**
 * Get US (that has tasks) linked to a specific scope : project, release, sprint
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:administration
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */
session_start();

if (isset($_SESSION['login']))
{    
define("PATHBASE",'../');
$pathCommons=PATHBASE.'common_scripts/';
include PATHBASE.'conf/connect.conf';
include PATHBASE.'libraries/classes/class_connexion_mysql.php';
include $pathCommons.'date_hour.php';
include $pathCommons.'app_functions.php';
include $pathCommons.'functions.php';

$cnx=new connexion_db();

$usId=intval($_POST['us_id']);

// Set scope
// default scope is project
$scope=' us_project_id_fk='.$_SESSION['current_project_id'];
if ($_POST['scope']=='sprint')
{
  // Scope is sprint  
  $scope=' us_sprint_id_fk='.$_SESSION['current_sprint_id'];
}
else if ($_POST['scope']=='release')
{
  // Scope is Release  
  $scope=' us_release_id_fk='.$_SESSION['current_release_id'];
}

// get list of US from the same release
$request=new sqlRequest("SELECT us_id,CONCAT(us_number,' : ',SUBSTRING(kados_user_stories.text,1,60)) AS us_text FROM kados_user_stories,kados_tasks  
                      WHERE kados_user_stories.active=1 
                        AND us_id!=".$usId." 
                        AND us_id_fk=us_id
                        AND kados_tasks.active=1 
	                AND ".$scope."
                      GROUP BY us_id_fk",$cnx->num);
$listUs=$request->getArrayFields();
echo json_encode($listUs);

}?>