/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

ALTER TABLE kados_baselines ADD INDEX index_release(us_release_id_fk);
ALTER TABLE kados_baselines ADD INDEX index_sprint(us_sprint_id_fk);
ALTER TABLE kados_user_stories ADD INDEX index_sprint(us_sprint_id_fk);
ALTER TABLE kados_user_stories ADD INDEX index_release(us_release_id_fk);
UPDATE kados_user_stories AS ustab1 SET status='RUN' where us_id IN(select us_id FROM (SELECT us_id,us_project_id_fk FROM kados_user_stories AS us_tab WHERE status="TODO" HAVING (select count(task_id) FROM kados_tasks as tsk where us_id_fk=us_id AND tsk.active=1)>0) AS us_tab2);
UPDATE kados_user_stories AS ustab1 SET status='DEV' where us_id IN(select us_id from (select us_id,count(tsk_status) as count_status from (SELECT us_id,us_project_id_fk,tsk.status as tsk_status FROM kados_user_stories us_tab,kados_tasks tsk WHERE us_tab.status="RUN" AND us_id_fk=us_id and tsk.active=1 group by us_id_fk,tsk.status) as tab_tmp group by us_id HAVING count_status=1) as tab1);
update kados_user_stories us_tab set us_tab.status='RUN' WHERE us_id IN(select us_id FROM (SELECT us_id,us_project_id_fk,tsk.status as tsk_status FROM kados_user_stories us_tab,kados_tasks tsk WHERE us_tab.status="DEV" AND us_id_fk=us_id and tsk.active=1 group BY us_id,tsk_status HAVING tsk_status<>(SELECT column_tag_fk FROM kados_projects_columns WHERE project_id_fk=us_project_id_fk ORDER BY column_order DESC LIMIT 0,1)) as tab1);
UPDATE kados_issues AS ustab1 SET status='PROG' where issue_id IN(select issue_id FROM (SELECT issue_id,issue_project_id_fk FROM kados_issues AS issue_tab WHERE status='NEW' HAVING (select count(action_id) FROM kados_actions as tsk where issue_id_fk=issue_id AND tsk.active=1)>0) AS issue_tab2);
UPDATE kados_issues AS ustab1 SET status='2CHK' where issue_id IN(select issue_id from (select issue_id,count(tsk_status) as count_status from (SELECT issue_id,issue_project_id_fk,tsk.status as tsk_status FROM kados_issues issue_tab,kados_actions tsk WHERE issue_tab.status="PROG" AND issue_id_fk=issue_id and tsk.active=1 group by issue_id_fk,tsk.status) as tab_tmp group by issue_id HAVING count_status=1) as tab1);
update kados_issues issue_tab set issue_tab.status='PROG' WHERE issue_id IN(select issue_id FROM (SELECT issue_id,issue_project_id_fk,tsk.status as tsk_status FROM kados_issues issue_tab,kados_actions tsk WHERE issue_tab.status="2CHK" AND issue_id_fk=issue_id and tsk.active=1 group BY issue_id,tsk_status HAVING tsk_status<>'DONE') as tab1);
DROP TABLE framework_addresses;
CREATE TABLE IF NOT EXISTS kados_users_hidden_features (  user_login_fk varchar(15) COLLATE utf8_bin NOT NULL,  feature_id_fk int(11) NOT NULL,  PRIMARY KEY (user_login_fk,feature_id_fk)) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
ALTER TABLE framework_menus ADD menu_category VARCHAR(10) NOT NULL ;
UPDATE framework_menus SET menu_category='PROJECT';
UPDATE framework_menus SET menu_category='ADMIN' WHERE menu_tag IN('admin');
UPDATE framework_menus SET menu_category='CONFIG' WHERE menu_tag IN('app_admin');
UPDATE framework_menus SET menu_category='HOME' WHERE menu_tag IN('projects');
UPDATE framework_menus SET menu_category='USER' WHERE menu_tag IN('my_profile');
UPDATE framework_menus SET menu_father = 'admin',menu_order=4 WHERE menu_tag = 'languages';
UPDATE framework_menus SET menu_father = '' WHERE menu_tag = 'prj_kanban';
UPDATE framework_menus SET menu_order = menu_order+1 WHERE menu_father='' AND menu_order>1;
UPDATE framework_menus SET menu_order = 2 WHERE menu_tag = 'prj_kanban';
UPDATE framework_menus SET menu_father = '' WHERE menu_tag = 'prj_kanban';
UPDATE framework_menus SET menu_father = 'prj_kanban' WHERE menu_father = 'cockpit';
UPDATE framework_menus SET menu_father = 'cockpit' WHERE menu_tag = 'checklist';
UPDATE framework_menus SET menu_father = 'cockpit',menu_order=1 WHERE menu_tag = 'team';
UPDATE framework_menus SET menu_father = 'cockpit',menu_order=3 WHERE menu_tag = 'team_tasks';
UPDATE framework_menus_translations SET menu_translation_value = 'Obstacles' WHERE menu_tag_fk = 'issues' AND menu_translation_language = 'fr';
UPDATE framework_menus_translations SET menu_translation_value = 'Impediments' WHERE menu_tag_fk = 'issues' AND menu_translation_language = 'en';
UPDATE framework_menus_translations SET menu_translation_value = 'Kanban Boards' WHERE menu_tag_fk = 'prj_kanban';
UPDATE framework_menus_translations SET menu_translation_value = 'Crmonies' WHERE menu_tag_fk = 'ceremony' AND menu_translation_language = 'fr';
UPDATE framework_menus_translations SET menu_translation_value = 'Ceremonies' WHERE menu_tag_fk = 'ceremony' AND menu_translation_language = 'en';
UPDATE framework_menus_translations SET menu_translation_value = 'Zeremonien' WHERE menu_tag_fk = 'ceremony' AND menu_translation_language = 'de';
UPDATE framework_menus_translations SET menu_translation_value = 'Ceremonias' WHERE menu_tag_fk = 'ceremony' AND menu_translation_language = 'es';
UPDATE framework_menus_translations SET menu_translation_value = 'Cerimnias' WHERE menu_tag_fk = 'ceremony' AND menu_translation_language = 'br';
UPDATE framework_menus SET menu_order= menu_order+1 WHERE menu_father = 'cockpit';
UPDATE framework_menus SET menu_father = 'cockpit',menu_order=1 WHERE menu_tag = 'us_roadmap';
UPDATE framework_menus SET menu_order=4 WHERE menu_tag = 'checklist';
UPDATE framework_menus SET menu_order=3 WHERE menu_tag = 'team_tasks';
UPDATE framework_menus SET menu_order= menu_order+2 WHERE menu_father = 'cockpit' AND menu_order>3;
UPDATE framework_menus SET menu_father = 'cockpit',menu_order=4 WHERE menu_tag = 'prj_report';
UPDATE framework_menus SET menu_father = 'cockpit',menu_order=5 WHERE menu_tag = 'prj_exports';
UPDATE framework_menus SET menu_father = 'prj_kanban',menu_order=2 WHERE menu_tag = 'prj_feature';
INSERT INTO framework_menus (menu_tag, menu_file, menu_father, menu_order, menu_default, menu_category) VALUES ('kanban', 'manage_kanban.php?', 'prj_kanban', '1', '0', 'PROJECT');
INSERT INTO framework_menus_translations (menu_tag_fk, menu_translation_language, menu_translation_value) VALUES ('kanban', 'fr', 'KANBAN'), ('kanban', 'en', 'KANBAN'), ('kanban', 'es', 'KANBAN'), ('kanban', 'de', 'KANBAN'), ('kanban', 'br', 'KANBAN');
INSERT INTO framework_profiles_constitution_menus (profile_id_fk, menu_tag_fk) VALUES ('1', 'kanban'), ('2', 'kanban');
UPDATE framework_users SET user_theme = 'default2017';
DELETE FROM framework_parameters_values_lists WHERE parameter_tag_id_fk='THEME';
INSERT INTO framework_parameters_values_lists (parameter_tag_id_fk, parameter_value_label, parameter_value) VALUES ('THEME', 'default2017', 'default2017');
UPDATE framework_parameters SET parameter_value='default2017' WHERE parameter_tag_id='THEME';
DELETE FROM framework_parameters WHERE parameter_tag_id= 'NBLIST';
DELETE FROM framework_parameters_translations WHERE parameter_tag_id_fk= 'NBLIST';
UPDATE framework_menus SET menu_order = '7' WHERE framework_menus.menu_tag = 'checklist';
INSERT INTO framework_menus (menu_tag, menu_file, menu_father, menu_order, menu_default, menu_category) VALUES ('import', 'project_import.php?', 'cockpit', '6', '0', 'PROJECT');
INSERT INTO framework_menus_translations (menu_tag_fk, menu_translation_language, menu_translation_value) VALUES ('import', 'fr', 'Import US'), ('import', 'en', 'US import'),('import', 'de', 'US importieren'), ('import', 'es', 'Importacin de US'),('import', 'br', 'Importao de US');
INSERT INTO framework_profiles_constitution_menus (profile_id_fk, menu_tag_fk) VALUES ('1', 'import'), ('2', 'import');
CREATE TABLE IF NOT EXISTS kados_user_stories_relationships (  relationship_id int(11) NOT NULL AUTO_INCREMENT,  first_us_id_fk int(11) NOT NULL,  second_us_id_fk int(11) NOT NULL,  PRIMARY KEY (relationship_id)) ENGINE=InnoDB  DEFAULT CHARSET=utf8;
INSERT INTO framework_menus (menu_tag, menu_file, menu_father, menu_order, menu_default, menu_category) VALUES ('admin_news', 'administration/news.php?', 'admin', '5', '0', 'ADMIN');
INSERT INTO framework_menus_translations (menu_tag_fk, menu_translation_language, menu_translation_value) VALUES ('admin_news', 'fr', 'Actualits'), ('admin_news', 'en', 'News'),('admin_news', 'de', 'Nachrichten'), ('admin_news', 'es', 'Noticias'),('admin_news', 'br', 'Notcia');
INSERT INTO framework_profiles_constitution_menus (profile_id_fk, menu_tag_fk) VALUES ('1', 'admin_news');
CREATE TABLE IF NOT EXISTS framework_news (  news_id int(11) NOT NULL AUTO_INCREMENT,  news_date datetime NOT NULL,  news_content text COLLATE utf8_bin NOT NULL,  news_link varchar(500) COLLATE utf8_bin NOT NULL,  news_language varchar(2) COLLATE utf8_bin DEFAULT NULL,  PRIMARY KEY (news_id)) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
INSERT INTO framework_news (news_id, news_date, news_content, news_link, news_language) VALUES(1, '2017-04-09 15:00:49', 'Bienvenue dans la version R10-GreenBee de Kados', '', 'fr');
INSERT INTO framework_news (news_id, news_date, news_content, news_link, news_language) VALUES(2, '2017-04-09 15:00:49', 'Welcome in R10-GreenBee of Kados', '', 'en');
COMMIT;	
 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
