<?php
/**
 * Script called by an AJAX script to get the max zposition of the note in a dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement:Ajax
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
session_start(); 
define("PATHBASE",'../');
$pathClasses=PATHBASE.'libraries/classes/';
$pathImages=PATHBASE.'images/';
$pathAppClasses=PATHBASE.'classes/';
$pathCommons=PATHBASE.'common_scripts/';

if (isset($_SESSION['login']))
{

include PATHBASE.'conf/connect.conf';
require_once $pathClasses.'class_connexion_mysql.php';
require_once $pathCommons.'app_functions.php';
require_once $pathCommons.'functions.php';
require_once PATHBASE.'messages/'.$_SESSION['language'].'_app_messages.php';
require_once PATHBASE.'messages/'.$_SESSION['language'].'_ihm_messages.php';
require_once $pathAppClasses.'project.php';

$cnx=new connexion_db();
if (isset($_SESSION['current_project_id']))
{    
  $currentProject=new project($cnx->num,$_SESSION['current_project_id']);
}
else
{    
  $currentProject=new project($cnx->num,0);
}    
$currentProject->getData();

require_once PATHBASE.'boards_settings/settings_'.$_POST['item_type'].'.php';

$request= new sqlRequest("SELECT MAX(".$zPosField.") AS maxi FROM ".$tableData." WHERE active=1".$clauseWhereElementsGetAll,$cnx->num);
$maxZpos=$request->getObject();
echo $_POST['note_id'].':'.$maxZpos->maxi;
}
else
{
  echo 'END_SESSION';
}
?>