<?php
/**
 * Project template management
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  ProjectMngt:Templates
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */     
define("PATHBASE",'../');
require_once PATHBASE.'header.php';
$targetFile='templates_project.php?';
$cnx=new connexion_db();
$displayTable=true;

  require_once PATHBASE.'templates_projects_list.php';

  switch ($_REQUEST['action'])
  {
	
	case 'enable':
	  // add template id
	  array_push($templateList,$_REQUEST['tpl_id']);
      // set parameter
	  set_parameter('PRJTPL',implode(';',$templateList).':'.$defaultTemplate,$cnx->num);
	break;
	
	case 'disable':
	  // remove template id
	  $keyTable=array_search($_REQUEST['tpl_id'],$templateList);
	  unset($templateList[$keyTable]);
      // set parameter
	  set_parameter('PRJTPL',implode(';',$templateList).':'.$defaultTemplate,$cnx->num);
	break;	
	
	case 'set_default':
	  $defaultTemplate=$_REQUEST['tpl2set'];
	  set_parameter('PRJTPL',implode(';',$templateList).':'.$defaultTemplate,$cnx->num);	
	break;	
  }  	 
  
  if ($displayTable)
  {?>
     <table class="zebraTable">
       <tr> 
         <th><?php echo $text_template; ?></th>
		 <th><center><a href="#" tooltip="<?php echo $text_actions;?>"><img src="<?php echo $pathImages;?>action.gif" border="0"  /></a></center></th>		 		 
         <th><center><a href="#" tooltip="<?php TextDisplay($text_workflow);?>"><img src="<?php echo $pathImages;?>workflow.gif" border="0"  /></a></center></th>		 
       </tr><?php
	   for ($i=3;$i>0;$i--)
	   {?>
         <tr>
           <td><?php
		   	  if ($defaultTemplate==$i)
			  {?>
			    <img src="<?php echo $pathImages;?>set_default.gif" border="0"  /> <?php
			  }
			  echo $textProjectTemplates[$i]; ?>
	       </td>
		   <td class="nowrap"><center><?php
		   if (in_array($i,$templateList))
		   {	
             if ($defaultTemplate!=$i)
             {?>
			   <a href="<?php echo $targetFile;?>&action=set_default&tpl2set=<?php echo $i;?>" tooltip="<?php TextDisplay($action_set_as_default);?>"><img src="<?php echo $pathImages;?>set_default.gif" border="0"  /></a><?php
             }
		   } ?>   </center>
		   </td> 	
		   <td class="nowrap"><center><?php
		   if ($defaultTemplate!=$i)
		   {
             if (in_array($i,$templateList))
             {?>
			   <a href="<?php echo $targetFile;?>&action=disable&tpl_id=<?php echo $i;?>" ><img src="<?php echo $pathImages;?>set_inactive.gif" border="0"  /></a><?php
             }
			 else
			 {?>
			   <a href="<?php echo $targetFile;?>&action=enable&tpl_id=<?php echo $i;?>" ><img src="<?php echo $pathImages;?>set_active.gif" border="0"  /></a><?php
             }
		   }?></center>
		   </td> 			 
         </tr><?php
	   }?>
     </table><?php
  }

  
$cnx->close();  

require_once PATHBASE.'footer.php';?>

