<?php
/**
 * Form (popin) to update a release to a project in a dashboard
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
define("PATHBASE",'../');
$pathClasses=PATHBASE.'libraries/classes/';
$pathImages=PATHBASE.'images/';
$pathCommons=PATHBASE.'common_scripts/';  
$targetFile='project_cockpit.php?menu_lev2=cockpit';

require_once PATHBASE.'popin_includes_presession.php';

if (isset($_SESSION['login']))
{

require_once PATHBASE.'popin_includes.php';
require_once $pathCommons.'date_hour.php';

// Get release data & count US in the release
$request=new sqlRequest("SELECT * FROM kados_releases WHERE release_id=".$_REQUEST['release_id'],$cnx->num);
$releaseData=$request->getObject();

// Check if that release has release checklist
$request->sqlGet('SELECT * FROM kados_activities WHERE activity_release_id_fk='.$_REQUEST['release_id']);
$request->countRows();
$useChecklist=$request->rowCount;
?>
<h3 class="popupTitle"><?php echo $legend_changing_f.' '.lcfirst($text_release);?></h3>

<div> <!-- Holds the form -->
<form class="pure-form pure-form-aligned" action="<?php echo $targetFile;?>" method="post" name="form_release" enctype="multipart/form-data">
<input type="hidden" name="action" value="update_release" />
<input type="hidden" name="release_2update_id" id="release_2update_id" value="<?php echo $_REQUEST['release_id'];?>" />
 <fieldset class="fieldset">
   <label class="label required_field100"><?php echo $text_release;?></label>
   <input class="std_form_field" name="form_item_release" id="form_item_release" type="text" size="15" value="<?php echo $releaseData->release_name;?>" /><div class="clearleft"></div>
  
   <label class="label required_field100" ><?php echo $text_due_date;?></label>
   <input class="date_form_field" readonly="readonly" name="form_item_due_date" id="form_item_due_date" value="<?php echo convert_date($releaseData->release_due_date);?>" type="text" size="10"/>
   <script>
     $("#form_item_due_date").datepicker({dateFormat:"dd/mm/yy",changeMonth: true, changeYear: true});
   </script>   <div class="clearleft"></div>      <?php

 if (getParameter('USECHL',$cnx->num)==1)
 {?>     
   <label class="label required_field100" ><?php echo $text_use_checklist;?></label> <?php 
   if ($useChecklist) 
   {?>
     <input class="input_no_class" size="4" readonly="readonly"  value="<?php echo $text_yes;?>" /><?php
   }
   else
   {?>
     <input name="form_item_checklist" type="checkbox" /><?php
   }	 ?>
   <div class="clearleft"></div>       <?php
 }?>
   <br />     <?php 
 displayButton($button_submit,'','','release-submit tsc_awb_medium tsc_awb_green tsc_flat');	?>

</fieldset>
</form>
</div><?php
}
else
{
  require_once $pathCommons.'functions.php';  ?>
  <script>
    window.location.replace('<?php echo getServerURL();?>/../index.php?warning_message=SESSION_END');
  </script>   <?php
}
