<?php
/**
 *
 * Relationships Management
 *
 * @category Scripts
 * @package  Relationships
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
class relationship {
  var $cnxRelationship; 
  var $firstUs;  
  
    function relationship($cnx_num)
    {
      // init classe
      // connect to DB  
      $this->cnxRelationship=$cnx_num;
    }
    
    function setFirstUs($usId)
    {
      // allocate first US  
      $this->firstUs=$usId;  
    }
    
    function addUsRelationship($relatedUsId)
    {   
      // add a relationship
      $request=new sqlRequest("INSERT INTO kados_user_stories_relationships
                                (first_us_id_fk, 
	                         second_us_id_fk) 
	                      VALUES
	                       (".$this->firstUs.",".$relatedUsId.")",$this->cnxRelationship);
    }  
    
    function removeUsRelationship($relatedUsId)
    {   
      // remove a relationship
      $request=new sqlRequest("DELETE FROM kados_user_stories_relationships
                               WHERE first_us_id_fk=".$this->firstUs." 
                                 AND second_us_id_fk=".$relatedUsId." 
                                  OR first_us_id_fk=".$relatedUsId." 
                                 AND second_us_id_fk=".$this->firstUs,$this->cnxRelationship);
    }      
    
    function getUsRelationships()
    {
      // get relationships for a specific us
      // from ID  
      $request=new sqlRequest("SELECT * 
                               FROM kados_user_stories_relationships
                               WHERE first_us_id_fk=".$this->firstUs." 
                                  OR second_us_id_fk=".$this->firstUs,$this->cnxRelationship);
      $request->getArrayFields(); 
      $result=array();
      for($i=0;$i<$request->countRows();$i++)
      {
         $result[$i]['rel_id']=$request->array[$i]['relationship_id'];
         $result[$i]['us_id']=$request->array[$i]['first_us_id_fk']==$this->firstUs ? $request->array[$i]['second_us_id_fk'] : $request->array[$i]['first_us_id_fk'];
      }
      return $result;
    }
    
    function getUsRelationshipsCount()
    {
      // get number of relationships for a us  
      // from type and us ID  
      $request=new sqlRequest("SELECT COUNT(*) as nbItem
                               FROM kados_user_stories_relationships
                               WHERE first_us_id_fk=".$this->firstUs." 
                                  OR second_us_id_fk=".$this->firstUs,$this->cnxRelationship);
      $request->getObject(); 
      return $request->objet->nbItem;
    }    
}
?>