<?php
/**
 * Export csv lines for tasks
 *
 * @category Exports
 * @package  exportCsvLines
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */
$cpt=0;
$startLine[$cpt++]=$releaseName;
$startLine[$cpt++]=$sprintName;
$startLine[$cpt++]='US'.$currentUS['us_number'];  
$startLine[$cpt++]=$currentUS['object_color_meaning'];  
$startLine[$cpt++]=utf8_decode($usStatusTable[$currentUS['detailed_status']]);  
$startLine[$cpt++]=utf8_decode($currentUS['text']);  
$startLine[$cpt++]=$currentUS['business_value'];  
$startLine[$cpt++]=$currentUS['complexity'];  

  // Display tasks if any
  if (isset($listTasks[$currentUS['us_id']]))
  {
    $listTasksUs=$listTasks[$currentUS['us_id']];          
    for ($k=0;$k<count($listTasksUs);$k++)
    {
      $line=array();  
      $cpt2=0;
      $line[$cpt2++]=$listTasksUs[$k]['object_color_meaning'];
      $line[$cpt2++]='T'.$currentUS['us_number'].'.'.$listTasksUs[$k]['task_number'];
      $line[$cpt2++]=utf8_decode($listTasksUs[$k]['text']);
      $line[$cpt2++]=utf8_decode($listTasksUs[$k]['column_name']);
      $line[$cpt2++]=$listTasksUs[$k]['task_init_load'];
      $line[$cpt2++]=$listTasksUs[$k]['task_done'];
      $line[$cpt2++]=$listTasksUs[$k]['task_raf'];
      fputcsv($fh,array_merge($startLine,$line),';');  
    }
  }  
  else
  {
    fputcsv($fh,array_merge($startLine, array_fill ($cpt,4,'')),';');  
  }  
?>