<?php
/**
 * Display at the top of some board the features filter
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  
 
if (($simpleItemType=='us' || $simpleItemType=='task') && $showFilterFeatures)
{
  $request=new sqlRequest("SELECT feature_id,CONCAT(feature_short_label,' ',feature_name) AS feature 
                        FROM kados_features
			WHERE feature_project_id_fk=".$_SESSION['current_project_id'],$cnx->num);	  
  $featuresList=$request->getArrayFields();
  if (isset($_SESSION['feature_filter']) && $simpleItemType=='us')
  {
    $clauseWhereElements.=' AND us_feature_id_fk='.$_SESSION['feature_filter'];
    $clauseWhereElementsGetAll.=' AND us_feature_id_fk='.$_SESSION['feature_filter'];
  } ?>  

<div class="featureBlockFilter <?php if (isset($_SESSION['feature_filter'])) { echo 'activeFilter';}?>"> 
 <form name="feature_filter_form" id="feature_filter_form" style="float:left" method="post" action="<?php echo $targetFileAction;?>&action=filter_feature" enctype="multipart/form-data">   
  <select name="filter_feature" class="filter_select" style="font-size:8pt;<?php if (!isset($_SESSION['feature_filter'])) { echo ' color:grey;font-style:italic';}?>" onChange="javascript:document.feature_filter_form.submit();">
     <option selected style="display:none" ><?php echo $text_feature_filter;?></option><?php
   for ($i=0;$i<count($featuresList);$i++)
   {?>
      <option value="<?php echo $featuresList[$i]['feature_id'];?>" <?php if (isset($_SESSION['feature_filter'])) { if ($_SESSION['feature_filter']==$featuresList[$i]['feature_id']){ echo 'selected="selected"';}};?>><?php echo $featuresList[$i]['feature'];?></option><?php
   }?>
  </select>
 </form>  <?php
if (isset($_SESSION['feature_filter']))
{?>
  <div class="resetFilterSelect"><a href="<?php echo $targetFileAction;?>&action=filter_feature&filter_feature="><img border="0" src="<?php echo $pathImages;?>app/delete.png"></a></div>    <?php  
}?>     
</div>    
<?php
}?>