<?php
/**
 * messages and texts used by all scripts in Brazilian
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Claudio Lobo <claudioslobo@yahoo.com.br>
 * @license  GPL v3, MIT
 * */    
 
$appName='KADOS';
$appSubTitle='KAnban Dashboard for Online Scrum';

// Messages
$msg_no_project_selected=utf8_encode('Nenhum projeto selecionado. Por favor, volte  lista de projetos para escolher um.');
$msg_us_business_values=utf8_encode('Atualize a lista de valores para atributos de US.');
$msg_us_business_values_display=utf8_encode('Lista de valores para atributos de US.');
$msg_stakeholders_display=utf8_encode('Stakeholders do projeto.');
$msg_stakeholders_display_list=utf8_encode("Escolha um Stakeholder na lista a seguir. S os Stakeholders ativos aparecem na lista.");
$msg_stakeholders_display_autocomplete=utf8_encode("Digite algumas letras do nome que voc procura e uma lista aparecer. S os Stakeholders ativos aparecem na lista. Selecione um nome e salve sua escolha.");
$msg_us_colors_display=utf8_encode('Cores para os itens do projeto.');
$msg_releases_sprints_display=utf8_encode('Releases e sprints do projeto.');
$msg_confirm_delete_us=utf8_encode('Voc realmente quer excluir esta User Story (US - Relato de Usurio)? ? (O item e as tarefas associadas a ele sero totalmente removidos)');
$msg_confirm_send_object_to_trash=utf8_encode('Voc tem certeza de que quer enviar esse item para a lixeira? (Esta ao pode ser restaurada a partir da lixeira)');
$msg_confirm_activate_us=utf8_encode('Voc tem certeza que deseja restaurar essa User Story (US - Relato de Usurio)?');
$msg_confirm_delete_task=utf8_encode('Voc tem certeza que deseja excluir esta tarefa? (A tarefa ser totalmente removida)');
$msg_confirm_activate_task=utf8_encode('Voc tem certeza que quer restaurar esta tarefa?');
$msg_confirm_activate_issue=utf8_encode('Voc tem certeza que quer restaurar esta questo?');
$msg_confirm_delete_issue=utf8_encode('Voc tem certeza que quer excluir esta questo? (A questo e as tarefas associadas a ela sero totalmente removidas)');
$msg_confirm_delete_action=utf8_encode('Voc tem certeza que quer excluir esta ao? (A ao ser totalmente removida)');
$msg_confirm_activate_action=utf8_encode('Voc tem certeza que quer restaurar esta ao?');
$msg_columns_select=utf8_encode('Selecione as colunas para seu kanban de tarefas. Mova as colunas da esquerda para a direita, ordene-as e d um significado a cada coluna.');
$msg_us_has_been_deleted=utf8_encode('Esta User Story foi excluda.');
$msg_us_is_in_trash=utf8_encode('Esta User Story est na lixeira.');
$msg_sprint_dates_mixed_other_sprints=utf8_encode('Este sprint sobrepe outro sprint. Por favor, modifique as datas de incio e trmino.');
$msg_due_date_must_be_greater_than_sprint_end_date=utf8_encode('A data publicao da release deve ser superior a data de fim do ltimo sprint.');
$msg_start_date_is_no_working_day=utf8_encode('A data de incio no  um dia til');
$msg_end_date_is_no_working_day=utf8_encode('A data de trmino no  um dia til');
$msg_steps_to_add_sprints_design_columns_and_settings_access=utf8_encode('Para adicionar sprints, primeiro adicione as colunas de tarefas a seu projeto.');
$msg_steps_to_add_sprints_design_columns_and_settings_no_access=utf8_encode("Para adicionar sprints, pea ao administrador do projeto para adicionar as colunas de tarefas a seu projeto.");
$msg_steps_add_stakeholders_to_project_access=utf8_encode('Adicione Stakeholders ao projeto.');
$msg_steps_add_stakeholders_to_project_no_access=utf8_encode("Pea ao Scrum Master do projeto para adicionar Stakeholders a seu projeto.");
$msg_steps_add_release_access=utf8_encode('Adicione pelo menos uma release ao projeto.');
$msg_steps_add_release_no_access=utf8_encode("Pea ao Scrum Master para adicionar uma release ao projeto.");
$msg_workshop_mode_is_on=utf8_encode("O modo WORKSHOP est ativo. Para voltar ao modo padro, utilize o boto apropriado na linha de botes a seguir.");
$msg_us_roadmap_explainations=utf8_encode("Aqui est a sntese dos status do histrico das US, sprint por sprint. Esta sntese  atualizada a cada clique do boto abaixo. Cada estado  o registro mais recente de cada sprint.  aconselhvel que um registro de status seja feito no incio e no final de cada sprint.");
$msg_small_reports=utf8_encode('Relatrios resumidos.');
$msg_no_release_selected=utf8_encode("No  possvel mostrar o checklist: nenhum release selecionado, ou no h releases nesse projeto.");
$msg_steps_to_add_tasks_design_columns_and_settings_access=utf8_encode('Para criar tarefas voc deve adicionar colunas a seu projeto.');
$msg_steps_to_add_tasks_design_columns_and_settings_no_access=utf8_encode("Para criar tarefas, pea ao administrador do projeto para adicionar colunas a seu projeto.");
$msg_rss_is_not_available=utf8_encode("RSS no est disponvel. Contate o administrador para maiores informaes.");
$msg_us_has_been_moved=utf8_encode("Esta US no pertence mais a esta release.");
$msg_us_is_in_backlog=utf8_encode("Esta US est no Backlog de Release.");
$msg_features_management=utf8_encode("Sumrio de funcionalidades. Adicione ou atualize funcionalidades.");
$msg_use_this_url_as_shortcut_for_project=utf8_encode("Utilize este URL para acessar diretamente o Kanban deste projeto depois de se conectar");
$msg_use_this_url_as_shortcut_for_release=utf8_encode("Utilize este URL para acessar diretamente o Kanban deste release depois de se conectar");
$msg_use_this_url_as_shortcut_for_sprint=utf8_encode("Utilize este URL para acessar diretamente o Kanban deste sprint depois de se conectar");
$msg_use_this_url_as_shortcut_for_cockpit=utf8_encode("Utilize este URL para acessar diretamente o Kanban deste cockpit depois de se conectar");
$msg_format_not_allowed=utf8_encode("Pelo menos um arquivo  de tipo proibido. Aqui esto os tipos permitidos");
$msg_size_too_big=utf8_encode("O tamanho do arquivo excede o limite (MB)");        
$msg_directory_not_created=utf8_encode("O diretrio no foi criado. Contacte o seu administrador. Repertrio");        
$msg_file_has_been_deleted=utf8_encode("O seguinte arquivo foi apagado");   
$msg_profiles_switch=utf8_encode('Selecione os perfis disponveis para os colaboradores de seu projeto. Deve haver pelo menos um perfil habilitado por projeto.');
$msg_project_has_no_sprint=utf8_encode('No  possvel apresentar um roadmap, pois o projeto no tem sprint.');
$msg_miniboard_display=utf8_encode('Crie e organize os US do seu kanban no mini-board.');
$msg_rss_key_is_incorrect=utf8_encode('A chave RSS fornecido no  vlida.');
$msg_parameter_is_incorrect=utf8_encode('O valor do parmetro passado no corresponde a nenhum objeto.');
$msg_no_reports_for_release=utf8_encode('No h relatrio para a release do projeto. Selecione uma release ou um sprint.');
$msg_protocol_not_allowed=utf8_encode("O link utiliza um protocolo no autorizados. Estes so os protocolos permitidos");
$msg_early_dashboard_level3=utf8_encode('Voc est em um "Dashboard Inicial".  permitido criar tarefas sem ter a US relacionada alocada em um sprint. Para retornar ao roadmap, use o boto abaixo.');
$msg_early_dashboard_level2=utf8_encode('Voc est em um "Dashboard Inicial".  permitido criar tarefas sem ter a US relacionada alocada em um release. Para retornar ao roadmap, use o boto abaixo.');
$msg_errors_uploading_files=utf8_encode('Estes arquivos no podem ser enviados como anexos (seu formato est incorreto)'); 
$msg_fill_in_a_comment=utf8_encode("Por favor, preencha com um comentrio"); 
$msg_scatter_us=utf8_encode("Este grfico de dispersin de US permite mostrar todas las US en el backlog de un grfico de Business Value / complejidad. Tenga en cuenta que las posiciones de US han sido decaladas artificialmente para evitar la superposicin");
$msg_fill_in_a_relationship=utf8_encode("Por favor , seleccione un User Story a unir ");
$msg_fill_in_an_user=utf8_encode("Por favor , seleccione un usuario (nombre o login) ");
$msg_fill_in_a_name=utf8_encode("Por favor introduzca un nombre de proyecto");
$msg_confirm_delete_project=utf8_encode("Seguro que quiere borrar este proyecto?");
$msg_profiles_displayed=utf8_encode("Estos son los profiles y su visibilidad en el proyecto ");
$msg_upload_csv=utf8_encode("El fichero CSV debe tener la coma como separador y las siguientes columnas en este orden :  <li>US text</li><li>Business value</li><li>Complexity</li><li>External link</li>");
$msg_upload_csv_done=utf8_encode("La importacion de US ha terminado ");
$msg_import_us_not_allowed=utf8_encode("Usted no esta autorizado a importar US en este proyecto ");

// Texts
$text_product_owner=utf8_encode('Product Owner');
$text_release=utf8_encode('Release');
$text_sprint=utf8_encode('Sprint');
$text_sprint_backlog=utf8_encode('Sprint backlog');
$text_project=utf8_encode('Projeto');
$text_end_date=utf8_encode('Data de fim');
$text_due_date=utf8_encode("Data de publicao");
$text_scrum_master=utf8_encode('Scrum master');
$text_user_story=utf8_encode('User Story');
$text_business_value=utf8_encode('Business value');
$text_color=utf8_encode('Cor');
$text_task=utf8_encode('Tarefa');
$text_us=utf8_encode('US');
$text_task_load=utf8_encode('Carga inicial');
$text_created_on_m=utf8_encode('Criado em ');
$text_created_on_f=utf8_encode('Criado em ');
$text_last_updated_on_m=utf8_encode('Atualizado em ');
$text_last_updated_on_f=utf8_encode('Atualizado em ');
$text_by=utf8_encode('por');
$text_load_spent=utf8_encode('Consumido');
$text_load2finish=utf8_encode('A fazer');
$text_complexity=utf8_encode('Complexidade');
$text_my_level_on_project=utf8_encode('Meu nvel de acesso no projeto');
$text_my_projects=utf8_encode('Meus projetos');
$text_scope=utf8_encode('Escopo');
$text_connection=utf8_encode('Conexo');
$text_database_type=utf8_encode('Tipo de Banco de Dados');
$text_host=utf8_encode('Servidor');
$text_port=utf8_encode('Porta');
$text_dbname=utf8_encode('Base de dados');
$text_project_table=utf8_encode('Tabela de projetos');
$text_release_table=utf8_encode('Tabela de releases');
$text_project_id_field=utf8_encode("Campo para identificao de projeto");
$text_project_name_field=utf8_encode("Campo para nome de projeto");
$text_release_id_field=utf8_encode("Campo para identificao de release");
$text_release_name_field=utf8_encode("Campo para nome de release");
$text_link_to_project_in_release_table=utf8_encode("Opo 1: a ligao com o projeto est na tabela de releases");
$text_release_to_project_field=utf8_encode("Campo para ligao entre a release e o projeto");
$text_link_to_project_in_other_table=utf8_encode("Opo 2: a ligao entre o projeto e suas releases est em outra tabela");
$text_projet_release_table=utf8_encode('Ligaes entre projeto e tabela de releases');
$text_foreign_key_project_field=utf8_encode('Campo de ligao com projeto');
$text_foreign_key_release_field=utf8_encode('Campo de ligao com release');
$text_connection_test=utf8_encode('Teste de conexo');
$text_requests_tests=utf8_encode('Teste de consultas');
$text_db_connect_ok=utf8_encode('Conexo OK');
$text_db_connect_ko=utf8_encode('Conexo KO');
$text_database_access_ko=utf8_encode('Nome do banco de dados incorreto');
$text_request_ok_no_project=utf8_encode('A consulta de projetos est ok, mas a tabela est vazia.');
$text_requests_tests_ok=utf8_encode('Testes de consultas OK');
$text_request_project_ko=utf8_encode('Testes de consultas de projetos KO');
$text_request_release_ko=utf8_encode('Testes de consultas de releases KO');
$text_project_filter_clause=utf8_encode('Filtro de projetos (SQL)');
$text_release_filter_clause=utf8_encode('Filtro de releases (SQL)');
$text_background_value=utf8_encode('Cdigo de cor de fundo (hexadecimal)');
$text_border_value=utf8_encode('Cdigo de cor de borda (hexadecimal)');
$text_meaning=utf8_encode('Significado no projeto');
$text_us_colors_select=utf8_encode('Seleo de cores para User Stories');
$text_tasks_colors_select=utf8_encode('Seleo de cores para tarefas');
$text_default=utf8_encode('Cor padro');
$text_values_for_bv=utf8_encode('Valores para Business Value');
$text_values_for_complexity=utf8_encode('Valores para Complexidade');
$text_link=utf8_encode('Ligao');
$text_assigned_to_f=utf8_encode('Designado para');
$text_us_in_product_backlog=utf8_encode('US aguardando no Product Backlog');
$text_us_total=utf8_encode('Todas as US do projeto');
$text_business_value_total=utf8_encode('Soma de Business Values');
$text_complexity_total=utf8_encode('Soma de Complexidades');
$text_US=utf8_encode('US');
$text_tasks=utf8_encode('Tarefas');
$text_BV=utf8_encode('BV');
$text_Cpx=utf8_encode('Cpx');
$text_colors_us=utf8_encode('Cores para US');
$text_colors_tasks=utf8_encode('Cores para tarefas');
$text_default_color=utf8_encode('Cor padro');
$text_is_greater_than=utf8_encode('deve ser maior que');
$text_is_lesser_than=utf8_encode('deve ser menor que');
$text_real_versus_load2finish=utf8_encode('Progresso Real x A Fazer Para Terminar');
$text_real_versus_initial=utf8_encode('Progresso Real x Previso Inicial');
$text_bv_planned_delivery=utf8_encode('Business value previsto para a entrega');
$text_bv_total=utf8_encode('Total do Business value');
$text_bv_delivered=utf8_encode('Business value entregue');
$text_us_filter=utf8_encode('Filtro US');
$text_task_filter=utf8_encode('Filtro de tarefas');
$text_issue_filter=utf8_encode('Filtro de questes');
$text_deck_is_empty=utf8_encode('Deck vazio');
$text_project_name=utf8_encode('Nome do projeto');
$text_trash_is_empty=utf8_encode('Lixeira est vazia');
$text_column=utf8_encode('Coluna');
$text_available_columns=utf8_encode('Colunas disponveis');
$text_selected_columns=utf8_encode('Colunas selecionadas');
$text_us_template_text=utf8_encode('Como ..., Eu quero ..., A fim de ...');
$text_impact=utf8_encode('Impacto');
$text_impact_2eval=utf8_encode('A avaliar');
$text_impact_low=utf8_encode('Baixo impacto');
$text_impact_medium=utf8_encode('Mdio impacto');
$text_impact_high=utf8_encode('Alto impacto');
$text_impact_meaning_2eval=utf8_encode("Coloque aqui as questes que no foram avaliadas");
$text_impact_meaning_low=utf8_encode("Questes que no bloqueiam o progresso do projeto, mas que pem em risco os objetivos do projeto");
$text_impact_meaning_medium=utf8_encode("Questes que no bloqueiam o progresso do projeto, mas que pem em risco os compromissos do projeto");
$text_impact_meaning_high=utf8_encode("Questes que bloqueiam o progresso do projeto");
$text_risk=utf8_encode('Risco');
$text_problem=utf8_encode('Problema');
$text_action=utf8_encode('Ao');
$text_issues=utf8_encode('Questes');
$text_probability=utf8_encode('Probabilidade');
$text_risk_will_become_problem=utf8_encode("Uma probabilidade de 100% transforma um risco em um problema. Confirme para transformar o risco em problema, ou cancele para modificar a probabilidade.");
$text_probability_is_percentage=utf8_encode("Uma probabilidade de risco  uma porcentagem entre 1% e 99%.");
$text_linked_user_story=utf8_encode('User story vinculada');
$text_issues_template=utf8_encode('Template de questes');
$text_us_is_linked_with=utf8_encode('Esta user story est vinculada a');
$text_content=utf8_encode('Contedo');
$text_risk_is_linked_with=utf8_encode("Este risco est vinculado a");
$text_problem_is_linked_with=utf8_encode("Este problema est vinculado a");
$text_values_for_working_days=utf8_encode('Dias trabalhados');
$text_issues_history_title=utf8_encode("Lista de histrico de questes, com seus problemas e riscos resolvidos. Uma questo pode ser enviada de volta para avaliao e avaliao clicando em sua situao (Permisso requerida).");
$text_non_working_specific_days=utf8_encode('Lista de dias no teis (feriados, frias, etc...)');
$text_history_is_empty=utf8_encode("Histrico est vazio");
$text_external_project=utf8_encode("Este projeto est vinculado a um objeto externo.<br />Algumas aes so especficas para esta situao do projeto.");
$text_release_due_date_field=utf8_encode("Campo data de vencimento");
$text_release_due_date_request=utf8_encode("Data de vencimento do pedido");
$text_click_here=utf8_encode('Clique aqui');
$text_task_load_short=utf8_encode('Carga');
$text_activity=utf8_encode('Atividade');
$text_activity_status_todo=utf8_encode('A fazer');
$text_activity_status_inprogress=utf8_encode('Em progresso');
$text_activity_status_done=utf8_encode('Terminado');
$text_lock_by_template=utf8_encode('Esta atividade vem do modelo de checklist');
$text_use_checklist=utf8_encode('Utilizar o checklist?');
$text_action_todo=utf8_encode('A fazer');
$text_action_in_progress=utf8_encode('Em progresso');
$text_action_done=utf8_encode('Terminado');
$text_allow_sprint_overlapping=utf8_encode('Os sprints podem se sobrepor');
$text_assigned_to_nobody_click=utf8_encode("Este item no est designado a ningum. Para design-lo para voc, clique.");
$text_assigned_to_nobody=utf8_encode("Este item no est designado a ningum.");
$text_my_bookmarks=utf8_encode('Meus projetos favoritos');
$text_others_projects=utf8_encode('Outros projetos');
$text_project_levels=utf8_encode('Nveis');
$text_3levels=utf8_encode('3 nveis SCRUM  : Projeto/Release/Sprint');
$text_2levels=utf8_encode('2 nveis : Projeto/Release');
$text_1level=utf8_encode('1 nvel : Projeto');
$text_template=utf8_encode('Modelo');
$text_sprint_content=utf8_encode('Contedo da sprint');
$text_release_content=utf8_encode('Contedo da release');
$text_project_is_private=utf8_encode('Definir este projeto como privado');
$text_this_project_is_private=utf8_encode('Este projeto  privado');
$text_this_project_is_public=utf8_encode('Este projeto  pblico');
$text_feature=utf8_encode('Funcionalidade');
$text_no_feature=utf8_encode('Sem funcionalidade');
$text_feature_short_label=utf8_encode('Cdigo de funcionalidade');
$text_count=utf8_encode('Total');
$text_us_with_no_feature=utf8_encode('User Stories sem funcionalidade');
$text_status_initial=utf8_encode('Status inicial');
$text_status_in_progress=utf8_encode('Carga em progresso');
$text_initial_load=utf8_encode('Carga inicial');
$text_percentage_done=utf8_encode('Porcentagem realizada');
$text_us_colors_select_for_export=utf8_encode("Selecione os tipos de US para incluir na exportao");
$text_us_status_select_for_export=utf8_encode("Selecione os estados de US para incluir na exportao");
$text_tasks_colors_select_for_export=utf8_encode("Selecione os tipos de tarefas para incluir na exportao");
$text_cp_planned_delivery=utf8_encode('Previso de entrega da complexidade');
$text_cp_total=utf8_encode('Complexidade total');
$text_cp_delivered=utf8_encode('Complexidade publicada');
$text_use_for_project=utf8_encode('Utilizar no projeto?');
$text_project_admin=utf8_encode('Administrar projeto'); 
$text_shortcut_to_cockpit=utf8_encode('Atalho de conexo direta ao cockpit');
$text_shortcut_to_kanban=utf8_encode('Atalho de conexo direta ao kanban');
$text_tasks_status_select_for_export=utf8_encode("Selecione os estados de tarefa para incluir na exportao");
$text_us_count_delivered=utf8_encode('US entregues');
$text_us_count_ready2check=utf8_encode('US a validar');
$text_us_count_planned=utf8_encode('US planejadas contadas');
$text_us_count_all=utf8_encode('Todas as US');
$text_us_count_todo=utf8_encode('US a fazer');
$text_us_count_run=utf8_encode('US em progresso');
$text_project_use_tags=utf8_encode('O projeto usa as tags');
$text_is_color_mandatory=utf8_encode('Cor obrigatria?');
$text_color_use=utf8_encode('Definio da cor');
$text_allow_attachements=utf8_encode('Permitir anexos em Post-It');        
$text_source_user_story=utf8_encode('Origem US');        
$text_tasks_list=utf8_encode('Lista de tarefas');        
$text_copy=utf8_encode('Copiar');        
$text_move=utf8_encode('Mover');        
$text_search_scope=utf8_encode('Escopo para procurar US');   
$text_us_status_filter=utf8_encode('Ocultar US feitas');        
$text_feature_filter=utf8_encode('Filtro de funo');
$text_stakeholder_filter=utf8_encode('Filtrar o gerenciador de tarefas');
$text_subjects_list=utf8_encode('Lista de assuntos');
$text_postit_type=utf8_encode('Tipo de Post-It');
$text_field=utf8_encode('Campo');
$text_old_value=utf8_encode('Valor anterior');
$text_new_value=utf8_encode('Novo valor');
$text_author=utf8_encode('Modificado por');
$text_text=utf8_encode('Texto');
$text_use_hierarchy=utf8_encode('Dividir as US por Release/Sprint (dependendo do escopo de exportao, s Word estar disponvel)');
$text_tag_added=utf8_encode('Tag adicionada');
$text_tag_removed=utf8_encode('Tag removida');
$text_attachment_added=utf8_encode('Arquivo adicionado');
$text_attachment_removed=utf8_encode('Arquivo removido');
$text_search_us=utf8_encode('Buscar textos de US');
$text_search_task=utf8_encode('Buscar textos de tarefa');
$text_tag_group=utf8_encode('Grupo de Tags');
$text_said=utf8_encode('dito');
$text_trash_in=utf8_encode('Extrada da lixeira');
$text_trash_out=utf8_encode('Sada da lixeira');
$text_linked_postit=utf8_encode('Post-It alocados (Nenhum significa todos)');
$text_update_your_preferences=utf8_encode('Preferncias do usurio');
$text_filter_on_for_us_done=utf8_encode('Ativa filtro de US encerradas');
$text_deleted_object=utf8_encode('Excluir objeto');
$text_tag_filter_plus=utf8_encode('Filtrar Tag +');
$text_tag_filter_minus=utf8_encode('Filtrar Tag -');
$text_history=utf8_encode('Histrico');
$text_us_in_backlog=utf8_encode("US en backlog");
$text_us_in_release=utf8_encode("US en una release futura");
$text_us_done=utf8_encode("Us hecha");
$text_attachments=utf8_encode("Ficheros adjuntos ");
$text_deck=utf8_encode("Cubierta");
$text_no_relationships=utf8_encode("No hay relacin");
$text_add_relationship=utf8_encode("Relacin aadida");
$text_remove_relationship=utf8_encode("Relacin eliminada");
$text_search_project_by_name=utf8_encode("Bsqueda de proyecto por nombre ");
$text_recent_comments=utf8_encode("ltimos comentarios ");
$text_no_project=utf8_encode("No hay proyecto ");
$text_at_least_one_char=utf8_encode("Para comenzar la bsqueda , teclee al menos una letra");
$text_display_project_infos=utf8_encode("Visualizar la ficha de proyecto ");
$text_written_by=utf8_encode("Escrito por ");
$text_goto_kanban=utf8_encode("Enlace a kanban");
$text_choose_tag=utf8_encode("Seleccione los tags");

// Buttons
$button_add_task=utf8_encode('Adicionar uma tarefa');
$button_add_user_story=utf8_encode('Adicionar uma US');
$button_cancel_delete=utf8_encode('Cancelar excluso');
$button_reorder=utf8_encode('Viso compacta');
$button_new_project=utf8_encode('Novo projeto');
$button_add_release=utf8_encode('Adicionar uma release');
$button_create_release=utf8_encode('Nova release');
$button_add_sprint=utf8_encode('Adicionar um sprint');
$button_reorder_flat=utf8_encode('Viso Expandida');
$button_change_project=utf8_encode('Trocar projeto');
$button_new_stakeholder=utf8_encode('Novo stakeholder');
$button_new_connection=utf8_encode('Nova conexo');
$button_new_ext_project=utf8_encode('Novo projeto externo');
$button_new_color=utf8_encode('Nova cor');
$button_hide_priority=utf8_encode('Ocultar prioridade');
$button_show_priority=utf8_encode('Mostrar prioridade');
$button_record_us_situation=utf8_encode('Salvar uma baseline');
$button_new_column=utf8_encode('Nova coluna');
$button_add_action=utf8_encode('Adicionar uma ao');
$button_add_risk=utf8_encode('Adicionar um risco');
$button_add_problem=utf8_encode('Adicionar um problema');
$button_reorder_priority=utf8_encode('Reordenar por prioridade');
$button_switch_to_std=utf8_encode('Mudar para modo padro');
$button_switch_to_workshop=utf8_encode('Mudar para modo workshop');
$button_add_activity=utf8_encode('Adicionar uma atividade');
$button_push_into_deck=utf8_encode('Colocar no deck as US que no possuem tarefas');
$button_empty_deck=utf8_encode('Remover todas as US do deck');
$button_show_graph_numbers=utf8_encode('Mostrar valores no grfico');
$button_hide_graph_numbers=utf8_encode('Ocultar valores no grfico');
$button_add_feature=utf8_encode('Adicionar uma funcionalidade');
$button_export=utf8_encode('Exportar');
$button_new_tag=utf8_encode('Nova tag');
$button_add_color_use=utf8_encode('Adicionar uma cor');
$button_sort_by_number=utf8_encode('Ordenar por nmero');
$button_tasks_actions=utf8_encode('Copiar ou mover');
$button_fill_in_deck=utf8_encode('Preencher no deck');
$button_back_to_roadmap=utf8_encode('Voltar ao roadmap');
$button_new_tag_group=utf8_encode('Novo grupo de Tags');
$button_export_word=utf8_encode('Exportar como Word');
$button_export_odt=utf8_encode('Exportar como ODT');
$button_export_csv=utf8_encode('Exportar como CSV');
$button_choose_attachments=utf8_encode('Escolher anexos');
$button_put_to_trash=utf8_encode('Colocar na lixeira');
$button_sorting=utf8_encode('Ordenar');
$button_sort_by_number_desc=utf8_encode('Ordenar por nmero decrescente');
$button_cancel_zoom=utf8_encode("Cancelar zoom");
$button_open_deck=utf8_encode("Abrir la cubierta ");
$button_sort_by_complexity=utf8_encode("Complejidad creciente ");
$button_sort_by_business_value=utf8_encode("Bussines value creciente ");
$button_sort_by_complexity_desc=utf8_encode("Complejidad decreciente");
$button_sort_by_business_value_desc=utf8_encode("Bussines value decreciente ");
$button_search_project=utf8_encode("Buscar un proyecto ");
$button_choose_file=utf8_encode("Seleccione un fichero CSV");

// Actions
$action_manage_colors=utf8_encode('Gerenciar cores');
$action_set_as_visible=utf8_encode('Mostrar no kanban');
$action_set_as_hidden=utf8_encode('Ocultar no kanban');
$action_up=utf8_encode('Mover para cima');
$action_down=utf8_encode('Mover para baixo');
$action_refresh_release=utf8_encode('Atualizar a release');
$action_goto_current_release=utf8_encode('Ir para a release em execuo');
$action_goto_current_sprint=utf8_encode('Ir para a sprint em execuo');
$action_bookmark_project=utf8_encode('Adicionar o projeto aos favoritos');
$action_unbookmark_project=utf8_encode('Remover o projeto dos favoritos');
$action_change_admin=utf8_encode("Trocar o administrador do projeto");
$action_reset_pass=utf8_encode('Reinicializar a senha');
$action_delete_project=utf8_encode("Eliminar proyecto ");

// US status
$usStatusTable['TODO']=utf8_encode('Sem tarefas');
$usStatusTable['RUN']=utf8_encode('Tarefas em progresso');
$usStatusTable['DEV']=utf8_encode('Todas tarefas terminadas');
$usStatusTable['DONE']=utf8_encode('US terminada');

// Tables
$tagTypeDisplay['ALL_MAND']=utf8_encode('Tag global obrigatria');
$tagTypeDisplay['ALL_FREE']=utf8_encode('Tag global opcional');
$tagTypeDisplay['USR_FREE']=utf8_encode('Tag local do projeto');

// Legends
$legend_move_or_copy_tasks=utf8_encode("Copiar ou mover tarefa de uma US para outra US");

// Labels
$lbl_sort_by_name=utf8_encode('Ordenar por sobrenome');
$lbl_sort_by_firstname=utf8_encode('Ordenar por nome');
?>