<?php
/**
 * messages and texts used by all scripts in spanish 
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Hernando Montoya <nanohack@gmail.com>
 * @license  GPL v3, MIT
 * */  

$appName='KADOS';
$appSubTitle='KAnban Dashboard for Online Scrum';

// Messages
$msg_no_project_selected=utf8_encode('Ningn proyecto ha sido seleccionado. Vuelva a la lista de proyectos para seleccionar uno.');
$msg_us_business_values=utf8_encode('Actualice la lista de valores por los atributos de los US.');
$msg_us_business_values_display=utf8_encode('Lista de valores por los atributos de los US.');
$msg_stakeholders_display=utf8_encode('Lista de los actores de este proyecto.');
$msg_stakeholders_display_list=utf8_encode("Escoja un usuario en la siguiente lista. Solo los usuarios activos aparecen en la lista.");
$msg_stakeholders_display_autocomplete=utf8_encode("Entre algunas letras del nombre que usted busca y una lista aparecera. Solo los usuarios activos aparecen en la lista. Seleccione un nombre y valide su eleccion.");
$msg_us_colors_display=utf8_encode('Colores para los diferentes objetos del proyecto.');
$msg_releases_sprints_display=utf8_encode('Lista de releases y de sprints del proyecto.');
$msg_confirm_delete_us=utf8_encode('Esta seguro que desea borrar este user story? (La supresin es definitiva y la tareas asociadas seran tambien eliminadas)');
$msg_confirm_send_object_to_trash=utf8_encode('Esta seguro de enviar este objeto a la papelera de reciclaje? (El objeto podra recuperarse a partir de la papelera)');
$msg_confirm_activate_us=utf8_encode('Esta seguro de restaurar este user story?');
$msg_confirm_delete_task=utf8_encode('Esta seguro de eliminar esta tarea? (Esta supresin es definitiva)');
$msg_confirm_activate_task=utf8_encode('Esta seguro de restaurar esta tarea?');
$msg_confirm_activate_issue=utf8_encode('Esta seguro de restaurar este obstaculo?');
$msg_confirm_delete_issue=utf8_encode('Esta seguro de eliminar este obstaculo? (Esta supresin es definitiva y las acciones asociadas seran tambien eliminadas)');
$msg_confirm_delete_action=utf8_encode('Esta seguro de eliminar esta accin? (Esta supresin es definitiva)');
$msg_confirm_activate_action=utf8_encode('Esta seguro de restaurar esta accin?');
$msg_columns_select=utf8_encode('Seleccione las columnas para su kanban de tareas. Mueva las columnas de izquierda a derecha, luego ordenelas y eventualemente asocie un significado a cada columna.');
$msg_us_has_been_deleted=utf8_encode('Este user story ha sido borrado.');
$msg_us_is_in_trash=utf8_encode('Este user story esta en la papelera de reciclaje.');
$msg_sprint_dates_mixed_other_sprints=utf8_encode('Este sprint esta superpuesto a otro sprint. Por favor modifique las fechas de inicio y de fin.');
$msg_due_date_must_be_greater_than_sprint_end_date=utf8_encode('La fecha de la publicacin de la release debe ser superior a la fecha de fin del ultimo sprint.');
$msg_start_date_is_no_working_day=utf8_encode('La fecha de inicio es un dia no trabajado');
$msg_end_date_is_no_working_day=utf8_encode('La fecha de fin es un dia no trabajado');
$msg_steps_to_add_sprints_design_columns_and_settings_access=utf8_encode('Para aadir sprints, aada columnas al kanban de tareas del proyecto.');
$msg_steps_to_add_sprints_design_columns_and_settings_no_access=utf8_encode("Para aadir sprints, pida a su Scrum Master de aadir columnas al kanban de tareas del proyecto.");
$msg_steps_add_stakeholders_to_project_access=utf8_encode('Aada colaboradores al proyecto.');
$msg_steps_add_stakeholders_to_project_no_access=utf8_encode("Pida al Scrum Master de aadir colaboradores al proyecto.");
$msg_steps_add_release_access=utf8_encode('Aada al menos una release al proyecto.');
$msg_steps_add_release_no_access=utf8_encode("Pida al Scrum Master de aadir una release al proyecto.");
$msg_workshop_mode_is_on=utf8_encode("el modo WORKSHOP esta activo. Para volver al modo standar, click en el boton adecuado en la linea de botones siguiente.");
$msg_us_roadmap_explainations=utf8_encode("Aqui la sntesis de los estados de los US sprint por sprint. Esta sntesis es actualizada a cada click del siguiente boton. Cada estado es el mas reciente guardado en el sprint. Un registro al menos es aconsejado al principio y al final del sprint.");
$msg_small_reports=utf8_encode('Reportes de situacin.');
$msg_no_release_selected=utf8_encode("Imposible de mostrar una checklist: ninguna release ha sido seleccionada o ninguna release existe en este proyecto.");
$msg_steps_to_add_tasks_design_columns_and_settings_access=utf8_encode('Para crear tareas, aada columnas al kanban de tareas de su proyecto.');
$msg_steps_to_add_tasks_design_columns_and_settings_no_access=utf8_encode("Para crear tareas, pida a su jefe de proyecto de aadir columnas al kanban de tareas de su proyecto.");
$msg_rss_is_not_available=utf8_encode("Los datos RSS no estasn disponibles. Contacte el administrador para tener mas informacin.");
$msg_us_has_been_moved=utf8_encode("Este US ya no pertenece a la release.");
$msg_us_is_in_backlog=utf8_encode("Este US esta en el Backlog de la release.");
$msg_features_management=utf8_encode("Sntesis de funcionalidades. Aadir o modificar funcionalidades.");
$msg_use_this_url_as_shortcut_for_project=utf8_encode("Utilice esta URL para acceder directamente al Kanban de este proyecto despues de estar conectado");
$msg_use_this_url_as_shortcut_for_release=utf8_encode("Utilice esta URL para acceder directamente al Kanban de esta release despues de estar conectado");
$msg_use_this_url_as_shortcut_for_sprint=utf8_encode("Utilice esta URL para acceder directamente al Kanban de este sprint despues de estar conectado");
$msg_use_this_url_as_shortcut_for_cockpit=utf8_encode("Utilice esta URL para acceder directamente al Kanban de este cockpit despues de estar conectado");
$msg_format_not_allowed=utf8_encode("Al menos uno de los archivos tiene un tipo no permitido. Estos son los tipos permitidos");
$msg_size_too_big=utf8_encode("El tamao del archivo supera el lmite (MB)");        
$msg_directory_not_created=utf8_encode("El directorio no pudo ser creada. Pngase en contacto con su administrador. Directorio");        
$msg_file_has_been_deleted=utf8_encode("El siguiente archivo se ha suprimido");        
$msg_profiles_switch=utf8_encode('Seleccione los perfiles disponibles para los contribuyentes de su proyecto. Siempre tiene al menos un perfil habilitado en un proyecto.');
$msg_project_has_no_sprint=utf8_encode('No es posible mostrar un roadmap, el proyecto ne tiene sprint');
$msg_miniboard_display=utf8_encode('Creen y organizen los US de su Kanban en este mini-board.');
$msg_rss_key_is_incorrect=utf8_encode('El token RSS fornecido no es el correcto.');
$msg_parameter_is_incorrect=utf8_encode('El valor del parmetro pasado no coincide con ningn objeto.');
$msg_no_reports_for_release=utf8_encode('No hay ningn report de proyecto. Elija una release o un sprint.');
$msg_protocol_not_allowed=utf8_encode("El enlace est utilizando un protocolo no autorizado. Protocolos Aqu estn permitidos");
$msg_early_dashboard_level3=utf8_encode('Usted esta en un "Early Dashboard". Permite crear tareas sin la necesidad de afectarlo a un Sprint. Para volver al roadmap ,  pulse el botn retorno que hay debajo.');
$msg_early_dashboard_level2=utf8_encode('Usted esta en un "Early Dashboard". Permite crear tareas sin la necesidad de afectarlo a una Release. Para volver al roadmap, pulse el botn retorno que hay debajo.');
$msg_errors_uploading_files=utf8_encode('Estos ficheros no se pueden cargar como documento adjunto (el formato es incorrecto)');
$msg_fill_in_a_comment=utf8_encode('Por favor inserte un comentario');
$msg_scatter_us=utf8_encode("Este grfico de dispersin de US permite mostrar todas las US en el backlog de un grfico de Business Value / complejidad. Tenga en cuenta que las posiciones de US han sido decaladas artificialmente para evitar la superposicin");
$msg_fill_in_a_relationship=utf8_encode("Por favor , seleccione un User Story a unir ");
$msg_fill_in_an_user=utf8_encode("Por favor , seleccione un usuario (nombre o login) ");
$msg_fill_in_a_name=utf8_encode("Por favor introduzca un nombre de proyecto");
$msg_confirm_delete_project=utf8_encode("Seguro que quiere borrar este proyecto?");
$msg_profiles_displayed=utf8_encode("Estos son los profiles y su visibilidad en el proyecto ");
$msg_upload_csv=utf8_encode("El fichero CSV debe tener la coma como separador y las siguientes columnas en este orden :  <li>US text</li><li>Business value</li><li>Complexity</li><li>External link</li>");
$msg_upload_csv_done=utf8_encode("La importacion de US ha terminado ");
$msg_import_us_not_allowed=utf8_encode("Usted no esta autorizado a importar US en este proyecto ");

// Texts
$text_product_owner=utf8_encode('Product Owner');
$text_release=utf8_encode('Release');
$text_sprint=utf8_encode('Sprint');
$text_sprint_backlog=utf8_encode('Sprint backlog');
$text_project=utf8_encode('Proyecto');
$text_end_date=utf8_encode('Fecha de fin');
$text_due_date=utf8_encode("Fecha de Publicacin");
$text_scrum_master=utf8_encode('Scrum master');
$text_user_story=utf8_encode('User Story');
$text_business_value=utf8_encode('Business value');
$text_color=utf8_encode('Color');
$text_task=utf8_encode('Tarea');
$text_us=utf8_encode('US');
$text_task_load=utf8_encode('Carga inicial');
$text_created_on_m=utf8_encode('Creado el ');
$text_created_on_f=utf8_encode('Creado el ');
$text_last_updated_on_m=utf8_encode('Actualizado el ');
$text_last_updated_on_f=utf8_encode('Actualizado el ');
$text_by=utf8_encode('por');
$text_load_spent=utf8_encode('Consumido');
$text_load2finish=utf8_encode('Restante a hacer');
$text_complexity=utf8_encode('Complejidad');
$text_my_level_on_project=utf8_encode('Mi acceso en este proyecto');
$text_my_projects=utf8_encode('Mis proyectos');
$text_scope=utf8_encode('Perimetro');
$text_connection=utf8_encode('Conexin');
$text_database_type=utf8_encode('Tipo de base de datos');
$text_host=utf8_encode('Anfitrin');
$text_port=utf8_encode('Puerto');
$text_dbname=utf8_encode('Base de datos');
$text_project_table=utf8_encode('Tabla de proyectos');
$text_release_table=utf8_encode('Tabla de releases');
$text_project_id_field=utf8_encode("Champ pour l'identifiant d'un projet");
$text_project_name_field=utf8_encode("Champ pour le nom d'un projet");
$text_release_id_field=utf8_encode("Champ pour l'identifiant d'une release");
$text_release_name_field=utf8_encode("Champ pour le nom d'une release");
$text_link_to_project_in_release_table=utf8_encode("Alternative lien projet-release option 1 : le lien avec le projet est dans la table des releases");
$text_release_to_project_field=utf8_encode("Champ pour le lien entre release et projet");
$text_link_to_project_in_other_table=utf8_encode("Alternative lien projet-release option 2 : le lien entre le projet et ses releases est dans une autre table");
$text_projet_release_table=utf8_encode('Table des liens entre releases et projets');
$text_foreign_key_project_field=utf8_encode('Champ lien projet');
$text_foreign_key_release_field=utf8_encode('Champ lien release');
$text_connection_test=utf8_encode('Conexin de prueba');
$text_requests_tests=utf8_encode('Consultas de prueba');
$text_db_connect_ok=utf8_encode('Conexin OK');
$text_db_connect_ko=utf8_encode('Conexin KO');
$text_database_access_ko=utf8_encode('Nombre de la base incorrecto');
$text_request_ok_no_project=utf8_encode('La consulta en los proyectos funciona, pero la tabla esta vacia.');
$text_requests_tests_ok=utf8_encode('Consultas de prueba OK');
$text_request_project_ko=utf8_encode('Consultas de prueba a proyectos KO');
$text_request_release_ko=utf8_encode('Consultas de prueba a releases KO');
$text_project_filter_clause=utf8_encode('Filtro en proyectos (SQL)');
$text_release_filter_clause=utf8_encode('Filtro en releases (SQL)');
$text_background_value=utf8_encode('Codigo del color para el fondo (hexadecimal)');
$text_border_value=utf8_encode('Codigo del color para el borde (hexadecimal)');
$text_meaning=utf8_encode('Significacin');
$text_us_colors_select=utf8_encode('Seleccin de colores para los User Stories');
$text_tasks_colors_select=utf8_encode('Seleccin de colores para las tareas');
$text_default=utf8_encode('Color por defecto');
$text_values_for_bv=utf8_encode('Valores para el Business Value');
$text_values_for_complexity=utf8_encode('Valores para la complejidad');
$text_link=utf8_encode('Vinculo');
$text_assigned_to_f=utf8_encode('Asignado a');
$text_us_in_product_backlog=utf8_encode('US en espera en el backlog');
$text_us_total=utf8_encode('Todos los US del proyecto');
$text_business_value_total=utf8_encode('Total de Business Values');
$text_complexity_total=utf8_encode('Total de complejidades');
$text_US=utf8_encode('US');
$text_tasks=utf8_encode('Tareas');
$text_BV=utf8_encode('BV');
$text_Cpx=utf8_encode('Cpx');
$text_colors_us=utf8_encode('Colores para los US');
$text_colors_tasks=utf8_encode('Colores para las tareas');
$text_default_color=utf8_encode('Color por defecto');
$text_is_greater_than=utf8_encode('debe ser superior a');
$text_is_lesser_than=utf8_encode('debe ser inferior a');
$text_real_versus_load2finish=utf8_encode('Avance real respecto al restante a hacer');
$text_real_versus_initial=utf8_encode('Avance real respecto a la carga inicial');
$text_bv_planned_delivery=utf8_encode('Previsin de publicacin del Business value');
$text_bv_total=utf8_encode('Business value total');
$text_bv_delivered=utf8_encode('Business value publicado');
$text_us_filter=utf8_encode('Filtro US');
$text_task_filter=utf8_encode('Filtro de tareas');
$text_issue_filter=utf8_encode('Filtro tipo');
$text_deck_is_empty=utf8_encode('La cubierta esta vacia');
$text_project_name=utf8_encode('Nombre del pryecto');
$text_trash_is_empty=utf8_encode('La papelera de reciclaje esta vacia');
$text_column=utf8_encode('Columna');
$text_available_columns=utf8_encode('Columnas disponibles');
$text_selected_columns=utf8_encode('Columnas seleccionadas');
$text_us_template_text=utf8_encode('En tant que ..., je veux pouvoir ... afin de ...');
$text_impact=utf8_encode('Impacto');
$text_impact_2eval=utf8_encode('A evaluar');
$text_impact_low=utf8_encode('Objetivo en deriva');
$text_impact_medium=utf8_encode('Compromiso en deriva');
$text_impact_high=utf8_encode('Bloqueo');
$text_impact_meaning_2eval=utf8_encode("Ponga aqui los obstaculos de los cuales no ha calculado el impacto");
$text_impact_meaning_low=utf8_encode("Obstaculos que no bloquean el avance del proyecto pero puede poner en peligro el objetivo del proyecto");
$text_impact_meaning_medium=utf8_encode("Obstaculos que no bloquean el avance del proyecto pero puede poner en peligro los compromisos del proyecto");
$text_impact_meaning_high=utf8_encode("Obstaculos que bloquean el avance del proyecto");
$text_risk=utf8_encode('Riesgo');
$text_problem=utf8_encode('Problema');
$text_action=utf8_encode('Accin');
$text_issues=utf8_encode('Obstaculos');
$text_probability=utf8_encode('Probabilidad');
$text_risk_will_become_problem=utf8_encode("Una probabilidad de 100% hace de un riesgo un problema. Confirme para hacer de este riesgo un problema o canceler para modificar la probabilidad.");
$text_probability_is_percentage=utf8_encode("Una probabilidad de riesgo es un porcentaje comprendido entre 1% y 99%.");
$text_linked_user_story=utf8_encode('User story vinculado');
$text_issues_template=utf8_encode('Modelo para el RADAR');
$text_us_is_linked_with=utf8_encode('Este user story esta vinculado al');
$text_content=utf8_encode('Ttulo');
$text_risk_is_linked_with=utf8_encode("Este riesgo esta vinculado a ");
$text_problem_is_linked_with=utf8_encode("Este problema esta vinculado a ");
$text_values_for_working_days=utf8_encode('Dias trabajados');
$text_non_working_specific_days=utf8_encode('Lista de los dias no trabajados (feriados, vacaciones, etc...)');
$text_issues_history_title=utf8_encode("El historial de RADAR contiene los problemas resueltos y riesgos planteados. Es posible re-enviar un item a la evaluacin y el seguimiento haciendo click en su estado (Permisos requeridos).");
$text_history_is_empty=utf8_encode("El historial esta vacio");
$text_external_project=utf8_encode("Este proyecto esta vinculado a un objeto externo.<br />Ciertas operaciones son especificas a la situacin del proyecto.");
$text_release_due_date_field=utf8_encode("Campo para la fecha de publicacin");
$text_release_due_date_request=utf8_encode("Consulta para la fecha de publicacin");
$text_click_here=utf8_encode('Click aqui');
$text_task_load_short=utf8_encode('Carga');
$text_activity=utf8_encode('Actividad');
$text_activity_status_todo=utf8_encode('A hacer');
$text_activity_status_inprogress=utf8_encode('En progreso');
$text_activity_status_done=utf8_encode('Terminada');
$text_lock_by_template=utf8_encode('Esta actividad viene del modelo de la checklist');
$text_use_checklist=utf8_encode('Utilizar la checklist ?');
$text_action_todo=utf8_encode('A hacer');
$text_action_in_progress=utf8_encode('En progreso');
$text_action_done=utf8_encode('Terminada');
$text_allow_sprint_overlapping=utf8_encode('Los sprints pueden superponerse');
$text_assigned_to_nobody_click=utf8_encode("Este item no tiene asignacin. Para asignarselo, click arriba.");
$text_assigned_to_nobody=utf8_encode("Este item no tiene asignacin.");
$text_my_bookmarks=utf8_encode('Mis proyectos favoritos');
$text_others_projects=utf8_encode('Otros proyectos');
$text_project_levels=utf8_encode('Niveles');
$text_3levels=utf8_encode('3 niveles SCRUM  : Proyecto/Release/Sprint');
$text_2levels=utf8_encode('2 niveles : Proyecto/Release');
$text_1level=utf8_encode('1 nivel : Proyecto');
$text_template=utf8_encode('Modelo');
$text_sprint_content=utf8_encode('Contenido del sprint');
$text_release_content=utf8_encode('Contenido de la release');
$text_project_is_private=utf8_encode('Definir este proyecto como privado');
$text_this_project_is_private=utf8_encode('Este proyecto es privado');
$text_this_project_is_public=utf8_encode('Este proyecto es publico');
$text_feature=utf8_encode('Funcionalidad');
$text_no_feature=utf8_encode('No funcionalidad');
$text_feature_short_label=utf8_encode('Codigo de funcionalidad');
$text_count=utf8_encode('Nmero');
$text_us_with_no_feature=utf8_encode('User Stories sin funcionalidad');
$text_status_initial=utf8_encode('Carga a iniciar');
$text_status_in_progress=utf8_encode('Carga en progreso');
$text_initial_load=utf8_encode('Carga inicial');
$text_percentage_done=utf8_encode('Porcentaje realizado');
$text_us_colors_select_for_export=utf8_encode("Seleccione los tipos de los US a incluir en el export");
$text_us_status_select_for_export=utf8_encode("Seleccione los estados de los US a incluir en el export");
$text_tasks_colors_select_for_export=utf8_encode("Seleccione los tipos de tareas a incluir en el export");
$text_cp_planned_delivery=utf8_encode('Previsin de la publicacin de la complejidad');
$text_cp_total=utf8_encode('Complejidad total');
$text_cp_delivered=utf8_encode('Complejidad publicada');
$text_use_for_project=utf8_encode('Utilizar en el proyecto?');
$text_project_admin=utf8_encode('Administrar proyecto'); 
$text_shortcut_to_cockpit=utf8_encode('Raccourci de connexin directe vers le cockpit');
$text_shortcut_to_kanban=utf8_encode('Acceso directo de conexion directa al kanban');
$text_tasks_status_select_for_export=utf8_encode("Seleccione los estados de la tarea a incluir en el export");
$text_us_count_delivered=utf8_encode('US publicados');
$text_us_count_ready2check=utf8_encode('US a validar');
$text_us_count_planned=utf8_encode('ltima planificacin objetivo');
$text_us_count_all=utf8_encode('Todos los US');
$text_us_count_todo=utf8_encode('US a reinicializar');
$text_us_count_run=utf8_encode('US en progreso');
$text_project_use_tags=utf8_encode('El proyecto utiliza los tags');
$text_is_color_mandatory=utf8_encode('Color obligatorio?');
$text_color_use=utf8_encode('Asginacin de color');
$text_allow_attachements=utf8_encode('Permitir archivos adjuntos a los postit');        
$text_source_user_story=utf8_encode('Origen US');       
$text_tasks_list=utf8_encode('Lista de tareas');        
$text_copy=utf8_encode('Copiar');        
$text_move=utf8_encode('Mover');        
$text_search_scope=utf8_encode('mbito de bsqueda para US');   
$text_us_status_filter=utf8_encode('Ocultar US hecha');        
$text_feature_filter=utf8_encode('Filtro de funcin');
$text_stakeholder_filter=utf8_encode('Filtro de responsable de la tarea');
$text_subjects_list=utf8_encode('Lista de los temas');
$text_postit_type=utf8_encode('tipo de postit');
$text_field=utf8_encode('Campo');
$text_old_value=utf8_encode('Valor anterior');
$text_new_value=utf8_encode('Nuevo valor');
$text_author=utf8_encode('Modificado por');
$text_text=utf8_encode('Texto');
$text_use_hierarchy=utf8_encode('Asignar los US por Release/Sprint (de acuerdo al perimetro de export, export word unicamente)');
$text_search_us=utf8_encode('Bsqueda texto US');
$text_search_task=utf8_encode('Bsqueda texto tarea');
$text_tag_added=utf8_encode('Tag added');
$text_tag_removed=utf8_encode('Tag removed');
$text_attachment_added=utf8_encode('Attachment added');
$text_attachment_removed=utf8_encode('Attachment removed');
$text_tag_group=utf8_encode('Grupo de tags');
$text_said=utf8_encode('ha dicho');
$text_trash_in=utf8_encode('Llevar a la papelera');
$text_trash_out=utf8_encode('Recuperar de la papelera');
$text_linked_postit=utf8_encode('Post-it Asignado (Ninguno significa todos)');
$text_update_your_preferences=utf8_encode('Preferencias del usuario');
$text_filter_on_for_us_done=utf8_encode('Activar en la entrada el filtro de US hechas');
$text_deleted_object=utf8_encode('Objeto borrado');
$text_tag_filter_plus=utf8_encode('Filtro Tag +');
$text_tag_filter_minus=utf8_encode('Filtro Tag -');
$text_history=utf8_encode('Histrico');
$text_us_in_backlog=utf8_encode("US en backlog");
$text_us_in_release=utf8_encode("US en una release futura");
$text_us_done=utf8_encode("Us hecha");
$text_attachments=utf8_encode("Ficheros adjuntos ");
$text_deck=utf8_encode("Cubierta");
$text_no_relationships=utf8_encode("No hay relacin");
$text_add_relationship=utf8_encode("Relacin aadida");
$text_remove_relationship=utf8_encode("Relacin eliminada");
$text_search_project_by_name=utf8_encode("Bsqueda de proyecto por nombre ");
$text_recent_comments=utf8_encode("ltimos comentarios ");
$text_no_project=utf8_encode("No hay proyecto ");
$text_at_least_one_char=utf8_encode("Para comenzar la bsqueda , teclee al menos una letra");
$text_display_project_infos=utf8_encode("Visualizar la ficha de proyecto ");
$text_written_by=utf8_encode("Escrito por ");
$text_goto_kanban=utf8_encode("Enlace a kanban");
$text_choose_tag=utf8_encode("Seleccione los tags");

// Buttons
$button_add_task=utf8_encode('Aadir una tarea');
$button_add_user_story=utf8_encode('Aadir un User Story');
$button_cancel_delete=utf8_encode('Cancelar la supresin');
$button_reorder=utf8_encode('Vista compacta');
$button_new_project=utf8_encode('Crear un proyecto');
$button_add_release=utf8_encode('Aadir una release');
$button_create_release=utf8_encode('Crear una release');
$button_add_sprint=utf8_encode('Crear un sprint');
$button_reorder_flat=utf8_encode('Vista Ampliada');
$button_change_project=utf8_encode('Cambiar de ptoyecto');
$button_new_stakeholder=utf8_encode('Aadir un colaborador');
$button_new_connection=utf8_encode('Aadir una conexin');
$button_new_ext_project=utf8_encode('Aadir un proyecto externo');
$button_new_color=utf8_encode('Aadir un color');
$button_hide_priority=utf8_encode('Ocultar la prioridad');
$button_show_priority=utf8_encode('Mostrar la prioridad');
$button_record_us_situation=utf8_encode('Guardar la situacin de los US');
$button_new_column=utf8_encode('Aadir una columna');
$button_add_action=utf8_encode('Aadir una accin');
$button_add_risk=utf8_encode('Aadir un riesgo');
$button_add_problem=utf8_encode('Aadir un problema');
$button_switch_to_std=utf8_encode('Pasar en modo standard');
$button_switch_to_workshop=utf8_encode('Pasar en modo workshop');
$button_add_activity=utf8_encode('Aadir una actividad');
$button_push_into_deck=utf8_encode("Coloque los US en la deck, donde no tengo trabajo");
$button_empty_deck=utf8_encode('Vaca de deck');
$button_show_graph_numbers=utf8_encode('Mostrar los valores en el grafo');
$button_hide_graph_numbers=utf8_encode('Ocultar los valores en el grafo');
$button_add_feature=utf8_encode('Aadir una funcionalidad');
$button_export=utf8_encode('Exportar');
$button_new_tag=utf8_encode('Aadir un tag');
$button_add_color_use=utf8_encode('Aadir un color');
$button_reorder_priority=utf8_encode('Ordenar por prioridad');
$button_sort_by_number=utf8_encode('Ordenar por nmero');
$button_tasks_actions=utf8_encode('Copiar o mover');
$button_fill_in_deck=utf8_encode('Digitar el deck');
$button_back_to_roadmap=utf8_encode('Volver al roadmap');
$button_new_tag_group=utf8_encode('Aadir a un grupo de tags');
$button_export_word=utf8_encode('Exportar a Word');
$button_export_odt=utf8_encode('Exportar formato ODT');
$button_export_csv=utf8_encode('Exportar formato CSV');
$button_choose_attachments=utf8_encode('Aadir archivo adjunto');
$button_put_to_trash=utf8_encode('Llevar a la papelera');
$button_sorting=utf8_encode('Ordenar');
$button_sort_by_number_desc=utf8_encode('Ordenar por nmero descendente');
$button_cancel_zoom=utf8_encode("Cancelar zoom");
$button_open_deck=utf8_encode("Abrir la cubierta ");
$button_sort_by_complexity=utf8_encode("Complejidad creciente ");
$button_sort_by_business_value=utf8_encode("Bussines value creciente ");
$button_sort_by_complexity_desc=utf8_encode("Complejidad decreciente");
$button_sort_by_business_value_desc=utf8_encode("Bussines value decreciente ");
$button_search_project=utf8_encode("Buscar un proyecto ");
$button_choose_file=utf8_encode("Seleccione un fichero CSV");

// Actions
$action_manage_colors=utf8_encode('Definir los colores');
$action_set_as_visible=utf8_encode('Mostrar en el kanban');
$action_set_as_hidden=utf8_encode('Ocultar en el kanban');
$action_up=utf8_encode('Subir');
$action_down=utf8_encode('Bajar');
$action_refresh_release=utf8_encode('Actualizar la release');
$action_goto_current_release=utf8_encode('Acceso directo a la release en progreso');
$action_goto_current_sprint=utf8_encode('Acceso directo al sprint en progreso');
$action_bookmark_project=utf8_encode('Aadir el proyecto a los favoritos');
$action_unbookmark_project=utf8_encode('Quitar el proyecto de los favoritos');
$action_change_admin=utf8_encode("Cambiar el administrador del proyecto");
$action_reset_pass=utf8_encode('Reinicializar la contrasea');
$action_delete_project=utf8_encode("Eliminar proyecto ");

// US status
$usStatusTable['TODO']=utf8_encode('No hay tareas');
$usStatusTable['RUN']=utf8_encode('Tareas en progreso');
$usStatusTable['DEV']=utf8_encode('Tareas terminadas');
$usStatusTable['DONE']=utf8_encode('US terminado');

// Tables
$tagTypeDisplay['ALL_MAND']=utf8_encode('Tag global obligatorio');
$tagTypeDisplay['ALL_FREE']=utf8_encode('Tag global facultativo');
$tagTypeDisplay['USR_FREE']=utf8_encode('Tag local proyecto');

// Legends
$legend_move_or_copy_tasks=utf8_encode("Copiar o mover tareas de una US a US");

// Labels
$lbl_sort_by_name=utf8_encode('Ordenar por apellido');
$lbl_sort_by_firstname=utf8_encode('Ordenar por nombre');
?>