<?php
/**
 * messages and texts used by all scripts in spanish 
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Hernando Montoya <nanohack@gmail.com>
 * @license  GPL v3, MIT
 * */     
   
// Global Messages   
$msg_confirm_delete_object=utf8_encode('Esta seguro que desea borrar este objeto?');
$msg_object_deleted=utf8_encode("El objeto ha sido borrado");
$msg_object_detached=utf8_encode("El objeto ha sido despegado");
$msg_object_created=utf8_encode("El objeto ha sido creado");
$msg_all_objects_created=utf8_encode('Todos los objetos han sido creados');
$msg_object_updated=utf8_encode("El objeto ha sido actualizado");
$msg_select_profile=utf8_encode('Seleccione un perfil para acceder a la configuracion.');
$msg_unknown_user=utf8_encode('Usuario desconocido');
$msg_wrong_password=utf8_encode('Contrasea incorrecta');
$msg_object_exists=utf8_encode('El objeto ya existe !');
$msg_status_changed=utf8_encode('El estado ha sido modificado.');
$msg_object_added=utf8_encode("El objeto ha sido aadido");
$msg_confirm_detach_object=utf8_encode('Esta seguro de querer despegar este objeto?');
$msg_managing_profile=utf8_encode('Usted esta actualizando las caracteristicas del profil');
$msg_choose_value=utf8_encode('Escoja un valor');
$msg_file_missing=utf8_encode("El archivo dejo de existir en el servidor");
$msg_file_too_big=utf8_encode('El archivo es demasiado grande');
$msg_credentials_ko=utf8_encode('Nombre de ususario o contrasea incorrectos');
$msg_language_available=utf8_encode('Idioma disponible');
$msg_language_data_missing=utf8_encode('Ciertos datos del idioma faltan');
$msg_too_much_results=utf8_encode('Muchos resultados. Por favor Veuillez affiner votre recherche');
$msg_not_enough_char=utf8_encode('Numero de letras insuficiente (al menos 3)');
$msg_user_already_exists=utf8_encode('Este usuario ya existe');
$msg_no_result=utf8_encode('Ningn resultado encontrado');
$msg_managing_parameters_switch=utf8_encode('Invertir el valor del parametro haciedno click en el boton de switch de cada parametro.');
$msg_managing_parameters=utf8_encode("Actualice los parametros haciendo click en el icono de actualizacion al final de cada linea.");
$msg_user_format_ko=utf8_encode("Nombre de usuario no vlido (slo caracteres alfanumricos y _ en minsculas)");
$msg_session_ended=utf8_encode('La sesin ha expirado. Por favor, conecte de nuevo.');
$msg_wrong_current_password=utf8_encode('La contrasea no es correcta, por favor intente de nuevo.');
$msg_user_not_confirmed=utf8_encode('Este usuario no est confirmado. Confirmelo con el correo electrnico que recibi o pregunte a su administrador.');
$msg_user_inactive=utf8_encode('Este usuario est inactivo. Pngase en contacto con su administrador.');
$msg_confirm_reset_pass=utf8_encode('Desea  realmente recinicalizar su contrasea?');
$msg_password_updated=utf8_encode('La contrasea fue actualizada');
$msg_password_not_locally_managed=utf8_encode('La contrasea es gestionada por un sistema externo.');
$msg_password_reset=utf8_encode('La contrasea fue reinicializada.');
$msg_user_updated=utf8_encode('La cuenta del usuario fue actualizada.');
$msg_mail_validation_sent=utf8_encode('El correo de confirmacin de la nueva direccin de correo electrnico fue enviado.');
$msg_reset_email_sent=utf8_encode('El correo de reinicializacin de su contrasea fue enviado.');
$msg_unknown_email=utf8_encode('La direccin de correo electrnico no es vlida. Intntalo de nuevo o pngase en contacto con su administrador.');
$msg_user_already_confirmed=utf8_encode('El usuario ya est confirmado.');
$msg_no_email_to_confirm=utf8_encode('No hay direccin de correo electrnico a confirmar.');
$msg_feature_not_available=utf8_encode('Esta funcin no est disponible.');
$msg_unknown_request=utf8_encode('Peticin desconocida.');
$msg_password_incorrect=utf8_encode('La contrasea es incorrecta. Por favor, intentarlo de nuevo.');
$msg_mail_sent=utf8_encode("Mail enviado");     
$msg_user_not_registred=utf8_encode('El usuario LDAP no existe. Por favor contacte con su administrador.');
$msg_ldap_on_but_not_available=utf8_encode('La conexin LDAP est activa , pero el mdulo no est disponible en la configuracin de su servidor web. Por favor contacte con su administrador.');
$msg_user_ldap_without_ldap=utf8_encode('Usted es un usuario LDAP pero la configuracin LDAP esta desactivada. Por favor contacte con su administrador.');               
$msg_password_rules=utf8_encode('El Password debe respetar las reglas siguentes:  <br />- Al menos una minscula<br />- Al menos una mayscula<br />- Al menos un nmero<br />- Entre 8 y 20 caracteres  />- Al menos un carcter especial !?*$+_@%#');

// Global Texts
$text_profile=utf8_encode('Perfil');
$text_duration=utf8_encode('Duracin (en meses)');
$text_template_status=utf8_encode('Estado del modelo');
$text_year=utf8_encode('ao');
$text_month=utf8_encode('mes');
$text_number=utf8_encode('n');
$text_login=utf8_encode('Nombre de usuario');
$text_password=utf8_encode('Contrasea');
$text_logout=utf8_encode('Salir');
$text_user=utf8_encode('Usuario');
$text_firstname=utf8_encode('Nombre');
$text_name=utf8_encode('Apellido');
$text_email=utf8_encode('Correo');
$text_status=utf8_encode('Estado civil');
$text_short_name=utf8_encode('Nombre corto');
$text_address=utf8_encode('Direccin');
$text_address_comment=utf8_encode("Complemento de la direccin");
$text_address_city=utf8_encode('Ciudad');
$text_address_country=utf8_encode('Pais');
$text_address_zip_code=utf8_encode('Codigo postal');
$text_address_state=utf8_encode('Departamento');
$text_filter_inactive=utf8_encode('Inactivo');
$text_description=utf8_encode('Descripcin');
$text_amount=utf8_encode('Monto');
$text_reference=utf8_encode('Referencia');
$text_of=utf8_encode('de');
$text_of_the=utf8_encode('del');
$text_date_from=utf8_encode('del');
$text_date_to=utf8_encode('al');
$text_total=utf8_encode('Total');
$text_no_data=utf8_encode('Sin datos');
$text_total_cost=utf8_encode('Costo total');
$text_hours=utf8_encode('Horas');
$text_creator=utf8_encode('Creador');
$text_creation_date=utf8_encode('Fecha de creacin');
$text_parameter=utf8_encode('Parametro');
$text_tag=utf8_encode('Tag');
$text_value=utf8_encode('Valor');
$text_max_value=utf8_encode('Valor maximo');
$text_informations=utf8_encode('Informaciones Generales');
$text_misc=utf8_encode('Diversos');
$text_comments=utf8_encode('Comentarios');
$text_comment=utf8_encode('Comentario');
$text_object_id=utf8_encode('N');
$text_actions=utf8_encode('Acciones');
$text_start_date=utf8_encode('Fecha de inicio');
$text_days=utf8_encode('dias');
$text_features=utf8_encode('Caracteristicas');
$text_created_by=utf8_encode('Creado por');
$text_resource=utf8_encode('Recourso');
$text_no_item=utf8_encode('Ningn elemento');
$text_for=utf8_encode('por');
$text_the_m=utf8_encode('el');
$text_the_f=utf8_encode('la');
$text_one_m=utf8_encode('uno');
$text_one_f=utf8_encode('una');
$text_change_status=utf8_encode('Cambiar estado');
$text_workflow=utf8_encode('Workflow');
$text_management=utf8_encode('Gestin');
$text_group=utf8_encode('Grupo');
$text_ratio=utf8_encode('Coeficiente');
$text_std_profile=utf8_encode('Perfil standard');
$text_value_is_too_high_for=utf8_encode('El valor entrado es muy grande para');
$text_limit_is=utf8_encode('El limite es');
$text_yes=utf8_encode('Si');
$text_no=utf8_encode('No');
$text_to=utf8_encode('al');
$text_cost=utf8_encode('Costo');
$text_week=utf8_encode('semana');
$text_tip=utf8_encode('Indicacin');
$text_alert_if_zero=utf8_encode('Alerta si valor nulo');
$text_date=utf8_encode('Fecha');
$text_menu=utf8_encode('Elementos del menu');
$text_transitions=utf8_encode('Transiciones');
$text_and=utf8_encode('y');
$text_todo2finish=utf8_encode('Queda por hacer');
$text_order=utf8_encode('Orden');
$text_none=utf8_encode('Ninguno');
$text_owner=utf8_encode('Propietario');
$text_role=utf8_encode('Rol');
$text_stakeholder=utf8_encode('Colaborador');
$text_global=utf8_encode('Global');
$text_local=utf8_encode('Local');
$text_type=utf8_encode('Tipo');
$text_progress=utf8_encode('Avance');
$text_on=utf8_encode('el');
$text_update_date=utf8_encode('Fecha de actualizacin');
$text_file=utf8_encode('Archivo');
$text_document=utf8_encode('Documento');
$text_maxsize=utf8_encode('Tamao maximo');
$text_objects_using_this_profile=utf8_encode('Objetos que utilizan este perfil');
$text_connection_mode=utf8_encode('Fuente');
$text_language=utf8_encode('Idioma');
$text_situation=utf8_encode('Situacin');
$text_not_enough_char=utf8_encode('No hay suficientes caracteres (al menos 3)');
$text_ldap_search=utf8_encode('Busqueda LDAP');
$text_search_by_name=utf8_encode('Por nombre');
$text_search_by_username=utf8_encode('Por nombre de usuario');
$text_readonly_role=utf8_encode('Lector');
$text_nobody=utf8_encode('Nadie');
$text_theme=utf8_encode('Tema');
$text_project_block_raf=utf8_encode('Impide escribir un RAF en las tareas de la ultima columna');
$text_tag_used=utf8_encode('Tag disponible para el proyecto');
$text_tag_not_used=utf8_encode('Tag no disponible para el proyecto');
$text_password_check=utf8_encode('Comprobacin de la contrasea');
$text_change_password=utf8_encode('Para cambiar su contrasea, rellene los dos campos. La contrasea est limitado a 15 caracteres.');        
$text_current_password=utf8_encode('Contrasea actual');
$text_new_password=utf8_encode('Nueva contrasea');
$text_user_confirmed=utf8_encode('Usuario confirmado');
$text_key_not_valid=utf8_encode('La clave no es vlida');
$text_key_no_more_valid=utf8_encode('La clave ya no es ms vlida');
$text_forgotten_password=utf8_encode('Olvidaste su contrasea?');
$text_back_home=utf8_encode('Volver a la pgina inicial');
$text_relationships=utf8_encode("Relaciones entre las US");
$text_news=utf8_encode("Noticias ");
$text_link=utf8_encode("Link");

// Global Buttons
$button_cancel=utf8_encode('Cancelar');
$button_submit=utf8_encode('Validar');
$button_search=utf8_encode('Buscar');
$button_new_profile=utf8_encode('Crear un perfil');
$button_update_values=utf8_encode('Actualizar los valores');
$button_new_user=utf8_encode('Crear un usuario');
$button_filter=utf8_encode('Filtrar');
$button_back_to_list=utf8_encode('Devolverse a la lista');
$button_lock=utf8_encode('Bloquear');
$button_save=utf8_encode('Guardar');
$button_unlock=utf8_encode('Desbloquear');
$button_update_value=utf8_encode('Guardar el valor');
$button_new_user_ldap=utf8_encode("Aadir un usuario apartir del anuario LDAP");
$button_new_news=utf8_encode("Aadir noticias");

// Global Actions
$action_modify=utf8_encode('Modificar');
$action_delete=utf8_encode('Borrar');
$action_manage=utf8_encode('Administrar');
$action_fill_in=utf8_encode('Escribir');
$action_start=utf8_encode('Empezar');
$action_view=utf8_encode('Ver');
$action_view_progress=utf8_encode("Ver el avance");
$action_change_status=utf8_encode('Pasar al estado');
$action_detach=utf8_encode('Despegar');
$action_fill=utf8_encode('Escribir');
$action_set_as_default=utf8_encode('Definir como valor por defecto');
$action_view_dashboard=utf8_encode('Ver el panel');
$action_disable=utf8_encode('Desactivar');
$action_activate=utf8_encode('Activar');
$action_move_up=utf8_encode('Montar');
$action_move_down=utf8_encode('Bajar');

// Legends
$legend_logon=utf8_encode('Conexin');
$legend_changing_f=utf8_encode("Modificacion de una");
$legend_creation_f=utf8_encode("Creacion de una");
$legend_display_f=utf8_encode("Visualizacion de una");
$legend_adding_f=utf8_encode("Aadir una");
$legend_changing_m=utf8_encode("Modificacion de un");
$legend_creation_m=utf8_encode("Creacion de un");
$legend_display_m=utf8_encode("Visualizacion de un");
$legend_adding_m=utf8_encode("Aadir un");
$legend_change_password=utf8_encode('Para cambiar la contrasea, complete los dos campos. La contrasea es limitada a 15 caracteres.');
$legend_update_email=utf8_encode('Para validar la actualizacin de su correo electrnico, digite la contrasea.');
$legend_reset_password=utf8_encode('Para reinicializar la contrasea, por favor digite su nombre de usuario y su correo electrnico.');

// Days
$list_days_week[]=utf8_encode('Lunes');
$list_days_week[]=utf8_encode('Martes');
$list_days_week[]=utf8_encode('Miercoles');
$list_days_week[]=utf8_encode('Jueves');
$list_days_week[]=utf8_encode('Viernes');
$list_days_week[]=utf8_encode('Sabado');
$list_days_week[]=utf8_encode('Domingo');

// Months
$list_months[]=utf8_encode('enero');
$list_months[]=utf8_encode('febrero');
$list_months[]=utf8_encode('marzo');
$list_months[]=utf8_encode('abril');
$list_months[]=utf8_encode('mayo');
$list_months[]=utf8_encode('junio');
$list_months[]=utf8_encode('julio');
$list_months[]=utf8_encode('agosto');
$list_months[]=utf8_encode('septiembre');
$list_months[]=utf8_encode('octubre');
$list_months[]=utf8_encode('noviembre');
$list_months[]=utf8_encode('diciembre');

// Arrays
$array_yes_no[1]=$text_yes;
$array_yes_no[0]=$text_no;
?>