<?php
/**
 * messages and texts used by all scripts in French
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:labels
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */     

$appName='KADOS';
$appSubTitle='KAnban Dashboard for Online Scrum';

// Messages
$msg_no_project_selected=utf8_encode('Pas de projet slectionn. Veuillez en choisir un.');
$msg_us_business_values=utf8_encode('Mettez  jour les listes de valeurs pour les attributs des US.');
$msg_us_business_values_display=utf8_encode('Listes de valeurs pour les attributs des US.');
$msg_stakeholders_display=utf8_encode('Liste des parties prenantes de ce projet.');
$msg_stakeholders_display_list=utf8_encode("Choisissez un utilisateur dans la liste ci-dessous et validez. Seuls des utilisateurs actifs enregistrs dans l'application apparaissent dans la liste.");
$msg_stakeholders_display_autocomplete=utf8_encode("Saisissez quelques lettres du nom que vous cherchez et une liste de choix apparatra. Seuls des utilisateurs actifs enregistrs dans l'application apparaissent dans cette liste. Slectionnez un nom et validez votre choix.");
$msg_us_colors_display=utf8_encode('Couleurs pour les diffrents objets du projet.');
$msg_releases_sprints_display=utf8_encode('Liste des releases et des sprints du projet.');
$msg_confirm_delete_us=utf8_encode('Voulez-vous vraiment dtruire cette user story ? (Cette destruction est dfinitive et les tches associes seront aussi supprimes)');
$msg_confirm_send_object_to_trash=utf8_encode('Voulez-vous vraiment envoyer cet objet  la poubelle ? (Il pourra tre rcupr depuis la poubelle)');
$msg_confirm_activate_us=utf8_encode('Voulez-vous vraiment restaurer cette user story ?');
$msg_confirm_delete_task=utf8_encode('Voulez-vous vraiment dtruire cette tche ? (Cette destruction est dfinitive)');
$msg_confirm_activate_task=utf8_encode('Voulez-vous vraiment restaurer cette tche ?');
$msg_confirm_activate_issue=utf8_encode('Voulez-vous vraiment restaurer cet obstacle ?');
$msg_confirm_delete_issue=utf8_encode('Voulez-vous vraiment dtruire cet obstacle ? (Cette destruction est dfinitive et les actions associes seront aussi supprimes)');
$msg_confirm_delete_action=utf8_encode('Voulez-vous vraiment dtruire cette action ? (Cette destruction est dfinitive)');
$msg_confirm_activate_action=utf8_encode('Voulez-vous vraiment restaurer cette action ?');
$msg_columns_select=utf8_encode('Slectionnez des colonnes pour votre kanban de tches. Faites basculer les colonnes de gauche  droite puis ordonnez-les et associez ventuellement  chaque colonne une signification.');
$msg_us_has_been_deleted=utf8_encode('Cette user story a t efface.');
$msg_us_is_in_trash=utf8_encode('Cette user story est  la poubelle.');
$msg_sprint_dates_mixed_other_sprints=utf8_encode('Ce sprint se superpose  un autre sprint. Veuillez modifier les dates de dbut ou de fin.');
$msg_due_date_must_be_greater_than_sprint_end_date=utf8_encode('La date de MEP de la release doit tre suprieure  la date de fin du dernier sprint.');
$msg_start_date_is_no_working_day=utf8_encode('La date de dbut est un jour non travaill');
$msg_end_date_is_no_working_day=utf8_encode('La date de fin est un jour non travaill');
$msg_steps_to_add_sprints_design_columns_and_settings_access=utf8_encode('Pour ajouter des sprints, ajoutez des colonnes au kanban de tches du projet.');
$msg_steps_to_add_sprints_design_columns_and_settings_no_access=utf8_encode("Pour ajouter des sprints, demandez  votre Scrum Master d'ajouter des colonnes au kanban de tches du projet.");
$msg_steps_add_stakeholders_to_project_access=utf8_encode('Ajoutez des contributeurs au projet.');
$msg_steps_add_stakeholders_to_project_no_access=utf8_encode("Demandez au Scrum Master d'ajouter des contributeurs au projet.");
$msg_steps_add_release_access=utf8_encode('Ajoutez au moins une release au projet.');
$msg_steps_add_release_no_access=utf8_encode("Demandez au Scrum Master d'ajouter une release au projet.");
$msg_workshop_mode_is_on=utf8_encode("Le mode WORKSHOP est actif. Pour revenir en mode standard, cliquez sur le bouton adquat dans la ligne de boutons ci-dessous.");
$msg_us_roadmap_explainations=utf8_encode("Voici la synthse des statuts des US sprint par sprint. Cette synthse est enrichie de la situation courante  chaque clic sur le bouton ci-dessous. Chaque statut est le plus rcent enregistr sur le sprint. Un enregistrement au moins est conseill en dbut et fin de sprint.");
$msg_small_reports=utf8_encode('Rapports de situation.');
$msg_no_release_selected=utf8_encode("Impossible d'afficher une checklist : aucune release n'est slectionne ou aucune release n'existe pour ce projet.");
$msg_steps_to_add_tasks_design_columns_and_settings_access=utf8_encode('Pour pouvoir crer des tches, ajoutez des colonnes au kanban de tches de votre projet.');
$msg_steps_to_add_tasks_design_columns_and_settings_no_access=utf8_encode("Pour pouvoir crer des tches, demandez  votre chef de projet d'ajouter des colonnes au kanban de tches de votre projet.");
$msg_rss_is_not_available=utf8_encode("La syndication RSS n'est pas disponible. Contactez l'administrateur pour plus d'informations.");
$msg_us_has_been_moved=utf8_encode("Cette US n'est plus dans cette release.");
$msg_us_is_in_backlog=utf8_encode("Cette US est dans le Backlog de la release.");
$msg_features_management=utf8_encode("Synthse des fonctions. Ajouter ou modifier des fonctions.");
$msg_use_this_url_as_shortcut_for_project=utf8_encode("Utilisez cette URL pour accder directement au Kanban de ce projet aprs connexion");
$msg_use_this_url_as_shortcut_for_release=utf8_encode("Utilisez cette URL pour accder directement au Kanban de cette release aprs connexion");
$msg_use_this_url_as_shortcut_for_sprint=utf8_encode("Utilisez cette URL pour accder directement au Kanban de ce sprint aprs connexion");
$msg_use_this_url_as_shortcut_for_cockpit=utf8_encode("Utilisez cette URL pour accder directement au cockpit de ce projet aprs connexion");
$msg_format_not_allowed=utf8_encode("Au moins l'un des fichiers a un format non autoris. Voici les extensions autorises");
$msg_size_too_big=utf8_encode("La taille de certains fichiers dpasse la limite (MB)");        
$msg_directory_not_created=utf8_encode("Le rpertoire n'a pas pu tre cr. Contactez votre administrateur. Rpertoire");        
$msg_file_has_been_deleted=utf8_encode("Le fichier suivant a t effac");        
$msg_profiles_switch=utf8_encode("Slectionnez les profils disponibles pour les contributeurs de votre projet. Il y a toujours au moins un profil activ sur le projet.");        
$msg_project_has_no_sprint=utf8_encode("Impossible d'afficher une roadmap, le projet n'a pas de sprint.");        
$msg_miniboard_display=utf8_encode("Crez et organisez les US de votre kanban sur ce mini-board.");        
$msg_rss_key_is_incorrect=utf8_encode("Le token RSS fourni n'est pas le bon.");                
$msg_parameter_is_incorrect=utf8_encode("La valeur passe en paramtre ne correspond  aucun objet.");                
$msg_no_reports_for_release=utf8_encode("Il n'existe pas de rapport au niveau du projet. Choisissez une release ou un sprint.");                
$msg_protocol_not_allowed=utf8_encode("Le lien utilise un protocole non autoris. Voici les protocoles autoriss");
$msg_early_dashboard_level3=utf8_encode("Vous tes sur un 'Early Dashboard'. Il permet de crer des tches avant que l'US associe ne soit affecte  un sprint. Pour revenir  la roadmap, utilisez la bouton retour ci-dessous.");
$msg_early_dashboard_level2=utf8_encode("Vous tes sur un 'Early Dashboard'. Il permet de crer des tches avant que l'US associe ne soit affecte  une release. Pour revenir  la roadmap, utilisez la bouton retour ci-dessous.");
$msg_errors_uploading_files=utf8_encode("Ces fichiers ne peuvent tre chargs en pices jointes (leur formatage est incorrect)"); 
$msg_fill_in_a_comment=utf8_encode("Veuillez saisir un commentaire"); 
$msg_scatter_us=utf8_encode("Ce nuage d'US vous permettra de suivre les US du backlog en fonction de leur Business Value et de leur complexit. Attention, les US sont dcales artificiellement pour ne pas se superposer."); 
$msg_fill_in_a_relationship=utf8_encode("Veuillez choisir une User Story  lier"); 
$msg_fill_in_an_user=utf8_encode("Veuillez saisir un utilisateur (nom ou identifiant)"); 
$msg_fill_in_a_name=utf8_encode("Veuillez saisir un nom de projet"); 
$msg_confirm_delete_project=utf8_encode("Voulez-vous vraiment effacer ce projet ?"); 
$msg_profiles_displayed=utf8_encode("Voici les profils et leur visibilit sur votre projet."); 
$msg_upload_csv=utf8_encode("Le fichier de type CSV doit avoir comme sparateur la virgule et doit contenir les colonnes suivantes dans cet ordre : <li>Texte de l'US</li><li>Business value</li><li>Complexit</li><li>Lien externe</li>"); 
$msg_upload_csv_done=utf8_encode("L'import de vos User Stories est termin."); 
$msg_import_us_not_allowed=utf8_encode("Vous n'tes pas autoris  importer des US sur ce projet."); 

// Texts
$text_product_owner=utf8_encode('Product Owner');
$text_release=utf8_encode('Release');
$text_sprint=utf8_encode('Sprint');
$text_sprint_backlog=utf8_encode('Sprint backlog');
$text_project=utf8_encode('Projet');
$text_end_date=utf8_encode('Date de fin');
$text_due_date=utf8_encode("Date de MEP");
$text_scrum_master=utf8_encode('Scrum master');
$text_user_story=utf8_encode('User Story');
$text_business_value=utf8_encode('Business value');
$text_color=utf8_encode('Couleur');
$text_task=utf8_encode('Tche');
$text_us=utf8_encode('US');
$text_task_load=utf8_encode('Charge initiale');
$text_created_on_m=utf8_encode('Cr le ');
$text_created_on_f=utf8_encode('Cre le ');
$text_last_updated_on_m=utf8_encode('Mis  jour le ');
$text_last_updated_on_f=utf8_encode('Mise  jour le ');
$text_by=utf8_encode('par');
$text_load_spent=utf8_encode('Consomm');
$text_load2finish=utf8_encode('Reste  faire');
$text_complexity=utf8_encode('Complexit');
$text_my_level_on_project=utf8_encode('Mon accs sur ce projet');
$text_my_projects=utf8_encode('Mes projets');
$text_scope=utf8_encode('Primtre');
$text_connection=utf8_encode('Connexion');
$text_database_type=utf8_encode('Type de base de donnes');
$text_host=utf8_encode('Hte');
$text_port=utf8_encode('Port');
$text_dbname=utf8_encode('Base de donnes');
$text_project_table=utf8_encode('Table des projets');
$text_release_table=utf8_encode('Table des releases');
$text_project_id_field=utf8_encode("Champ pour l'identifiant d'un projet");
$text_project_name_field=utf8_encode("Champ pour le nom d'un projet");
$text_release_id_field=utf8_encode("Champ pour l'identifiant d'une release");
$text_release_name_field=utf8_encode("Champ pour le nom d'une release");
$text_link_to_project_in_release_table=utf8_encode("Alternative lien projet-release option 1 : le lien avec le projet est dans la table des releases");
$text_release_to_project_field=utf8_encode("Champ pour le lien entre release et projet");
$text_link_to_project_in_other_table=utf8_encode("Alternative lien projet-release option 2 : le lien entre le projet et ses releases est dans une autre table");
$text_projet_release_table=utf8_encode('Table des liens entre releases et projets');
$text_foreign_key_project_field=utf8_encode('Champ lien projet');
$text_foreign_key_release_field=utf8_encode('Champ lien release');
$text_connection_test=utf8_encode('Test de connexion');
$text_requests_tests=utf8_encode('Tests de requetes');
$text_db_connect_ok=utf8_encode('Connexion OK');
$text_db_connect_ko=utf8_encode('Connexion KO');
$text_database_access_ko=utf8_encode('Nom de la base incorrect');
$text_request_ok_no_project=utf8_encode('La requte sur les projets fonctionne, mais la table est vide.');
$text_requests_tests_ok=utf8_encode('Tests requtes OK');
$text_request_project_ko=utf8_encode('Test requte projets KO');
$text_request_release_ko=utf8_encode('Test requte releases KO');
$text_project_filter_clause=utf8_encode('Filtre sur les projets (SQL)');
$text_release_filter_clause=utf8_encode('Filtre sur les releases (SQL)');
$text_background_value=utf8_encode('Code couleur pour le fond (hexa)');
$text_border_value=utf8_encode('Code couleur pour la bordure (hexa)');
$text_meaning=utf8_encode('Signification');
$text_us_colors_select=utf8_encode('Slection des couleurs pour les User Stories');
$text_tasks_colors_select=utf8_encode('Slection des couleurs pour les tches');
$text_default=utf8_encode('Couleur par dfaut');
$text_values_for_bv=utf8_encode('Valeurs pour la Business Value');
$text_values_for_complexity=utf8_encode('Valeurs pour la Complexit');
$text_link=utf8_encode('Lien');
$text_assigned_to_f=utf8_encode('Assigne ');
$text_us_in_product_backlog=utf8_encode('US en attente dans le backlog');
$text_us_total=utf8_encode('Toutes les US du projet');
$text_business_value_total=utf8_encode('Total des Business Values');
$text_complexity_total=utf8_encode('Total des Complexits');
$text_US=utf8_encode('US');
$text_tasks=utf8_encode('Tches');
$text_BV=utf8_encode('BV');
$text_Cpx=utf8_encode('Cpx');
$text_colors_us=utf8_encode('Couleurs pour les US');
$text_colors_tasks=utf8_encode('Couleurs pour les tches');
$text_default_color=utf8_encode('Couleur par dfaut');
$text_is_greater_than=utf8_encode('doit tre suprieure ');
$text_is_lesser_than=utf8_encode('doit tre infrieure ');
$text_real_versus_load2finish=utf8_encode('Avancement rel par rapport au Reste  faire');
$text_real_versus_initial=utf8_encode('Avancement rel par rapport  la charge initiale');
$text_bv_planned_delivery=utf8_encode('Prvision de livraison de Business value');
$text_bv_total=utf8_encode('Business value totale');
$text_bv_delivered=utf8_encode('Business value livre');
$text_us_filter=utf8_encode('Type US');
$text_task_filter=utf8_encode('Type tche');
$text_issue_filter=utf8_encode('Filtre type');
$text_deck_is_empty=utf8_encode('Le deck est vide');
$text_project_name=utf8_encode('Nom du projet');
$text_trash_is_empty=utf8_encode('La poubelle est vide');
$text_column=utf8_encode('Colonne');
$text_available_columns=utf8_encode('Colonnes disponibles');
$text_selected_columns=utf8_encode('Colonnes slectionnes');
$text_us_template_text=utf8_encode('En tant que ..., je veux pouvoir ... afin de ...');
$text_impact=utf8_encode('Impact');
$text_impact_2eval=utf8_encode('A valuer');
$text_impact_low=utf8_encode('Drive cible');
$text_impact_medium=utf8_encode('Drive engagement');
$text_impact_high=utf8_encode('Bloquant');
$text_impact_meaning_2eval=utf8_encode("Placez ici les obstacles dont vous n'avez pas encore valu l'impact");
$text_impact_meaning_low=utf8_encode("Obstacles ne bloquant pas l'avancement du projet mais mettant en danger la cible du projet");
$text_impact_meaning_medium=utf8_encode("Obstacles ne bloquant pas l'avancement du projet mais mettant en danger les engagements du projet");
$text_impact_meaning_high=utf8_encode("Obstacles bloquant l'avancement du projet");
$text_risk=utf8_encode('Risque');
$text_problem=utf8_encode('Problme');
$text_action=utf8_encode('Action');
$text_issues=utf8_encode('Obstacles');
$text_probability=utf8_encode('Probabilit');
$text_risk_will_become_problem=utf8_encode("Une probabilit de 100% fait d'un risque un problme. Confirmez pour faire de ce risque un problme ou annuler pour modifier la probabilit.");
$text_probability_is_percentage=utf8_encode("Une probabilit de risque est un pourcentage compris entre 1% et 99%.");
$text_linked_user_story=utf8_encode('User story lie');
$text_issues_template=utf8_encode('Modle pour le RADAR');
$text_us_is_linked_with=utf8_encode('Cette user story est lie au');
$text_content=utf8_encode('Intitul');
$text_risk_is_linked_with=utf8_encode("Ce risque est li  l'");
$text_problem_is_linked_with=utf8_encode("Ce problme est li  l'");
$text_values_for_working_days=utf8_encode('Jours travaills');
$text_non_working_specific_days=utf8_encode('Liste des jours spcifiques non travaills (ftes, congs collectifs, jours fris, etc...)');
$text_issues_history_title=utf8_encode("L'historique du RADAR contient les problmes rsolus et des risques levs. Il est possible de renvoyer un item dans l'valuation et le suivi en cliquant sur son statut (si autoris).");
$text_history_is_empty=utf8_encode("L'historique est vide");
$text_external_project=utf8_encode("Ce projet est li  un object externe.<br />Certaines oprations sont spcifiques  cette situation de projet.");
$text_release_due_date_field=utf8_encode("Champ pour la date de MEP");
$text_release_due_date_request=utf8_encode("Requte pour la date de MEP");
$text_click_here=utf8_encode('Cliquez ici');
$text_task_load_short=utf8_encode('Charge');
$text_activity=utf8_encode('Activit');
$text_activity_status_todo=utf8_encode('A faire');
$text_activity_status_inprogress=utf8_encode('En cours');
$text_activity_status_done=utf8_encode('Termine');
$text_lock_by_template=utf8_encode('Cette activit vient du modle de checklist');
$text_use_checklist=utf8_encode('Utiliser la checklist ?');
$text_action_todo=utf8_encode('A faire');
$text_action_in_progress=utf8_encode('En cours');
$text_action_done=utf8_encode('Termine');
$text_allow_sprint_overlapping=utf8_encode('Les sprints peuvent se superposer');
$text_assigned_to_nobody_click=utf8_encode("Cet item n'est affect  personne. Pour vous l'affecter, cliquez dessus.");
$text_assigned_to_nobody=utf8_encode("Cet item n'est affect  personne.");
$text_my_bookmarks=utf8_encode('Mes projets favoris');
$text_others_projects=utf8_encode('Autres projets');
$text_project_levels=utf8_encode('Niveaux');
$text_3levels=utf8_encode('3 niveaux SCRUM  : Projet/Release/Sprint');
$text_2levels=utf8_encode('2 niveaux : Projet/Release');
$text_1level=utf8_encode('1 niveau : Projet');
$text_template=utf8_encode('Modle');
$text_sprint_content=utf8_encode('Contenu du sprint');
$text_release_content=utf8_encode('Contenu de la release');
$text_project_is_private=utf8_encode('Dfinir ce projet comme priv');
$text_this_project_is_private=utf8_encode('Ce projet est priv');
$text_this_project_is_public=utf8_encode('Ce projet est public');
$text_feature=utf8_encode('Fonction');
$text_no_feature=utf8_encode('Pas de fonction');
$text_feature_short_label=utf8_encode('Code fonction');
$text_count=utf8_encode('Nombre');
$text_us_with_no_feature=utf8_encode('User Stories sans fonction');
$text_status_initial=utf8_encode('Charge  dmarrer');
$text_status_in_progress=utf8_encode('Charge en cours');
$text_initial_load=utf8_encode('Charge initiale');
$text_percentage_done=utf8_encode('Pourcentage ralis');
$text_us_colors_select_for_export=utf8_encode("Slectionnez les types d'US  inclure dans l'export");
$text_us_status_select_for_export=utf8_encode("Slectionnez les statuts d'US  inclure dans l'export");
$text_tasks_colors_select_for_export=utf8_encode("Slectionnez les types de tches  inclure dans l'export");
$text_cp_planned_delivery=utf8_encode('Objectif du sprint');
$text_cp_total=utf8_encode('Complexit totale');
$text_cp_delivered=utf8_encode('Vlocit');
$text_use_for_project=utf8_encode('Utiliser sur le projet ?');
$text_project_admin=utf8_encode('Admin projet'); 
$text_shortcut_to_cockpit=utf8_encode('Raccourci de connexion directe vers le cockpit');
$text_shortcut_to_kanban=utf8_encode('Raccourci de connexion directe vers le kanban');
$text_tasks_status_select_for_export=utf8_encode("Slectionnez les statuts de tche  inclure dans l'export");
$text_us_count_delivered=utf8_encode('US livres');
$text_us_count_ready2check=utf8_encode('US  valider');
$text_us_count_planned=utf8_encode('Dernire planification cible');
$text_us_count_all=utf8_encode('Toutes les US');
$text_us_count_todo=utf8_encode('US sans tche');
$text_us_count_run=utf8_encode('US en cours');
$text_project_use_tags=utf8_encode('Le projet utilise les tags');
$text_is_color_mandatory=utf8_encode('Couleur obligatoire ?');
$text_color_use=utf8_encode('Affectation de couleur');
$text_allow_attachements=utf8_encode('Autorise les pices jointes pour les postit');        
$text_source_user_story=utf8_encode('User Story source');        
$text_tasks_list=utf8_encode('Liste des tches');        
$text_copy=utf8_encode('Copier');        
$text_move=utf8_encode('Dplacer');        
$text_search_scope=utf8_encode('Primtre de recherche des US');        
$text_us_status_filter=utf8_encode('Masquer US termines');        
$text_feature_filter=utf8_encode('Filtre Fonction');
$text_stakeholder_filter=utf8_encode('Filtre Responsable de tche');
$text_use_hierarchy=utf8_encode("Rpartir les US par Release/Sprint (selon le primtre d'export, export Word seulement)");
$text_subjects_list=utf8_encode('Liste des sujets');
$text_postit_type=utf8_encode('Type de postit');
$text_field=utf8_encode('Champ');
$text_old_value=utf8_encode('Ancienne valeur');
$text_new_value=utf8_encode('Nouvelle valeur');
$text_author=utf8_encode('Modifi par');
$text_text=utf8_encode('Texte');
$text_search_us=utf8_encode('Recherche texte US');
$text_search_task=utf8_encode('Recherche texte tche');
$text_tag_added=utf8_encode('Tag ajout');
$text_tag_removed=utf8_encode('Tag retir');
$text_attachment_added=utf8_encode('Pice jointe ajoute');
$text_attachment_removed=utf8_encode('Pice jointe retire');
$text_tag_group=utf8_encode('Groupe de tags');
$text_said=utf8_encode('a dit');
$text_trash_in=utf8_encode('Mise  la poubelle');
$text_trash_out=utf8_encode('Sortie de la poubelle');
$text_linked_postit=utf8_encode('Postit allous (Aucun signifie Tous)');
$text_update_your_preferences=utf8_encode('Prfrences utilisateur');
$text_filter_on_for_us_done=utf8_encode('Active  la connexion le filtre sur les US termines');
$text_deleted_object=utf8_encode('Objet effac');
$text_tag_filter_plus=utf8_encode('Filtre tag +');
$text_tag_filter_minus=utf8_encode('Filtre tag -');
$text_history=utf8_encode('Historique');
$text_us_in_backlog=utf8_encode('US en backlog');  
$text_us_in_release=utf8_encode('US dans une release future');  
$text_us_done=utf8_encode('US done');  
$text_attachments=utf8_encode('Pice(s) jointe(s)');  
$text_deck=utf8_encode('Deck');  
$text_no_relationships=utf8_encode('Pas de relation');  
$text_add_relationship=utf8_encode('Ajout de relation');  
$text_remove_relationship=utf8_encode('Suppression de relation');  
$text_search_project_by_name=utf8_encode("Recherche d'un projet par nom");  
$text_recent_comments=utf8_encode('Derniers commentaires');  
$text_no_project=utf8_encode('Pas de projet');  
$text_at_least_one_char=utf8_encode('Pour dmarrer la recherche, saisissez au moins une lettre'); 
$text_display_project_infos=utf8_encode('Afficher la fiche projet');  
$text_written_by=utf8_encode('Ecrit par');  
$text_goto_kanban=utf8_encode('Raccourci vers le Kanban');  
$text_choose_tag=utf8_encode('Choisir des tags...');    

// Buttons
$button_add_task=utf8_encode('Ajouter une tche');
$button_add_user_story=utf8_encode('Ajouter une User Story');
$button_cancel_delete=utf8_encode('Annuler la suppression');
$button_reorder=utf8_encode('Affichage compact');
$button_new_project=utf8_encode('Crer un projet');
$button_add_release=utf8_encode('Ajouter une release');
$button_create_release=utf8_encode('Crer une release');
$button_add_sprint=utf8_encode('Crer un sprint');
$button_reorder_flat=utf8_encode('Affichage tendu');
$button_change_project=utf8_encode('Changer de projet');
$button_new_stakeholder=utf8_encode('Ajouter un contributeur');
$button_new_connection=utf8_encode('Ajouter une connexion');
$button_new_ext_project=utf8_encode('Ajouter un projet externe');
$button_new_color=utf8_encode('Ajouter une couleur');
$button_hide_priority=utf8_encode('Masquer la priorit');
$button_show_priority=utf8_encode('Afficher la priorit');
$button_record_us_situation=utf8_encode('Enregistrer la situation des US');
$button_new_column=utf8_encode('Ajouter une colonne');
$button_add_action=utf8_encode('Ajouter une action');
$button_add_risk=utf8_encode('Ajouter un risque');
$button_add_problem=utf8_encode('Ajouter un problme');
$button_switch_to_std=utf8_encode('Passer en mode standard');
$button_switch_to_workshop=utf8_encode('Passer en mode workshop');
$button_add_activity=utf8_encode('Ajouter une activit');
$button_push_into_deck=utf8_encode("Mettre en deck les US o je n'ai pas de tches");
$button_empty_deck=utf8_encode('Vider le deck');
$button_fill_in_deck=utf8_encode('Remplir le deck');
$button_show_graph_numbers=utf8_encode('Afficher les valeurs sur le graphe');
$button_hide_graph_numbers=utf8_encode('Masquer les valeurs sur le graphe');
$button_add_feature=utf8_encode('Ajouter une fonction');
$button_export=utf8_encode('Exporter');
$button_new_tag=utf8_encode('Ajouter un tag');
$button_add_color_use=utf8_encode('Ajouter une couleur');
$button_reorder_priority=utf8_encode('Priorit');
$button_sort_by_number=utf8_encode('Numro ascendant');
$button_tasks_actions=utf8_encode('Copier ou dplacer');
$button_back_to_roadmap=utf8_encode('Revenir  la roadmap');
$button_new_tag_group=utf8_encode('Ajouter un groupe de tags');
$button_export_word=utf8_encode('Exporter pour Word');
$button_export_odt=utf8_encode('Exporter au format odt');
$button_export_csv=utf8_encode('Exporter au format csv');
$button_choose_attachments=utf8_encode('Choisir des pices jointes');
$button_put_to_trash=utf8_encode('Mettre  la poubelle');
$button_sorting=utf8_encode('Tris');
$button_sort_by_number_desc=utf8_encode('Numro descendant');
$button_cancel_zoom=utf8_encode('Annuler le zoom');
$button_open_deck=utf8_encode('Ouvrir le deck');  
$button_sort_by_complexity=utf8_encode('Complexit croissante');
$button_sort_by_business_value=utf8_encode('Valeur mtier croissante');
$button_sort_by_complexity_desc=utf8_encode('Complexit dcroissante');
$button_sort_by_business_value_desc=utf8_encode('Valeur mtier dcroissante');
$button_search_project=utf8_encode('Chercher un projet');
$button_choose_file=utf8_encode('Choisir un fichier CSV');
  
// Actions
$action_manage_colors=utf8_encode('Dfinir les couleurs');
$action_set_as_visible=utf8_encode('Afficher dans le kanban');
$action_set_as_hidden=utf8_encode('Masquer dans le kanban');
$action_up=utf8_encode('Monter');
$action_down=utf8_encode('Descendre');
$action_refresh_release=utf8_encode('Mettre  jour la release');
$action_goto_current_release=utf8_encode('Raccourci vers la release en cours');
$action_goto_current_sprint=utf8_encode('Raccourci vers le sprint en cours');
$action_bookmark_project=utf8_encode('Ajouter aux favoris');
$action_unbookmark_project=utf8_encode('Enlever des favoris');
$action_change_admin=utf8_encode("Changer l'admin projet");
$action_reset_pass=utf8_encode("Rinitialiser le mot de passe");
$action_delete_project=utf8_encode("Effacer le projet");
  
// US status
$usStatusTable['TODO']=utf8_encode('Pas de tche');
$usStatusTable['RUN']=utf8_encode('Tches en cours');
$usStatusTable['DEV']=utf8_encode('Tches termines');
$usStatusTable['DONE']=utf8_encode('US termine');

// Tables
$tagTypeDisplay['ALL_MAND']=utf8_encode('Tag global obligatoire');
$tagTypeDisplay['ALL_FREE']=utf8_encode('Tag global facultatif');
$tagTypeDisplay['USR_FREE']=utf8_encode('Tag local projet');

// Legends
$legend_move_or_copy_tasks=utf8_encode("Copier/Dplacer les tches d'une autre US vers US");

// Labels
$lbl_sort_by_name=utf8_encode('Tri par nom');
$lbl_sort_by_firstname=utf8_encode('Tri par prnom');
?>