<?php
/**
 * My Profile Management
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  ProjectMngtUserProfile
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */     
define("PATHBASE",'./');

require_once PATHBASE.'header.php';
$targetFile='my_profile.php?';
$cnx=new connexion_db();

// get user cases management
include 'user_switch_cases.php';

appUtils::initToken(); ?>

<div class="block1">
<div class="MessageBox TitleBox"><?php echo $legend_changing_m.' '.lcfirst($text_user);?></div>   <?php
// Block 1 for Profile changes
$myProfile=true;
// Set variables to use the user form
$_REQUEST['action']='modify_user';
$_REQUEST['id_to_modify']=$_SESSION['login'];
$request=new sqlRequest("SELECT * FROM framework_users WHERE user_login='".$_REQUEST['id_to_modify']."'",$cnx->num);
$user=$request->getObject();      
$form_legend=TextFormat($legend_changing_m.' '.lcfirst($text_user));
// Get user form
include 'administration/user_form.php';?>
</div>
<div class="block2">
<div class="MessageBox TitleBox"><?php echo $text_update_your_preferences;?></div>    <?php
    // Block 2 for user preferences
    $buttonText=$text_filter_on_for_us_done;
    $urlButtonOnOff=$targetFile.'&action=switch_filter_us_done&login_to_update='.$_REQUEST['id_to_modify'];
    $boolOnOff=$user->user_pref_filter_on_for_us_done;
    include $pathCommons.'on_off_button.php';
?>
</div><?php

$cnx->close();  

require_once PATHBASE.'footer.php';?>

