<?php
/**
 * popup to display attachments of a postit
 *
 * PHP version 5
 *
 * @category Scripts
 * @package  DashBoardItemManagement
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */    
define("PATHBASE",'./');
$pathClasses=PATHBASE.'libraries/classes/';
$pathCommons=PATHBASE.'common_scripts/';  
$pathAppClasses=PATHBASE.'classes/';
$pathImages=PATHBASE.'images/';

$targetFile='';

require_once PATHBASE.'popin_includes_presession.php';?>

  <html>
    <head>
    </head>
    <body><?php    
    
if (isset($_SESSION['login']))
{
  require_once PATHBASE.'popin_includes.php';
  require_once $pathClasses.'class_sortColumn.php';
  require_once $pathCommons.'date_hour.php';
  require_once $pathAppClasses.'project.php';
  
  // get current project Data
  $currentProject=new project($cnx->num,$_SESSION['current_project_id']);
  $currentProject->getData();
  //require PATHBASE.'postit_attachments_create.php';
  
  
  // init a finfo object
  $finfo = new finfo(FILEINFO_MIME);

  $simpleItemType=$_GET['t'];
  $itemId=intval($_GET['i']);
  // If there is any files attached to the postit, display an icon to open the files list
  $filesDirectoryName=getParameter('FLPATH',$cnx->num).'/'.strtoupper($simpleItemType).'/'.strtoupper($simpleItemType).$itemId;
                
  if (is_dir($filesDirectoryName))
  {
    // scan directory to get files  
    $attachmentFilesList=scandir($filesDirectoryName);
    // check if there is more than 4 entries in the directory : ., .. , index.php and .htaccess at least  ?>
  
    <div class="attachments-list"  ><?php
      for ($nbFiles=0;$nbFiles<count($attachmentFilesList);$nbFiles++)
      { 
        // if file is not one of the three standard files (., .. or index.php entries), display it
        if ($attachmentFilesList[$nbFiles]!='..' && $attachmentFilesList[$nbFiles]!='.' && $attachmentFilesList[$nbFiles]!='index.php' && $attachmentFilesList[$nbFiles]!='.htaccess')
        { 
          // if attachment is an image 
          if (file_exists(PATHBASE.$filesDirectoryName.'/'.$attachmentFilesList[$nbFiles]))
          {
            $typeMime=$finfo->file(PATHBASE.$filesDirectoryName.'/'.$attachmentFilesList[$nbFiles]); 
            $extension=pathinfo(PATHBASE.$filesDirectoryName.'/'.$attachmentFilesList[$nbFiles],PATHINFO_EXTENSION);?>
            <div class="thumbnailBox">
              <a href="uploaded_files/download.php?postit_id=<?php echo $itemId;?>&file_name=<?php echo $attachmentFilesList[$nbFiles];?>&postit_type=<?php echo $simpleItemType;?>" ><?php
              if (strpos('_'.$typeMime,'image')!=0 && in_array($extension,array('png','jpg','jpeg','gif')))
              {?>
                <img src="<?php echo $pathCommons;?>createImage.php?postit_id=<?php echo $itemId;?>&file_name=<?php echo $attachmentFilesList[$nbFiles];?>&type=<?php echo $extension;?>&postit_type=<?php echo $simpleItemType;?>" /><?php
              }
              else
              {?>
                <img style="margin-top:11px;margin-bottom:11px;" src="<?php echo $pathImages;?>app/file_not_image.png" /><?php
              }?>
                <div class="attachmentFileText"><?php echo $attachmentFilesList[$nbFiles];?></div>  
              </a></div><?php
          }
        }
      }?>	
    </div><?php
  }
}?>
  </body>
   </html>