<?php
/**
 * Switch cases for the project adding
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  ProjectManagement:ObjectSettings
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */  

  /* actions for the page */
  switch ($_REQUEST['action'])
  {
    case 'submit_new_project':
      // set project admin username
      if (isset($_POST['form_item_project_admin_search']))
      {
        // Get stakeholder username
        $username=$_POST['form_item_project_admin_search'];
      }	
      else
      {
        // get username from hidden input
        $username=$_POST['form_item_project_admin_lb'];
      }
      // Create project
      $request=new sqlRequest("INSERT INTO kados_projects ( project_name, project_status_id_fk,project_creation_date,project_creator,
	                                                 project_levels,project_visibility,project_rss_key) 
                          VALUES('".formatStringForDB($_POST['form_item_project_name'])."',".$_POST['form_item_project_status'].",
				 '".date('Y-m-d H:i:s')."','".$username."',".$_REQUEST['form_item_project_level'].",
				 '".(getParameter('READAC',$cnx->num)==1 ? 'PUB' : 'PRI')."',MD5(CONCAT('KADOS',NOW(),RAND())))",$cnx->num);
      // get Id of new project
      $idNew=$request->getLastId();
      // set current project as the new one
      $_SESSION['current_project_id']=$idNew;
      // Default Settings of the project
      // Settings for complexity values
      $request->sqlGet("INSERT INTO kados_projects_settings (project_id_fk,setting_tag,setting_value) 
	                                             VALUES (".$idNew.",'PP_VAL','0;1;2;3;5;8;13;20;30;50;80;100')");  
      // Settings for business value values
      $request->sqlGet("INSERT INTO kados_projects_settings (project_id_fk,setting_tag,setting_value) 
	                                             VALUES (".$idNew.",'US_BVL','0;100;200;300;500;800;1000;2000')");  
      // Settings for working days
      $request->sqlGet("INSERT INTO kados_projects_settings (project_id_fk,setting_tag,setting_value) 
	                                             VALUES (".$idNew.",'WK_DAY','0;1;2;3;4')"); 
      // Add all profiles for projects
      $request->sqlGet("INSERT INTO kados_projects_profiles (SELECT ".$idNew.",profile_id FROM framework_profiles WHERE profile_type='LOCAL')");       
      // set project as bookmark
      $request=new sqlRequest("SELECT MAX(bookmark_order) AS max FROM kados_users_bookmarks WHERE user_login_fk='".$_SESSION['login']."'",$cnx->num);
      $request->getObject();
      $order=$request->objet->max+1;	
      $request->sqlGet("INSERT IGNORE INTO kados_users_bookmarks (user_login_fk,project_id_fk,bookmark_order,bookmark_color) 
	                        VALUES ('".$username."',".$idNew.",".$order.",'')");
												 
      // compute access rights to this project
      include_once PATHBASE.'project_get_user_rights.php';  
    break;

    case 'add_ext_project':
      // set project admin username
      if (isset($_POST['form_item_project_admin_search']))
      {
        // Get stakeholder username
        $username=$_POST['form_item_project_admin_search'];
      }	
      else
      {
        // get user name  
        $username=$_POST['form_item_project_admin_lb'];
      }        
      // start workflow on project status
      $wkf=new workflow('PRJ','framework_workflows','framework_status','framework_workflows_transitions',$_SESSION['language']);	
      // Get project data from external server
      $request=new sqlRequest("SELECT * FROM kados_connections WHERE connection_id=".$_POST['connection_id'],$cnx->num);
      $connectionData=$request->getObject();
      // set var on URL
      $dbPath=$connectionData->connection_host;
      if ($connectionData->connection_port!='' && $connectionData->connection_port!=0)
      {
        $dbPath.=':'.$connectionData->connection_port;
      }	
      // get connexion on external DB
      $cnx_ext=new connexion_mysql($dbPath,$connectionData->connection_user,$connectionData->connection_password,$connectionData->connection_dbname);
      $result=$cnx_ext->createConnection();
      // get project info from external DB
      $request_ext=new sqlRequest("SELECT ".$connectionData->connection_project_name_field." AS project_field_name 
	                        FROM ".$connectionData->connection_table_projects." WHERE ".$connectionData->connection_project_id_field."=".$_POST['form_item_ext_project_id'],$cnx_ext->num);
      // if external connection is a success
      if ($request_ext->log)	  
      {
        // get info from the suery  
        $request_ext->getObject();
        // Create project
        $request=new sqlRequest("INSERT INTO kados_projects ( project_name, project_status_id_fk,project_creation_date,project_creator,
	                                                   project_external_project_id,project_external_project_connection_id,project_levels,
							   project_visibility,project_rss_key) 
	                      VALUES('".formatStringForDB($request_ext->objet->project_field_name)."',".$wkf->init_statut().",
				     '".date('Y-m-d H:i:s')."','".$username."',
				     ".$_POST['form_item_ext_project_id'].",".$_POST['connection_id'].",".$_REQUEST['form_item_project_level'].",
				     '".(getParameter('READAC',$cnx->num)==1 ? 'PUB' : 'PRI')."',MD5(CONCAT('KADOS',NOW(),RAND())))",$cnx->num);
        // get ID of new project
        $idNew=$request->getLastId();
        // set current project as the new one
        $_SESSION['current_project_id']=$idNew;
        // Default Settings of the project
        // Settings for complexity values
        $request->sqlGet("INSERT INTO kados_projects_settings (project_id_fk,setting_tag,setting_value) 
	                                               VALUES (".$idNew.",'PP_VAL','0;1;2;3;5;8;13;20;30;50;80;100')");  
        // Settings for business value values
        $request->sqlGet("INSERT INTO kados_projects_settings (project_id_fk,setting_tag,setting_value) 
	                                               VALUES (".$idNew.",'US_BVL','0;100;200;300;500;800;1000;2000')");  
        // Settings for working days
        $request->sqlGet("INSERT INTO kados_projects_settings (project_id_fk,setting_tag,setting_value) 
	                                               VALUES (".$idNew.",'WK_DAY','0;1;2;3;4')");  
        // Add all profiles for projects
        $request->sqlGet("INSERT INTO kados_projects_profiles (SELECT ".$idNew.",profile_id FROM framework_profiles WHERE profile_type='LOCAL')");   
        // Set project as bookmark for project admin
        $request=new sqlRequest("SELECT MAX(bookmark_order) AS max FROM kados_users_bookmarks WHERE user_login_fk='".$_SESSION['login']."'",$cnx->num);
        $request->getObject();
        $order=$request->objet->max+1;	
        $request->sqlGet("INSERT IGNORE INTO kados_users_bookmarks (user_login_fk,project_id_fk,bookmark_order,bookmark_color) 
	                        VALUES ('".$username."',".$idNew.",".$order.",'')");
        // compute access rights to this project
        include_once PATHBASE.'project_get_user_rights.php';		
      }		
      else
      {?>
        <div class="MessageBox ErrorMessageBox"><?php echo $text_request_project_ko?></div><?php	 
      }
    break;		
  }
