<?php
/**
 * Get postits (colors) linked to a specific scope : project or global
 *
 * PHP versions 4 and 5
 *
 * @category Scripts
 * @package  Project_Mngt:administration
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */
session_start();

if (isset($_SESSION['login']))
{    
  define("PATHBASE",'../');
  $pathCommons=PATHBASE.'common_scripts/';
  include PATHBASE.'conf/connect.conf';
  include PATHBASE.'libraries/classes/class_connexion_mysql.php';
  include $pathCommons.'date_hour.php';
  include $pathCommons.'app_functions.php';
  include $pathCommons.'functions.php';

  $cnx=new connexion_db();
  $listPostIts=array();
  // get list of postits that are from the selected type (US or task)
  if ($_POST['scope']=='ALL')
  {
    $request=new sqlRequest("SELECT use_color_id,CONCAT(use_color_meaning,' (',color,')') AS use_color_meaning 
                             FROM kados_colors_uses 
                             WHERE use_color_postit_type='".$_POST['item_type']."'",$cnx->num);
  }
  else if ($_POST['scope']=='PRJ')
  {
    $request=new sqlRequest("SELECT tag_id,tag_label,tag_group_id_fk   
                             FROM kados_tags,kados_tags_projects 
                             WHERE tag_type='USR_FREE' 
                               AND tag_id=tag_id_fk 
                               AND tag_group_id_fk=0
                               AND tag_postit_type='".$_POST['item_type']."' 
                               AND project_id_fk=".$_SESSION['current_project_id'],$cnx->num);
  }
 
  $listPostIts=$request->getArrayFields();
  echo json_encode($listPostIts);
}?>