<?php
/**
 * Update Admin for a project
 *
 * PHP version 5
 *
 * @category Scripts
 * @package  Project_Mngt:administration
 * @author   Charles Santucci <charles.santucci@marmotte-technologies.org>
 * @license  GPL v3, MIT
 * */
session_start();

// check if session is started and an user is logged
if (isset($_SESSION['login']))
{    
    
  // get lib and scripts  
  define("PATHBASE",'../');
  $pathCommons=PATHBASE.'common_scripts/';  
  include PATHBASE.'conf/connect.conf';
  include PATHBASE.'libraries/classes/class_connexion_mysql.php';
  include $pathCommons.'date_hour.php';
  include $pathCommons.'app_functions.php';
  include $pathCommons.'functions.php';
  include PATHBASE.'classes/project.php';
 
  // start link to DB
  $cnx=new connexion_db();
  
  // filter vars
  $projectId=intval($_POST['project_id']);
  
  // get comment object
  $projectObject=new project($cnx->num,$projectId);
  $projectObject->setProjectName($_POST['new_project_name']);

  echo 'OK';
}?>